2002-12-31 Tuesday 01:59  massiot

 Less verbosity.

2002-12-31 Tuesday 01:54  massiot

 * src/misc/darwin_specific.m: Partial attempt at fixing a memory leak,
 * input: new b_connected field, allowing to correctly detect the EOF of TCP
   streams (closes #35),
 * input: fixed a deadlock when opening a zero-sized file,
 * input: fixed a deadlock when opening an unconnected FIFO (closes #54).

2002-12-30 Monday 23:45  massiot

 * OS X interface : Added new access modules to the Open panel,
 * Updated po files,
 * Fixed a very nasty side effect in the dvd and dvdread plug-ins,
 regarding the audio-channel and spu-channel configuration variables.

2002-12-30 Monday 17:36  gbazin

 * src/misc/messages.c: don't try to decorate logs on win32.
 * include/vlc_common.h, include/vlc_threads.h: we now use different
 thread priorities for WinNT/2k/XP or Win9x/Me.

2002-12-30 Monday 17:28  gbazin

 * modules/codec/*: make sure all audio decoders set
 output_format.i_bytes_per_frame and output_format.i_frame_length
 properly.

2002-12-30 Monday 13:34  sam

   * ./configure.ac.in: fixed the strncasecmp detection.
   * ./src/extras/libc.c: fixed a bug in our built-in strncasecmp.

2002-12-30 Monday 11:49  massiot

 Added RTP shortcuts to udp.c for backwards compatibility.

2002-12-30 Monday 08:56  massiot

 * modules/access/udp.c: Merged the UDP and RTP plug-ins, with autodetection of RTP,
 * src/misc/darwin_specific.m: if $LANG isn't set, retrieve NSUserDefaults.

2002-12-29 Sunday 21:00  babal

 no time to fix the playlist save&restore issue before the release (and
 wouldn't be wise anyway), so deactivated it in the win32 interface.

2002-12-29 Sunday 01:33  massiot

 PTS calculation fix for the mad plug-in, courtesy of KKI_ on IRC.

2002-12-29 Sunday 01:16  massiot

 OS X port :
 * Reenabled fullscreen shortcut, due to popular requests,
 * Fixed charset encoding in the Preferences window,
 * New implementation of --loop.

2002-12-28 Saturday 15:04  sam

   * ./debian/control: fixed various dependencies.

2002-12-28 Saturday 13:35  massiot

 Yet another typo. :p

2002-12-28 Saturday 02:02  massiot

 Added support for 32 kHz LPCM streams (thanks _Demo_ !).

2002-12-28 Saturday 01:53  sam

   * ./configure.ac.in: removed AC_PROG_EGREP because it's for autoconf 2.54+
     and used AC_EGREP_CPP instead.

2002-12-28 Saturday 01:20  sam

   * ./configure.ac.in: we don't link with -lintl if building against our
     internal one.

2002-12-27 Friday 15:40  sam

   * ./modules/demux/avi/avi.c: replaced a useless asprintf with sprintf.

2002-12-27 Friday 15:31  sam

   * ./src/extras/libc.c: if configure is called with --with-included-gettext,
     we export vlc_dgettext to plugins so that their messages can be translated
     as well.

2002-12-27 Friday 14:16  sam

   * ./configure.ac.in: added a check for $EGREP at the beginning, so that
     it's not done in an obscure "if" statement.
   * ./configure.ac.in: added verbosity around all EGREP calls so that we
     know what's going on.

2002-12-27 Friday 12:44  sam

   * ./Makefile.am: we don't try to distribute mozilla/vlcintf.h since it's
     created at compile time.

2002-12-27 Friday 09:57  massiot

 Audio output.

2002-12-27 Friday 09:47  massiot

 Added Bruno Vella <allevb@tin.it>, author of the Italian localization.

2002-12-27 Friday 08:37  massiot

 Fixed a typo.

2002-12-27 Friday 00:17  massiot

 * Italien translation, courtesy of Bruno <allevb@tin.it>,
 * Compilation fixes for gettext 0.11.5 on MacOS X.

2002-12-26 Thursday 18:17  stippi

 added 'extern "C"' to some includes

2002-12-26 Thursday 13:58  massiot

 Do not compile imdct and downmix modules anymore.

2002-12-26 Thursday 10:55  massiot

 Check for the presence of arguments (--help ?) before rebuilding everything.

2002-12-25 Wednesday 23:39  sam

   * ./src/libvlc.c: added a debug message to test the translation system.
   * updated the .po files.

2002-12-25 Wednesday 22:36  sam

   * ./bootstrap: fixed an automake 1.5 check.
   * ./toolbox: removed code from bootstrap that wasn't related to the
     bootstrapping sequence and put it here.

2002-12-25 Wednesday 22:05  sam

   * ./configure.ac.in: lured xggettext into thinking _NS is a keyword.
   * ./bootstrap: bootstrap --update-po also updates vlc.pot.

2002-12-25 Wednesday 21:02  massiot

 * Re-enabled package-* Makefile rules,
 * Worked around automake stack overflow bug on Darwin.

2002-12-25 Wednesday 02:25  massiot

 ... _with_ the actual Italian placeholder (can you believe it ?).

2002-12-25 Wednesday 02:23  massiot

 Santa Claus brings to you :
 * A placeholder for the Italian translation,
 * A bug fix for mono streams on stereo speakers,
 * A fix for a possible crash in the FTP access,
 * Correct coordinates in OS X fullscreen modes (closing #47),
 * Cosmetic fixes.

2002-12-24 Tuesday 23:31  sam

   * ./ipkg/Makefile.am: added missing files to the distribution.

2002-12-24 Tuesday 23:00  massiot

 * Use BeginFullScreen() to hide the mouse cursor ;
 * Cheat with the screen saver (closes #46).

2002-12-24 Tuesday 20:15  jpsaman

 Added gpe and gpe-vlc to Conflicts list for only X11/GTK+ packages.

2002-12-24 Tuesday 20:11  jpsaman

 Build and packaging scripts for building Familiar Linux interface with only GTK+ support.

2002-12-24 Tuesday 19:26  jpsaman

 Forget some.

2002-12-24 Tuesday 19:25  jpsaman

 Added some debug info.

2002-12-24 Tuesday 19:25  jpsaman

 Cosmetic changes.

2002-12-24 Tuesday 19:09  jpsaman

 Cosmetic changes.

2002-12-24 Tuesday 19:08  jpsaman

 Update packaging scripts.

2002-12-24 Tuesday 18:23  jpsaman

 Added esddsp package to dependency list.

2002-12-24 Tuesday 15:28  massiot

 Fixed a major bug in fixed32tos16.c.

2002-12-24 Tuesday 09:49  sam

   * ./configure.ac.in: fixed dpms.h detection (missing prerequisite headers).

2002-12-23 Monday 22:00  jpsaman

 Enabled --with-gpe-prefix in buildscript.

2002-12-23 Monday 21:58  jpsaman

 Set priority of sdl video output to 60 iso 40. So it is now the default choice for iPaq iso x11.

2002-12-23 Monday 17:22  bozo

 Little fixes.

2002-12-23 Monday 16:21  massiot

 Fixed my fix :p.

2002-12-23 Monday 16:05  massiot

 Fixed a side-effect bug with IPv6 addresses (thanks Xag).

2002-12-23 Monday 15:39  jpsaman

 Familiar interface now uses define NEED_GTK_MAIN define.

2002-12-23 Monday 15:39  massiot

 Fixed an IPv6-related bug (thanks Xag).

2002-12-23 Monday 13:58  massiot

 Cosmetic (thanks Heiko).

2002-12-23 Monday 13:49  massiot

 Cosmetic.

2002-12-22 Sunday 23:23  jpsaman

 Use SDL output as default for iPaq.

2002-12-22 Sunday 21:46  jpsaman

 Typing file locations in URL combo without "file://" prefix is possible again.

2002-12-22 Sunday 21:08  jpsaman

 Familiar GPE interface support fixes. Only Manage() function does not seem to work properly.

2002-12-22 Sunday 17:08  sam

   * ./src/audio_output/input.c: fixed a side-effect problem in buffer dates
     recalculation (spotted by KKI).

2002-12-21 Saturday 11:20  sigmunau

  first shot at a file info dialog for the wxwindows interface. It still
 needs to get a sane default size and some cleanups of the code, but I commit
 now in case anyone wants it during cristmas

2002-12-20 Friday 21:33  jpsaman

 Defenitely fixed segmentation fault on directory change.

2002-12-20 Friday 15:18  sigmunau

 removed the code that was not supposed to be in my last commit

2002-12-20 Friday 14:28  jpsaman

 Fixed path to pixmaps for GPE menu system.

2002-12-20 Friday 07:35  yves

 fixed my entry.

2002-12-20 Friday 07:35  yves

 - added rawdv plugin.
 - make it working again with daily CVS snapshot.
 - some typos fixed.
 - better workaround for broken mdk configure macro (aka don't harcore arch in name).

2002-12-19 Thursday 23:23  sigmunau

 * modules/demux/ogg.c: provide some file info. Tested with the tarzan.ogm
 * modules/codec/vorbis.c: parse the vorbis comment (can anyone tell me why the
 comment is embedded in the logical stream and not directly in the
 container?). The vorbis comments are in utf8, so extended characters
 currently get messed up.

 Still tring to close #51

2002-12-19 Thursday 17:29  massiot

 Fixed an HTTP compliance issue (thanks Xag).

2002-12-19 Thursday 16:59  sigmunau

 the avi demux now gives some info about the file being played. One step
 towards closing bug #51. Type 'info' in the rc interface to test.

2002-12-18 Wednesday 17:52  gbazin

 * src/libvlc.h, src/input/input_dec.c: added an "sout-video" and
 "sout-audio" config option that allows to selectively enable audio or
 video stream output. This is very useful if you want to play video on
 one computer and audio on another one ;)

2002-12-18 Wednesday 16:33  fenrir

  * mpeg4video: repeat vol headers every 30 frames (But it is buggy)

2002-12-18 Wednesday 16:31  fenrir

  * video.c: with mpeg4 stream, we try to decode a picture only when we have
 received an header (vol). (It prevents some segfaults with mpeg4 streaming).

2002-12-18 Wednesday 16:27  fenrir

  * ts.c: add preliminary support for mpeg-4 streams in mpeg2-TS.
 Becareful that up to now, it's more a hack. (I need to add SL streams
 managments)

2002-12-18 Wednesday 16:16  sam

   * ./modules/demux/avi/libavi.c: added an additional sanity check for
     corrupted headers.

2002-12-18 Wednesday 15:52  fenrir

  * libavi.c: a sanity check to prevent some segfault with corrupted
 header.

2002-12-18 Wednesday 15:03  sam

   * ./modules/codec/ffmpeg/ffmpeg.c: cosmetic change, the ffmpeg module now
     tells what libavcodec build it was built with.

2002-12-18 Wednesday 14:17  sam

   * fixed several format string inconsistencies and deprecated C constructions.

2002-12-18 Wednesday 12:18  sam

   * ./src/misc/messages.c: woops, __attribute__(format) is only needed in the
     prototype.

2002-12-18 Wednesday 11:47  sam

   * ./include/vlc_messages.h: msg_* functions now use the same argument type
     checks as printf. Only works with gcc 3.2 it seems.

2002-12-18 Wednesday 09:27  sam

   * ./modules/video_output/qte/.cvsignore: added a missing .cvsignore.
   * ./modules/video_chroma/Modules.am: added i420_rgb_c.h to the distribution,
     thanks to Stepan Roh for spotting this.

2002-12-18 Wednesday 08:08  gbazin

 * src/video_output/video_output.c: fixed a bug concerning the aspect
 ratio in vout_Request().

 * INSTALL.win32: small update to the documentation.

2002-12-18 Wednesday 01:34  fenrir

 * mpegaudio: fixed another stupid bug for mpeg audio layer 3 only.

2002-12-17 Tuesday 21:58  fenrir

  * bits.h: fixed a stupid bug.
  * ts.c: removed an unused variable.

2002-12-17 Tuesday 21:15  gbazin

 * modules/demux/rawdv.c: new raw dv demuxer (only video for now). I
 didn't find a way to detect correctly a raw dv file so for now we just
 check the file extension (.dv). You can additionaly force this demuxer.

 PS: the ffmpeg plugin works quite well for decoding dv videos.

2002-12-17 Tuesday 21:04  jpsaman

 Functionality of Familiar Linux Gtk+ interface is finished. Only testing on iPaqwith libgpewidget0  still needs to be done.

2002-12-17 Tuesday 14:39  sam

   * ./bootstrap: added warning messages for old automake versions.

2002-12-17 Tuesday 09:54  sam

   * ./modules/gui/kde/preferences.cpp: fixed a compilation issue and a crash.

2002-12-16 Monday 23:25  massiot

 Fixed (again) a rendering bug on big endian systems. :-p

2002-12-16 Monday 22:06  jpsaman

 Cleanup action.

2002-12-16 Monday 21:48  jpsaman

 Workaround for crash in ReadDirectory when called from the comboURL text box. For now it is mandatory to prefix filepaths on local disk with "file://" when typing it in the comboURL box.

2002-12-16 Monday 20:18  titer

  Fixed a possible crash.

2002-12-16 Monday 18:30  gbazin

 * modules/demux/ogg.c: added support for the old type of headers produced by the first
 versions of OggDS.

2002-12-16 Monday 16:48  gbazin

 * modules/access/udp.c, modules/access/rtp.c, modules/misc/network/ipv4.c: only check for
 the "server-port" config variable in the access plugins. access_output plugins will now
 pick a port at random, thus allowing sout to work out of the box on a localhost. (thanks
 Meuuh)

2002-12-16 Monday 15:17  fenrir

  * compilation fix for Os X.

2002-12-16 Monday 13:04  fenrir

  * libavi.c: improved parsing of some corrupted files.

2002-12-16 Monday 10:49  fenrir

  Should fix compilation/configuration with --with-ffmpeg options.

2002-12-16 Monday 00:41  babal

 - disc.* : a few enhancements in the design of the "open disc" dialog
   box, including the ability to select dvd menus instead of a particular
   title and chapter
 - preferences.dfm : multiline tabs

2002-12-15 Sunday 23:39  fenrir

  * modules/mux/mpeg/*: should fix builtin compilation
  * modules/access/ftp.c : an ftp access, buggy but it begins to work.
 The main issue is about password confidentiality so you must know
 what you are doing :((

2002-12-15 Sunday 22:55  yves

 you can now build RPMs.
 (ffmpeg still not working properly cause configure.ac seems to sucks)

2002-12-15 Sunday 22:54  jpsaman

 Packaging files for Familiar GPE and OPIE releases.

2002-12-15 Sunday 22:48  jpsaman

 Familiar interface build with GPE support does not use NEED_GTK_MAIN.

2002-12-15 Sunday 22:45  jpsaman

 Make distinction between GPE and GTK_NEED_MAIN way of handling interface.
 Trying to fix change directory crash while entering keys in combobox.

2002-12-15 Sunday 22:45  ipkiss

 I forgot this file in my previous commit...

2002-12-15 Sunday 20:48  jpsaman

 Fix crash on directory change.

2002-12-15 Sunday 18:37  ipkiss

  * ./modules/gui/wxwindows: added a log window

2002-12-15 Sunday 16:28  gbazin

 * include/vlc/vlc.h: added a new pi_types field to vlc_list_t. This field will be used
 later on by the object variables functions. I'm adding it now because it also happens to
 solve a binary compatibility problem between gcc and bcc. (depending on compilers,
 structs of 32 < size <= 64 bits can be returned either in a register or in the stack).

2002-12-14 Saturday 23:17  jpsaman

 Fix for building Familiar interface with libgpewidget0 library.

2002-12-14 Saturday 22:33  fenrir

  * libvlc.h: Fix mux/access_output options.

2002-12-14 Saturday 21:32  fenrir

  Added stream output. (common work with titer).

2002-12-14 Saturday 19:43  gbazin

 * src/libvlc.c: oops, forgot to remove a debug message.

2002-12-14 Saturday 19:34  gbazin

 * src/misc/objects.c: implemented the FIND_CHILD mode for vlc_list_find().
    vlc_object_get() now increments the refcount of the object so you'll need to release
 the object at some point.
 * src/misc/variables.c, ALL: var_Change() with VLC_VAR_GETLIST now returns a vlc_value_t
 which points to a vlc_list_t.

2002-12-14 Saturday 19:19  gbazin

 * src/misc/threads.c: implemented vlc_thread_set_priority() for win32.

2002-12-14 Saturday 18:57  fenrir

  * all: with mpeg4 video I changed the way that some initialisation data
 are passed (more logical).

2002-12-14 Saturday 01:05  babal

 - support for Windows style file names for relative paths
 - when eol_tok is '\n', use last line even if eol_tok isn't present

2002-12-13 Friday 22:11  yves

 adaptation for 0.5 branch. almost working :)

2002-12-13 Friday 17:05  babal

 - * : start playing only when opening a stream from the main window;
   when opening it from the playlist window, add it to the list, but
   don't change anything to the playing state and current stream.

 - playlist.dfm : proper resizing behaviour

2002-12-13 Friday 16:26  babal

 - vlc_playlist.h, playlist.c: added the ability to save a playlist to
   and restore it from a file chosen by the user.

 - win32/*:

   - implementation of the previous feature in the win32 interface
 >   -> what the other interfaces need to do to support it is simply to
 >      call the two following functions:
 >       int playlist_LoadFile(playlist_t *p_playlist,const char *psz_filename);
 >       int playlist_SaveFile(playlist_t *p_playlist,const char *psz_filename);
 >      where psz_filename is the name of the destination/source file.

   - ability to open several files at a time

2002-12-13 Friday 10:09  sam

   * ./Makefile.am: added missing files for make dist.
   * ./configure.ac.in: removed unpopular warnings.
   * ./po/*: updated potfiles.

2002-12-13 Friday 03:52  videolan

  * ./modules/win32/menu.cpp: reorganized the code for menus generation,
    and got rid of the global variable (at last!) in the win32 interface.

 Please check that navigation and language selection aren't too much
 broken for DVDs...

2002-12-13 Friday 01:56  gbazin

 * ALL: added a new vlc_list_t common type. vlc_list_find() and vlc_list_release() have been modified
 to use this new type.

2002-12-13 Friday 01:50  gbazin

 * modules/gui/wxwindows/*: added skeleton for popup contextual menu.
 * modules/access/dvdplay/access.c, modules/audio_filter/resampler/linear.c: a couple of warning
 fixes.

2002-12-12 Thursday 15:23  gbazin

 * src/input/input.c: forgot to commit this during my last commit :p

2002-12-12 Thursday 15:10  gbazin

 * src/input/input_clock.c, include/input_ext-intf.h: introduced an i_pts_delay field in
 input_thread_t (initialised to DEFAULT_PTS_DELAY).
 * modules/access/*: i_pts_delay is now configurable on an access module basis. The pts
 delay for http and mms have been raised to 4 * DEFAULT_PTS_DELAY, which is about 1.2
 seconds worth of caching.

2002-12-12 Thursday 13:09  sam

   * ./debian/vlc-plugin-ogg.dirs: added a missing file for Debian package
     builds.

2002-12-12 Thursday 12:24  sam

   * ./modules/gui/familiar/*: compilation fixes. Crashes on directory change.

2002-12-12 Thursday 11:37  ipkiss

  * ./modules/gui/win32: added management for "float" config options
    (thanks Garf)

2002-12-12 Thursday 11:29  massiot

 Fixed a possible deadlock.

2002-12-12 Thursday 10:56  garf

  * fixed one or two things (thanks sam)

2002-12-11 Wednesday 22:56  gbazin

 * modules/codec/mad/*: don't let mad drop corrupted mpeg frames without telling us. When
 this happens, we miscalculate the pts of the next valid frame, which in turn causes heavy
 resampling. This fix should be most useful for web radios.

2002-12-11 Wednesday 21:50  jpsaman

 Fixed qte video output segmentation fault during initialization.
 The following things have still to be fixed:
 - segmentation fault on destroy
 - video placing and
 - orientation
 - video line spacing is wrong

2002-12-11 Wednesday 20:13  fenrir

  * all: access plugins should not modify
 p_input->stream.p_selected_area->i_tell when reading data. (It's done in
 input_SplitBuffer). (But access should still set it on a "seek")

2002-12-11 Wednesday 17:27  bozo

 New ALSA audio output. It works with ALSA 0.9.0rc4 and earlier versions.

2002-12-10 Tuesday 23:34  gbazin

 * modules/demux/wav/wav.c: small bug-fix for screwed pts calculation.

2002-12-10 Tuesday 21:55  gbazin

 * src/audio_output/filters.c: fix for resampler buffer size.

2002-12-10 Tuesday 18:22  gbazin

 * ALL: fixed a f*ckage I introduced recently ;) var_Type() now returns 0 when the variable
 doesn't exist, but the rest of the code wasn't updated according to this new behaviour.
 * modules/audio_output/waveout.c: changed a few error messages into warning messages.

2002-12-10 Tuesday 15:51  ipkiss

  * ./modules/gui/win32: deletd a dependancy with a global variable

2002-12-10 Tuesday 14:19  gbazin

 * include/configuration.h: fixed my previous fix.

2002-12-10 Tuesday 12:46  gbazin

 * configure.ac.in: fixed ugly hack in sdl detection code (which also broke my build :p)
 * include/configuration.h, include/modules_inner.h: proper fix for a bug that allowed gcc
 to put things in the stack instead of the data segment.

2002-12-10 Tuesday 10:22  fenrir

  ffmpeg: adapted to current cvs version. It should still compile with older
 one (Please reports if it doesn't).

2002-12-10 Tuesday 00:02  gitan

 fixed a segfault under windows.

2002-12-09 Monday 23:37  gbazin

 * include/configuration.h: rolled back the last changes made to this file. There is no
 sense in manually initializing all the fields of module_config_t as it will be done by the
 compiler anyway. Furthermore mingw32 gcc seems to have problems optimizing code
 that manually initializes structures to 0.

2002-12-09 Monday 21:37  jpsaman

 Syncing functionality with vlc-0.4.6

2002-12-09 Monday 21:36  jpsaman

 Fixed segfault in Qt Embedded Video Output.

2002-12-09 Monday 13:37  titer

  * AudioOutput.cpp: added sanity tests;
  * VlcWrapper.h, Interface.cpp: removed an unused variable.

2002-12-09 Monday 07:57  titer

  * AudioOutput.cpp: send zeros to BSoundPlayer if nothing comes from
     audio output;
  * VlcWrapper.cpp: handle volume using aout3 features.

2002-12-09 Monday 03:36  titer

  Default re-enabled dvd module.
   --disable-dvd works anyway.

2002-12-09 Monday 00:52  babal

 - new headphone channel mixer with virtual spatialization effect : This
   effect should give you the feeling that you stands in a real room with
   a complete 5.1 speaker set when using only a headphone, providing a
   more realistic sound experience. It should also be more comfortable
   and less tiring when listening to music for long periods of time.It
   works with any source format from mono to 5.1.

   -> please try it and feel free to give me some feedback. Some
      improvements are already planned (adding echo, more configuration
      options, ...).

 NB: whereas the filter itself is in a (very first) stable version, the
     way it is integrated to the filter chain is only a _temporary_ hack
     since it's the audio ouput core (input.c actually) which is directly
     responsible for it. Integrating it in a more suitable way will
     probably require some work on the way the filters are selected as
     well as on the configuration level, but I'm working on it :)

2002-12-08 Sunday 23:38  massiot

 * Updated aout3 developer doc.
 * Reworked the Open... menu items, and added the ability to use libdvdplay.
 * Sound output menu is now under Controls.

2002-12-08 Sunday 21:05  jpsaman

 Fixed build and linking for qte video output and made modifications to iPaq packaging files.

2002-12-08 Sunday 19:56  gbazin

 * modules/gui/wxwindows/*: compilation fixes for wxX11 (it doesn't support drag and drop
 yet). Compilation fix for MacOSX as well (wxEntry() not declared).
 * src/misc/variables.c: added a FreeMutex() function.

2002-12-08 Sunday 16:16  jpsaman

 - Updated Maintainers file
 - fixed --disable-dvd, it did not work
 - updated iPaq familiar buildscripts

2002-12-08 Sunday 14:47  gbazin

 * configure.ac.in: fix for dvdread and libdvdplay plugins linking stage.

2002-12-08 Sunday 05:30  jlj

   * ALL: Under Jaguar, vout no longer depends on any specific MacOS X
          intf. wxWindows should work (not tested). Closes #33.

2002-12-08 Sunday 00:41  massiot

 New vlc_thread_set_priority function, to set the priority of the main
 thread.

2002-12-07 Saturday 23:50  massiot

 * configure.ac.in: Disabled -Wtraditional as it produces much more bogus
   warnings than real ones.
 * audio output: New intf-change variable to know when audio-channels
   and audio-device have changed.
 * video output: New intf-change variable and vout_VarCallback, to know
   when video-device has changed (OS X port).
 * modules/gui/macosx/*: Menus for audio channels, implemented volume
   management, added a menu for screen selection.

2002-12-07 Saturday 22:29  titer

  * default disabled SAP under BeOS

2002-12-07 Saturday 22:15  gitan

 fixed my last commit.

2002-12-07 Saturday 22:00  titer

  * use RGB32 BBitmap. That fixes the bad-looking picture in
    non-overlay mode (thanks Sam).

2002-12-07 Saturday 15:25  gbazin

 * ALL: a few updates to the variables API:
   - got rid of the VLC_VAR_COMMAND variable type and introduced the VLC_VAR_ISCOMMAND flag
 instead. This simplifies things and avoid the strange command variables behaviour. Command
 variables will now trigger their callback on var_Set() like any other variables (look in
 modules/control/rc/rc.c for an example).
   - Renamed the VLC_VAR_ISLIST flag into VLC_VAR_HASCHOICE.
   - Added a new VLC_VAR_VOID variable type. This can be useful in conjunction with
 VLC_VAR_ISCOMMAND for instance.

2002-12-06 Friday 22:44  gitan

 * sap.c : make it more compliant (as far as sdp is involved).
 * playlist.c : fixed a memory leak
 * configure.ac.in : added link flags

2002-12-06 Friday 21:27  gbazin

 * configure.ac.in: fixed typo. For dvdread support we have to check for
  dvdread/dvd_reader.h, not dvdread/dvdread.h.

2002-12-06 Friday 16:34  sam

   * ./configure.ac.in: removed -W in favour of -Wtraditional.
   * ALL: a bunch of additional warning fixes.

2002-12-06 Friday 14:22  fenrir

  all: fix some minors warnings.

2002-12-06 Friday 13:05  sam

   * ./modules/access/mms/mms.c: fixed signed/unsigned comparisons, and fixed
     a bug I found in Read(). No idea whether it was triggered before nor what
     it was doing, though :)

2002-12-06 Friday 12:54  sam

   * ./modules/access/http.c: code clean-up. removed sizeof()-1 calls where we
     meant strlen(), removed useless strcmp() calls, implemented atoll() for
     systems where it does not exist, fixed a memory leak, fixed a minor data
     corruption.

2002-12-06 Friday 12:18  sigmunau

 some support for redirection. Moved the break on returncode >=400 to after
 the header parsing. This will be usefull if anyone wants to implemet
 http-passwd support

2002-12-06 Friday 11:53  fenrir

  * ffmpeg: sync with latest ffmpeg cvs. As it need too much
 #if LIBAVCODEC_BUILD , I've enable direct rendering only with latest
 ffmpeg cvs (anyway dr isn't cleanly ported to the latest version).

2002-12-06 Friday 10:10  sam

   * ./src/*, ./include/*: fixed a bunch of badly initialized structures, a few
     signed/unsigned comparisons, and removed trailing spaces here and there.

2002-12-06 Friday 06:42  babal

  * src/playlist/playlist.c : playing again a playlist already in a
    playing state resets the input speed to normal to make sure the
    stream isn't paused or slowed or played faster anymore.
    By doing that, fixes the following bug of the Windows interface:
    when pushing the play button on a paused or slowed stream, nothing
    used to happen.
  * modules/gui/win32/playlist.cpp : when pushing the play button and the
    playlist is empty, displaying the playlist window
  * win32.cpp : rephrasing the module description to "Native Windows
    interface module"

2002-12-05 Thursday 21:49  jpsaman

 Fix for SDL-1.2.5 it now has SDL postpended to the library path. I just rip it of now for --cflags.

2002-12-05 Thursday 17:38  sam

   * ./configure.ac.in: disabled -Wconversion for gcc 2.x because it makes it
     choke on system headers.

2002-12-05 Thursday 17:16  sam

   * ./ipkg/Makefile.in: removed a file handled by automake.
   * ./configure.ac.in: additional warning flags for GCC.
        -Wconversion
            Warn if a prototype causes a type conversion that is different from
            what would happen to the same argument in the absence of a proto-
            type.
        -Wsign-compare
            Warn when a comparison between signed and unsigned values could
            produce an incorrect result when the signed value is converted to
            unsigned.
        -Wunreachable-code
            Warn if the compiler detects that code will never be executed.
        -Wdisabled-optimization
            Warn if a requested optimization pass is disabled.
     See the gcc documentation for more explanations. This triggers a lot of
     warnings everywhere, and at first sight they're all worth fixing. Code
     quality matters, too, so let's fix'em :)

2002-12-04 Wednesday 21:48  gbazin

 * modules/audio_filter/channel_mixer/trivial.c: bugfix for up-mixing.

2002-12-04 Wednesday 21:03  jpsaman

 Build and packaging files for Opie and GPE.

2002-12-04 Wednesday 20:52  jpsaman

 Small updates.

2002-12-04 Wednesday 20:51  jlj

   * ./modules/gui/macosx/vout.m: mouse coordinates support.

2002-12-04 Wednesday 20:51  jpsaman

 Build scripts for building cross-compiling vlc for Opie and GPE.

2002-12-04 Wednesday 20:41  jpsaman

 Packaging files for opie-vlc

2002-12-04 Wednesday 15:47  fenrir

  * all: Fix an other (and last ? ;) endian issue.

2002-12-04 Wednesday 06:23  titer

  * configure.ac.in, mms.c, sap.c, ipv4.c: added network support for BeOS 5
    (Dano is no more needed); multicast still doesn't work.
    UDP (unicast) and HTTP have been successfully tested, mms is untested.
  * sap.c: BeOS doesn't have memccpy
  * VideoOutput.cpp: forgot to remove a printf

2002-12-04 Wednesday 02:16  titer

  * InterfaceWindow.cpp: removed warnigs
  * AUTHORS/MAINTAINERS: added Stephan Assmus, Arnaud Schauly & myself

2002-12-03 Tuesday 23:36  gitan

 * src/playlist/playlist.c : Added playlist_AddItem (enqueues
 playlist_item_t instead of psz_target ). Now playlist_Add uses
 playlist_AddItem to enqueue.
 * include/vlc_playlist.h : Added a psz_uri field in the playlist_item_t
 structure.
 * src/input/input.c : takes item->psz_uri  argument to start playing an
 item.

2002-12-03 Tuesday 17:00  fenrir

  * adpcm.c: add adpcm decoding support (Now just ms and ima adpcm from
 microfsoft, not yet ima4)
  * wav, asf, avi: fix fourcc creation for adpcm. (Nevertheless adpcm
 could not work with asf because of asf audio scrambling unsupported in asf
 demuxer). Seek will not work, because vlc send garbage and then break stream
 alignment.(I will try to fix that).

2002-12-03 Tuesday 16:29  gitan

 * Added a session announcement protol module (enabled by default).
 * Added the PLAYLIST_CHECK_INSERT option to the playlist. That option
 checks previously enqueued sessions before enqueing.

2002-12-03 Tuesday 12:59  sam

   * ./src/libvlc.h: fixed an aspect ratio bug, we should default to the
     stream's aspect, not to square pixels.

2002-12-03 Tuesday 02:00  titer

  * added mouse management in the BeOS video output.
    Now DVD menus work thanks to libdvdplay.

2002-12-02 Monday 23:58  titer

  * added --with-dvdread-tree and --with-dvdplay-tree for static linking.
    It works fine under BeOS, please check I didn't break anything.

2002-12-02 Monday 21:13  jlj

   * ALL: Fixed some compiler warnings.

2002-12-02 Monday 18:19  sam

   * ./modules/access/vcd/cdrom.c: NetBSD VCD input fixes, courtesy of
     Olaf 'Rhialto' Seibert.

2002-12-02 Monday 13:12  sam

   * ./configure.ac.in: linking with -framework AGL wasn't needed (Closes: #7).

2002-11-30 Saturday 11:33  jpsaman

 Cleanup of headerfile detection for qte video output plugin.

2002-11-30 Saturday 11:22  jpsaman

 Deprecreated --with-qte-system. Using --with-qte=<path>/opt/QtPalmtop sets all linker and includes paths for libjpeg and qte correctly now.

2002-11-30 Saturday 01:14  ipkiss

  * ./modules/gui/win32/dragdrop.cpp: we can now drag and drop video
    files on the interface or on the playlist (Closes: #10).
  * ./modules/gui/win32/playlist.cpp: factorized a lot of code.
  * ./modules/gui/win32/*: reorganized some code here and there.

2002-11-29 Friday 23:08  ipkiss

  * ./src/libvlc.h: fixed a few typos

2002-11-29 Friday 14:39  jpsaman

 configure script set Qt Embedded link and include paths correctly. Use these additional options:
 --enable-qte
 --with-qte=<..cross-path..>/opt/QtPalmtop
 --with-qte-system=<..cross-path..>/usr

2002-11-28 Thursday 23:53  sigmunau

 made the vlc mozilla plugin a drop-in replacement for wmp in most embedded
 wmp sites I could find, by adding som mimetypes and parsing some more
 parameters passed by mozilla. Also disabled the StreamAsFile function since
 mozilla tend to pass it non-exsisting files.

2002-11-28 Thursday 23:24  massiot

 * Correct socklen_t detection.
 * Fix for S/PDIF encapsulation on big endian systems.
 * S/PDIF output for Mac OS X, courtesy of Heiko Panther <heiko_panthe@mac.com>.

2002-11-28 Thursday 21:49  garf

  * a few bugfixes/enhancements/clean up

2002-11-28 Thursday 21:00  gbazin

 * configure.ac.in: fixed linkage of theora plugin.
 * modules/codec/theora.c, modules/codec/tarkin.c: fixed breakage.
 * modules/codec/vorbis.c: lowered the priority of the tremor plugin.

2002-11-28 Thursday 18:35  fenrir

  * asf: fix my previous commit.

2002-11-28 Thursday 18:16  sigmunau

 increased maximums size of a http request from 256 to 1024 in order to allow
 insanly long urls

2002-11-28 Thursday 17:34  sam

   * ./src/video_output/video_output.c, modules/*: factorized video output
     creation code into vout_Request which looks for existing vout objects
     and spawns a new one if none was found.

2002-11-28 Thursday 16:44  fenrir

  * ffmpeg: arg, fix a previous fix for non-latest ffmpeg cvs tree.

2002-11-28 Thursday 16:32  fenrir

  * all: some clean up with WAVEFORMATEX and endian issues. Somebody could
 test if mp4,asf,avi,wav demuxers and araw,ffmpeg,faad decoders work under
 big endian architectures ? (else could you give vlc log )

2002-11-28 Thursday 15:18  sigmunau

 * set b_seakable to false for http/1.0 streams such as those from icecast.
 * allow some unusual, but legal ways to construct the http headers, and
 clean up the header parsing code. parsing other headers ( like the mime-type
 ) should be very easy now.

2002-11-28 Thursday 14:34  sam

   * ./src/video_output/video_output.c: added a --aspect-ratio option to force
     the aspect ratio of the stream. Two different usages are possible, either
     int:int ("16:9") to specify a real aspect ratio, or float ("1.25") to
     specify pixel squareness.

     Note that it does not work properly yet; it will need an API change in
     the video output layer that I'm working on.

2002-11-27 Wednesday 21:51  babal

 - Enterely new layout for the preference window of the native win32
   interface, in order to improve its clarity (the dialog box is now even
   a bit smaller) and to get closer to Windows standards.
   (second part of the job, and hopefully the last for now, begun with
   Ipkiss a few days ago by using CheckListBoxes)

   Still need some work to get the interface compatible with Windows XP
   skins.

2002-11-27 Wednesday 15:18  sam

   * ./modules/codec/cinepak/cinepak.c: fixed V1-encoded blocks luma loading.

2002-11-27 Wednesday 14:44  fenrir

  * ffmpeg: add a LIBAVCODEC_BUILD test for CODEC_ID_MJPEGB

2002-11-27 Wednesday 13:17  fenrir

  cinepak: fix a bug (bad frame gathering), pointed by sam.

2002-11-27 Wednesday 12:41  fenrir

  * all: added mjpeg support, some clean up in video part.

2002-11-27 Wednesday 06:27  titer

  Fixed a segfault by adding a mutex_lock() (thx fenrir)

2002-11-27 Wednesday 05:36  titer

  * AudioOutput.cpp: fixed a segfault
  * ALL: cleaned the VlcWrapper class, removed unused code

2002-11-27 Wednesday 02:51  ipkiss

  * ./modules/gui/win32/*: some cleaning

2002-11-26 Tuesday 22:20  gbazin

 * modules/video_output/directx/directx.c, modules/audio_output/directx.c: removed
 unnecessary code.

2002-11-26 Tuesday 21:52  ipkiss

  * ./modules/gui/win32/preferences.cpp: used CheckListBoxes instead
    of ListViews, because they are more intuitive. This eliminates the
    "Select" button and the "Selected" label.

    The preferences window still needs some work though...

2002-11-26 Tuesday 20:04  sam

   * ./modules/video_chroma/i420_rgb.h: fixed slanted picture output with odd
     widths (Closes: #28).

2002-11-26 Tuesday 19:55  jpsaman

 Remove file that caused namespace clash. It is replaced by vout_qte.cpp

2002-11-26 Tuesday 19:54  jpsaman

 Fix namespace clash of source files for Qte video output module. It currently only display video in landscape orientation.

2002-11-26 Tuesday 19:52  jpsaman

 Packaging for Opie and Qt Embedded support.

2002-11-26 Tuesday 19:31  gbazin

 * modules/video_output/directx/directx.c: fixed to work with DirectDraw 3 (ie. with
 NT4).

2002-11-26 Tuesday 18:58  sigmunau

 allow windows style linebreaks in .m3u files. and fixed a minor bug

2002-11-26 Tuesday 17:38  gbazin

 * modules/demux/ogg.c: audio is now dropped when fast-forwarding.

2002-11-26 Tuesday 17:28  fenrir

  * mp4: prevent float exeption with some truncated file.

2002-11-26 Tuesday 15:03  sam

   * ./BUGS: scrapped this file. Entered the remaining bugs in Bugzilla.

2002-11-26 Tuesday 14:08  sam

   * ./TODO: scrapped the todo-list. I put the unresolved items in Bugzilla
     (http://bugzilla.videolan.org/).

2002-11-26 Tuesday 12:09  massiot

 Fixed another crash with S/PDIF.

2002-11-26 Tuesday 10:55  gbazin

 * modules/video_output/directx/directx.c: don't fail miserably when we can't
    create a surface in video memory. We now automatically toggle the b_use_sysmem
    flag in this case and give it another shot.

2002-11-26 Tuesday 07:04  jpsaman

 Fix fix of fixing QT Embedded detection.

2002-11-26 Tuesday 01:06  titer

  * ALL: more intensive use of the VLCWrapper class
  * PreferencesWindow.*: renamed a few variables (using some of the
    OpenTracker conventions)
  * clean up

2002-11-25 Monday 19:29  sam

   * ./modules/video_chroma/i420_rgb16.c: merged the RV15 and RV16 conversions
     because they're basically the same. Also, the MMX conversions now check
     that the bitmasks are the ones we expect.

2002-11-25 Monday 19:12  fenrir

  mms.c: fix command/packet parsing functions.

2002-11-25 Monday 17:25  gbazin

 * configure.ac.in: for wxWindows headers detection, we now check wx/wxprec.h.
    Also fixed a typo: libdvbpsi is enabled by default.

2002-11-25 Monday 16:16  massiot

 Fixed my fix :p.

2002-11-25 Monday 16:00  massiot

 Fixed a crash in S/PDIF mode.

2002-11-25 Monday 15:56  sigmunau

 fixed a bug in the contentbased autodetection that caused this demux to be
 selected for streams that contained a null byte.

2002-11-25 Monday 15:08  fenrir

  * mms: enable seek :) It works for me with both udp and tcp. Somebody
 could check if it compiles on other OS than linux ? (I don't known what
 headers should be included)
  * asf: fix to support seeking with mms
  Note: You cannot seek and use demuxdump demuxer...

2002-11-25 Monday 12:19  sam

   * ./modules/gui/gtk/open.c: made the HTTP text bar more consistent, thanks
     to Pierre Baillet (Closes: #11).

2002-11-25 Monday 12:08  sam

   * ./src/misc/messages.c: we overwrite the WinCE logfile instead of appending
     data to it.
   * ./evc/vlc.vcw: minor updates.

2002-11-25 Monday 03:12  ipkiss

  * small compilation fixes for win32

2002-11-25 Monday 00:22  fenrir

  * all: begin to add mms over udp support. It begin to work (at least
 for me) but it still needs some work.

2002-11-24 Sunday 18:54  sam

   * ./configure.ac.in: we no longer choke if libdvbpsi headers aren't here.
   * ./include/vlc_common.h: we don't try to include inttypes.h with Borland.

2002-11-24 Sunday 16:00  sigmunau

 separated the code to parse html files with embedded wmp, and the code to
 parse asx files. Added a new shortcut "html" to force the "html" behaviour.
 Reduced number of false positives for both html and asx files. We now also
 trigger on the content of files, since html and asx files are often
 autogenerated on the webserver using php or asp.

2002-11-24 Sunday 13:02  sigmunau

 fix to allow absolute entries in m3u/asx files

2002-11-24 Sunday 01:29  sigmunau

 fixed a bug in the code to handle relative paths. Added support for file://
 and http:// items in asx files, and not just mms://

2002-11-23 Saturday 20:37  sam

   * ./modules/control/rc/rc.c: the seek command is now "seek" and not "r",
     and it uses a command variable like other controls. This also fixes a
     bug that prevented to have spaces between the command and its argument.

2002-11-23 Saturday 18:42  gbazin

 * modules/gui/wxwindows/*: additional small fixes.

2002-11-23 Saturday 16:17  gbazin

 * modules/gui/wxwindows/*: a few fixes for the win32 build.

2002-11-23 Saturday 15:00  titer

  * enhanced BeOS preferences window (post-processing, brightness,
    contrast, hue and saturation are adjustable)

2002-11-23 Saturday 14:28  gbazin

 * modules/gui/wxwindows/*: misc improvements to the main interface, implementation of
 drag and drop, proper initialisation of the i18n routines.

2002-11-23 Saturday 04:40  sam

   * ./modules/access/http.c, ./modules/misc/network/ipv4.c: http and ipv4
     plugins compile for WinCE. Couldn't test yet though.

2002-11-23 Saturday 02:40  sam

   * ./modules/video_output/wingdi.c: the GDI video output now properly sets
     the bitmasks; we're not limited to 8bpp and 16/24 works.
   * ./modules/video_filter/*: the video filters now work under WinCE.

2002-11-23 Saturday 01:32  ipkiss

  * ./modules/gui/wxwindows/playlist.cpp: added a playlist to the wxwindows interface

2002-11-23 Saturday 00:11  garf

  * yuv filter was a bit useless. Hope adjust filter is more usefull :)

2002-11-22 Friday 23:12  sam

   * ./configure.ac.in: we only add -lm to the a52 linkage if it's needed
     (and available).

2002-11-22 Friday 20:27  sam

   * ./modules/video_output/wingdi.c: ported the wingdi plugin to Win32; it
     somewhat works under Wine (if you force internal buffers to 8bpp), but
     doesn't work under Win2k. Any hints welcome.
   * ./configure.ac.in: activated the wingdi plugin by default.

2002-11-22 Friday 19:44  titer

  * now --fullscreen works with BeOS video output

2002-11-22 Friday 19:37  titer

  * AudioOutput.cpp : compilation fix.
  * VideoOutput.cpp : now --fullscreen works with BeOS video output.

2002-11-22 Friday 18:35  sam

   * ./modules/access/mms/var_buffer.h: this file is now a separate .c, to
     prevent gcc's optimizer to go amok with nested inline functions, loop
     unrolling and such things that we don't really need in an access plugin.

2002-11-22 Friday 15:24  sam

   * ./modules/video_output/directx/events.c: we now call CreateWindow so that
     we are sure that the WndProc always has a valid p_vout value.

2002-11-22 Friday 15:19  sam

   * ./modules/video_output/wingdi.c: implemented offscreen rendering with
     fast blit (well at least it was considered "fast" back in the times of
     Windows 3.1). Default is 8bpp because that's what my iPaq does (no
     palette support yet though), 16bpp can be chosen at compile time and
     works perfectly in the emulator.

2002-11-22 Friday 12:11  sam

   * ./modules/video_chroma/i420_rgb16.c: fixed a segfault in the 24/32bpp
     chroma conversion.

2002-11-21 Thursday 23:06  massiot

 Channel reordering according to the WG-4 specification, courtesy of
 Heiko Panther.

2002-11-21 Thursday 21:37  gbazin

 * modules/codec/Modules.am, configure.ac.in, modules/codec/vorbis.c: added
    a tremor decoder module using libvorbisidec (aka tremor) from xiph.org.
    This module allows decoding vorbis audio on hardware without a fpu
    (--enable-tremor).

 * modules/LIST: added entries for tremor and theora.

2002-11-21 Thursday 15:51  gbazin

 * src/playlist/playlist.c: fixed deadlock in playlist.
 * modules/audio_output/oss.c: don't play blank samples when we are starving
    for data but our internal buffers are not empty. Some cleanup too.

2002-11-21 Thursday 13:58  jpsaman

 Fix detection of QT Embedded development headers.

2002-11-21 Thursday 13:53  sam

   * ./modules/video_output/wingdi.c: skeleton of a Windows GDI video output.
   * ./modules/access/file.c: the file access plugin gets the real file size
     under WinCE.
   * ./modules/audio_filter/converter/u8tofixed32.c: added this conversion
     filter to play some WAV files without an FPU.
   * ./bootstrap: bootstrap --update-vc doesn't rely on the Makefile's presence.

2002-11-21 Thursday 10:12  gbazin

 * modules/demux/ogg.c: small bug-fix for my previous commit.

2002-11-21 Thursday 09:39  gbazin

 * modules/demux/ogg.c: better handling of PCRs (we now base our calculations
    on all sub-streams instead of just using one of them). Some code factorisation
    too.

2002-11-20 Wednesday 21:51  jpsaman

 Build and link Familiar interface against libgpewidget for gpe support.

2002-11-20 Wednesday 21:27  jpsaman

 Fix detection of AR and LD

2002-11-20 Wednesday 21:26  jpsaman

 Final cleanup before release.

2002-11-20 Wednesday 21:23  jpsaman

 Updated for release v_0.4.6 of Familiar Linux packages.

2002-11-20 Wednesday 19:07  sam

   * ./src/misc/messages.c: added ^Ms to the WinCE logfile.
   * ./bootstrap: fixed a typo that prevented per-object target directories
     to work.
   * ./evc/*, ./msvc/*: removed project files; they're becoming a bit large
     (more than 1MB) and I don't want to spoil the CVS with them.

2002-11-20 Wednesday 17:23  gbazin

 * configure.ac.in: temporary hack for libdvbpsi detection.

2002-11-20 Wednesday 16:43  sam

   * ./modules/audio_output/waveout.c: audio output now works under WinCE
     using the waveout module.
   * ./bootstrap: we ignore comments when parsing makefiles.
   * ./modules/audio_filter/converter/fixed32tofloat32.c: changed this module
     so that it also does float32tofixed32.
   * ./modules/*: ported a few other modules to WinCE (most of the time it's
     just a #include <errno.h> that needs to be removed).

2002-11-20 Wednesday 15:58  gbazin

 * configure.ac.in, modules/gui/wxwindows/wxwindows.cpp: other compilation
    fixes for the wxwindows interface on win32.

2002-11-20 Wednesday 15:34  gbazin

 * modules/control/rc/rc.c: added commands to navigate between chapters and
    titles.

2002-11-20 Wednesday 14:24  gbazin

 * modules/gui/wxwindows/*: fixes for the win32 build. Removed a few
    unnecessary things and replaced the stop icon with a new one.

2002-11-20 Wednesday 14:09  gbazin

 * modules/codec/theora.c, configure.ac.in, modules/codec/Modules.am: new
    theora codec plugin.
    This plugin is based on the experimental theora codec from the Xiph.Org
    foundation (http://www.theora.org/). Because the theora bitstream
    specifications are likely to change in the near future, this plugin won't
    be compiled by default. If you want to test/develop theora with vlc, you'll
    need to configure it with --enable-theora and also make sure you've got a
    fresh libogg from cvs.

 * modules/demux/ogg.c: modified to handle theora and tarkin bitstreams.

 * modules/codec/tarkin.c: fixed a few typos.

2002-11-20 Wednesday 13:37  sam

   * ./evc/plugins.vcp.in: fixed plugin entry points for WinCE.
   * ./modules/*: fixed a bunch of modules so that they compile under WinCE,
     we now have access_file and the mpeg demux and video decoder working
     (http://zoy.org/~sam/vlc/pocketvlc2.png).

2002-11-20 Wednesday 08:58  sam

   * ./include/vlc_common.h, ./src/extras/libc.c: exported our custom libc
     functions to plugins.
   * ./bootstrap: enhanced the project file generation for plugins; we now
     parse makefiles to make this easier.
   * ./modules/**/Modules.am: reworked a few makefiles so that they are more
     easily parsed.

2002-11-20 Wednesday 01:47  gbazin

 * src/video_output/video_output.c: fixed a really old bug in the video output
    layer. This bug was only affecting video outputs without direct rendering
    capabilities.

2002-11-19 Tuesday 20:56  gbazin

 * modules/misc/network/ipv6.c: restored the msg_*() outputs from BuildAddr().

2002-11-19 Tuesday 20:45  gbazin

 * include/video.h, include/vlc_config.h, src/video_output/*: changed the
    picture buffer allocation scheme to allocate pictures from the render
    heap in a clockwise fashion instead of always picking the first available
    one from the start of the heap.
    This allows us to benefit from ffmpeg's macro-block skipping feature.
    As a side effect, we also have less chance of reusing a refrence picture
    buffer when we can't link/unlink them.

 * modules/codec/ffmpeg/video.c: modified the direct rendering code to benefit
    from the macro-block skipping algorithm.
    A new flag has also been introduced in the video_output's render heap to
    forbid modifications to the render picture buffers (for instance to overlay
    subtitles).

2002-11-19 Tuesday 17:38  sam

   * ./src/misc/modules.c: p_module->psz_filename is now filled with a real
     8 bit string under WinCE.
   * ./extras/Win32_msvc: scrapped this directory.
   * ./bootstrap: we now parse plugin makefiles to guess what to put in
     the MSVC project files. Only the dummy plugin has been tested yet.

2002-11-19 Tuesday 17:23  fenrir

  all: Use BITMAPINFOHEADER everywhere (Needed because of endian issue).

2002-11-18 Monday 23:00  massiot

 Partial fix of the OS X audio output (thanks Heiko!).

2002-11-18 Monday 19:31  fenrir

  * ogg: change i_dts usage for subtitle ES.

2002-11-18 Monday 18:37  gbazin

 * src/misc/modules.c: fixed small typo that was breaking the build.

2002-11-18 Monday 18:05  sam

   * ./src/misc/modules.c: support for Unicode filenames under WinCE; VLC now
     successfully opens plugins.
   * ./modules/misc/dummy/*: hacked the dummy plugin so that it compiles for
     WinCE.

2002-11-18 Monday 17:31  gbazin

 * modules/gui/wxwindows/*: updated the toolbar icons.

2002-11-18 Monday 16:39  gbazin

 * modules/gui/wxwindows/interface.cpp: enabled the OpenFile dialog box.

2002-11-18 Monday 15:19  gbazin

 * modules/gui/wxwindows/interface.cpp: fixed typo.
 * modules/audio_filter/converter/u8tofloat32.c: fixed typo.

2002-11-18 Monday 13:28  gbazin

 * configure.ac.in, modules/codec/Modules.am, modules/codec/tarkin.c: added
    an experimental tarkin video decoder. You will need to specify the tarkin
    tree you want to use with --with-tarkin-tree=.

    Warning: Tarkin is still in very early development stage, so this plugin isn't
    actually usefull unless you intend to do some development on tarkin itself.

2002-11-18 Monday 13:08  gbazin

 * modules/demux/m3u.c: should manage entries with relative paths.
 * src/playlist/playlist.c: fixed playlist_Next().

2002-11-18 Monday 13:02  gbazin

 * added a wxwindows interface using the wxWindows cross-platform GUI framework.
    The interface is quite basic for now but should be functional anyway.
    (you need to have wxWindows >= 2.3.0 installed to use this plugin)

2002-11-18 Monday 11:50  sam

   * ./bootstrap: reverted the behaviour behaviour to the default, which
     means no default flag to use (except for me, muahaha).

2002-11-18 Monday 02:46  fenrir

  * ffmpeg: set bug detection to auto by default.

2002-11-17 Sunday 06:46  fenrir

  * ffmpeg: disable direct rendering by default. I have too many files
 that don't work with it (I don't see why it doesn't work :(
  * mp4: fix a bug in timestamp calculation. Replace s/u* by s/uint*_t
  * avi : remove an useless debug message.
  * src/misc/objects.c : fix stream output object allocation.

2002-11-16 Saturday 22:25  fenrir

  * avi: fix playing over http (a bug I have introduced).

2002-11-15 Friday 18:10  fenrir

 * modules/demux/util : add a text subtitle demuxer. (Module called by demux).
 MicroDVD, SubRIP, SSA subtitle format should work...
  Options: --sub-file <subtitle file> [--sub-fps, --sub-delay --sub-format].

  * modules/demux/avi : make use of subtitle parser.
  * modules/demux/asf : display movie length. (It will not work with live
 streams of course).

  modules/codec/spudec : use i_dts to send end of display time for subtitle.
 (Yes it's ugly, but it works :)

2002-11-15 Friday 17:17  gbazin

 * configure.ac.in, modules/audio_output/arts.c, modules/audio_output/esd.c:
    fixed the arts and esd audio plugins after the recent changes to aout3
    (untested).

2002-11-15 Friday 16:27  gbazin

 * configure.ac.in, modules/audio_output/directx.c, modules/audio_output/waveout.c:
    fixed the waveout and directx audio plugins after the recent changes to aout3.

2002-11-15 Friday 14:41  gbazin

 * modules/access/http.c: added an http-proxy config variable. If the variable
    is not set, we'll still look at the value of the http_proxy environment
    variable.

2002-11-15 Friday 12:22  sam

   * ./src/video_output/video_output.c: backport of a fix in MAIN for
     spoiled FPU registers.

2002-11-15 Friday 01:23  gbazin

 * configure.ac.in: fixed a few typos regarding LDFLAGS_access_*. Re-enabled
    the oss plugin as it seems to be working fine.
 * src/audio_output/input.c: fixed an obscure bug... (strange one though:
    int foo = -1; unsigned int bar = 2; __MAX( foo, bar) == -1 ).

2002-11-15 Friday 01:17  fenrir

  faad: adapt to new changes in aout3 (at least it compiles)

2002-11-15 Friday 00:41  gbazin

 * modules/codec/vorbis.c, modules/audio_filter/resampler/linear.c: adapted to
    the new changes in aout3.

2002-11-14 Thursday 22:44  alexis

 Added the changelog of vlc 0.4.6.

2002-11-14 Thursday 22:38  massiot

 Major change of the channels management. p_format->i_channels disappeares
 and is replaced by two members : i_physical_channels and i_original_channels.
 i_physical_channels describes the channels which are effectively present
 in the stream (at the current point of the aout pipeline), whereas
 i_original_channels represents the channels we used to constitute the
 stream. For instance a mono stream (FRONT_CENTER) may emanate from a
 FRONT_LEFT channel of a STEREO stream.

 Additionally, this contains hooks to dynamically select the audio device
 and the channels configuration. In order to do that, all aout plugins,
 and all interface plug-ins need to be adapted. Currently only SDL
 (partially OSS) and the rc interface have been adapted, please use them
 as a guide. Other aout plug-ins have been temporarily disabled.

 IMPORTANT : if you need a working sound output, DO NOT UPDATE YOUR TREE
 for several days until we fix that.

 * modules/misc/network/ipv4.c: Fixed a long-standing segfault when saving
   preferences and asking for multicast.

2002-11-14 Thursday 16:32  fenrir

  mms.c: it takes care of --no-audio and --no-video (to reduce bandwith
 usage),  and should not use more than --mms-maxbitrate (when there
 are multiple audio or video streams).

2002-11-14 Thursday 16:17  fenrir

  asf/* : Convert all u* into uint*_t
          Fix playing of some live asf, seek improvement (at least for me ;)
 but it's more some "kludge" with vlc clock than true fixes ...

  I will never understand how vlc clock works ....

2002-11-14 Thursday 15:07  sigmunau

  make --version --help --longhelp --list and -p output to stdout.

2002-11-14 Thursday 14:08  gbazin

 * src/audio_output/intf.c: fixed a bug affecting audio volume initialization.

2002-11-13 Wednesday 22:36  massiot

 * OS X plug-in fix ;
 * Re-enabled float32 mixer (huh?).

2002-11-13 Wednesday 22:36  gbazin

 * Updated changelog and package files.

2002-11-13 Wednesday 21:58  gbazin

 * ChangeLog: updated ChangeLog.

2002-11-13 Wednesday 21:18  fenrir

  * fix and make better stream selection (if mms-maxbitrate unset, get the best
 quality else try to be closed to mms-maxbitrate ).

2002-11-13 Wednesday 20:51  sam

   * ./bootstrap: bootstrap now requires the --config flag. With no arguments
     it simply outputs a usage message.
   * ./src/*: fixed a bunch of (legitimate) warnings under VC++.
   * ./evc/*, ./msvc/*: split the workspaces into three projects (libvlc, vlc
     and plugins -- plugins doesn't build anything yet).

2002-11-13 Wednesday 20:28  fenrir

  * mms/* : better stream selection and add some options to override it.
 (Usefull with demuxdump).

2002-11-13 Wednesday 20:23  fenrir

  access/* : don't override demux setting made by user.
  modules/demux/demuxdump.c : a little demux that dump raw stream.
 (should work with all access...)

2002-11-13 Wednesday 15:28  sam

   * ./msvc/*, ./evc/*: moved eMbedded Visual Studio files to the toplevel evc/
     directory because the two project files are starting to diverge.
   * ./evc/vlc.c: created a specific vlc.c file for Windows CE.
   * ./src/misc/messages.c: as WinCE doesn't have stdout or stderr, the message
     queue outputs to a logfile (until we have a proper interface).

2002-11-13 Wednesday 12:58  gbazin

 * src/playlist/playlist.c: bugfix for when we delete the last playlist
    element (I'll get this one right... eventually ;).
 * modules/demux/m3u.c: allow forcing the demux to be used by specifying the
    asx or m3u demux.

2002-11-13 Wednesday 11:09  gbazin

 * src/playlist/playlist.c: when autodeleting an item, we don't need to skip
    to the next one.
 * modules/demux/m3u.c: added .asx support and changed the autodetection of
    file type to just probe the file extension.

2002-11-13 Wednesday 09:56  sam

   * ./po/POTFILES.in: fixed "make dist".

2002-11-13 Wednesday 09:45  sam

   * ./FAQ: changed Debian repository location to HTTP (for better upload
     stats estimations on our side).

2002-11-12 Tuesday 22:18  sigmunau

  added a new demux that reads .m3u files and addes the contained items to
 the playlist. Currently only autodetects files that start with #EXTM3U
 otherwise you'll have to force it.

2002-11-12 Tuesday 21:20  gbazin

 * include/vlc_playlist.h, src/playlist/playlist.c: added a b_autodeletion
    flag to the playlist item structure. If this flag is set then the playlist
    item will be deleted automatically after it has been played.

2002-11-12 Tuesday 20:35  gbazin

 * plugins/a52/a52.c: is now the default ac3/a52 decoder (because it has a
    nicer audio quality than ac3_adec).

2002-11-12 Tuesday 16:02  gbazin

 * modules/gui/gtk/gtk_callbacks.c: fixed deadlocks.
 * modules/gui/gtk/gtk.c: fixed uninitialized variables.

2002-11-12 Tuesday 13:57  sam

   * ./Makefile.am: fixed rc compilation under mingw32/cygwin.
   * ./modules/access/http.c: fixed a segfault (unchecked strstr return value).
   * ./src/input/input_ext-plugins.c: removed platform-specific code and put
     it in plugins. This leads to some code duplication but I have an evil
     plan to get rid of that, too.

2002-11-12 Tuesday 11:45  gbazin

 * modules/gui/gtk/gtk.c: small bug-fix for a crash on module loading.

2002-11-12 Tuesday 10:44  gbazin

 * src/extras/libc.c: fixed typo.
 * configure.ac.in: compilation fix on win32 for the mms access plugin (the
    plugin is linked with ws2_32).

2002-11-12 Tuesday 00:54  fenrir

  * modules/demux/asf/.cvsignore : put the good one.
  * modules/access/mms : add MMS (Microsoft Media Streaming) access (Support
 only TCP, I will try to add UDP and HTTP as well).
  There are some problems with streams selections and we cannot seek, but
 anyway it seems to work. (Usefull for some radio web)
  * other: enable mms access by default.

2002-11-11 Monday 22:27  gbazin

 * src/audio_output/filters.c, src/audio_output/input.c, include/aout_internal.h,
    modules/audio_filter/resampler/*: Changes that allow the resamplers to set
    the start and end date of the frame it outputs.
    This allows us for instance to output a smaller frame than what we should, and
    keep the rest of the data to compute the resampling of the next frame.
    In short, we can implement much more complex resampling algorithms than before.

 * modules/audio_filter/resampler/linear.c: rewrote the linear resampler. The audio
    quality doesn't seem to be better than the ugly resampler, maybe I shouldn't
    have wasted my time on this...

2002-11-11 Monday 19:16  gbazin

 * modules/audio_output/file.c: will write a WAV header by default. Can be
    disabled with --no-audiofile-wav.
 * modules/audio_filter/resampler/linear.c: disabled for now, until I actually
    manage to make it work without a problem.

2002-11-11 Monday 14:39  sam

   * ./include/*, ./src/*: separated WIN32 #tests and UNDER_CE #tests, because
     WIN32 isn't always defined under WinCE, but might be. Grmbl.
   * ./include/*: changed a few u* and s* to uint*_t and int*_t.

2002-11-10 Sunday 23:41  sam

   * ALL: libvlc now compiles and run under WinCE. I haven't ported any modules
     yet so there's little that can be tested, but threads work at least.
   * ./src/extras/libc.c: renamed strndup.c to libc.c because a few other
     libc functions were added (strcasecmp, atof, getenv...).

2002-11-10 Sunday 18:04  sam

   * ALL: WinCE compilation fixes (mostly nonexistent headers). A lot of
     work is still needed for missing functions. I only touched libvlc for
     the moment, plugins will come in a long long while.
   * ./bootstrap: moved MSVC project files generation here; use --update-msvc.

2002-11-10 Sunday 16:31  fenrir

  all: fix a bug in packet parsing and can now play unseekable stream.

2002-11-10 Sunday 15:37  fenrir

  http: Accept ICY server reponse (Used for some web radio) and in that
 case it forces mp3 demuxer (Should be ok...)

2002-11-10 Sunday 14:31  gbazin

 * src/audio_output/output.c: fixed another quality affecting bug.

 * include/aout_internal.h src/audio_output/input.c: major change to the
    resampling algorithm. When resampling is requested to keep the audio stream
    synchronised to the main clock, we trigger it but we change the resampling
    rate only progressively so it doesn't get noticed too much by the listener.

2002-11-10 Sunday 13:24  sigmunau

  ./ChangeLog: added entry for the linear resampler
  ./modules/audio_filter/resampler/linear.c: This should allways generate the
 right number of samples now. The morale is never base your floating point
 calculations on the output of integer divitions.

2002-11-10 Sunday 02:47  fenrir

  * faad : adapt to newer version.
  * ffmpeg : adapt postprocessing for latest libavcodec version, add an
 option to disable direct rendering as postprocessing is currently broken
 with it, and with some files I have bad pictures.

2002-11-09 Saturday 18:28  sam

   * ./msvc/vlc.dsp: additional fixes to the MSVC project.
   * ./msvc/vlc.vcw: skeleton of a WinCE project file (yet non-functional).

2002-11-09 Saturday 18:28  sam

  * ./include/aout_internal.h: fixed a breakage I just introduced.

2002-11-09 Saturday 17:44  sam

   * A few additional MSVC build fixes.

2002-11-09 Saturday 16:39  sam

   * ./msvc/*: MSVC project files and default config files.

2002-11-09 Saturday 16:34  sam

   * ./Makefile.am: added a "update-vlc.dsp" rule to create the MSVC project
     file from the makefile.
   * ./msvc/*: moved the MSVC files here.
   * ./src/extras/*: moved the extra code here (used to be in src/misc,
     extras/GNUgetopt and extras/Win32_msvc).
   * ./include/*: a few warning fixes.

2002-11-08 Friday 14:23  gbazin

 * configure.ac.in, modules/audio_filter/converter/*: added a s8tofloat32.c and
    u8tofloat32.c converter.
 * modules/codec/araw.c: modified to also decode u8 pcm audio samples.

2002-11-08 Friday 10:26  gbazin

 * ALL: using "%ll" in printf format strings is not portable (notably on win32) so
    we now use the I64Fx familly of macros to print 64 bits numbers (x being
    replaced by d,i,o,u,x or X).
    eg: msg_Dbg( p_this, "sample is "I64Fi" late", ll_time );

 * src/misc/messages.c: got rid of ConvertPrintfFormatString().

2002-11-07 Thursday 22:56  sam

   * ./include/vlc_common.h: compilation fix for Cygwin.

2002-11-07 Thursday 21:09  sigmunau

  added a new resampler based on linear interpolation, giving a fair tradeoff
 between sound quality and speed

2002-11-07 Thursday 19:31  gbazin

 * INSTALL.win32, include/vlc_config.h, src/libvlc.h: changes to reflect the
    fact that libdvdcss now needs a colon after the DVD drive letter (on Win32).

 * src/misc/messages.c: on Win32 only use fflush() if in debug mode.

 * src/misc/win32_specific.c: try to raise the our process priority slightly
    above normal. This prevent us from suffering too much from normal activity
    of the OS.

2002-11-07 Thursday 16:54  gbazin

 * modules/access/http.c: don't crash, but complain on non http/1.x streams.

2002-11-06 Wednesday 21:48  gbazin

 * modules/codec/spudec/*: modified the spu decoder to handle text subtitles.
    Only one format of text subtitles is supported right now but we should be able
    to expand this by modifying modules/codec/spudec/text.c.
    Most of this work comes from by Andrew Flintham ( thanks a bunch Andrew :).

 * share/font-eutopiabold36.rle: new font for the text subtitler, courtesy of
    Andrew Flintham.

 * AUTHORS: added Andrew Flintham to the authors file.

 * modules/demux/ogg.c: modified the ogg demuxer to handle subtitles.

 * modules/codec/ffmpeg/*: modified the ffmpeg decoder to always keep the last decoded
    frame linked.

2002-11-06 Wednesday 18:07  sam

   * ./modules/access/dvdplay/access.c: activated button highlighting.
   * ./modules/codec/spudec/parse.c: implemented subtitle cropping and
     temporarily disabled subtitle cropping.
   * ./modules/codec/spudec/render.c: split RenderSPU into chroma-specific
     functions.

2002-11-06 Wednesday 15:41  jobi

   * modules/access/vcd/vcd.*: added entry points support (sort of
     chapters).
   * modules/gui/gtk/gtk_callbacks.c: added some locks to the
     navigation functions

2002-11-06 Wednesday 14:44  sam

   * ./modules/demux/avi/avi.c, ./modules/demux/avi/libavi.c: additional
     endianness fixes, spelling fixes, reworked return values usage, used
     C99 types.

2002-11-06 Wednesday 09:26  sam

   * ./src/misc/extras.c: removed a duplicate calculation inside a macro.
   * ./src/libvlc.c: fixed a bug causing all commandline targets to be ignored
     for playback except the last one.
   * ./modules/codec/dv.c: we detach p_vout before quitting.
   * ./modules/codec/xvid.c: fixed image corruption, added a direct rendering
     option which doesn't work yet.

2002-11-05 Tuesday 23:48  gbazin

 * modules/demux/avi/*: should theoretically fix the endianness issues with
    the avi demuxer.

2002-11-05 Tuesday 22:53  sam

   * ./modules/codec/xvid.c: beginning of a video decoder using the Xvid codec
     from xvid.org; compile with --enable-xvid --with-xvid-tree=..., run with
     --codec xvid,any (the priority is lower than ffmpeg's for the now).

     todo list: direct rendering, better buffer handling, see why only I frames
                are rendered OK here... probably more.

2002-11-05 Tuesday 21:57  gbazin

 * modules/demux/ogg.c: should theoretically work on Big Endian machines now.

2002-11-05 Tuesday 18:25  gbazin

 * All: moved the check for "video" and "audio" config variables to
    input_SelectES(). That allows --no-video and --no-audio to automagically
    work for all demuxers.

2002-11-05 Tuesday 14:52  sam

   * ./codec/dv/dv.c: moved this single file to its parent directory; removed
     GetFirstPES in favour of input_ExtractPES/input_DeletePES calls.

2002-11-05 Tuesday 10:07  gbazin

 * modules/codec/ffmpeg/*: modified the ffmpeg video codec to use direct
    rendering when possible.
    Use BITMAPINFOHEADER from include/codecs.h + got rid of Little Endian
    translations that were already done in the demux.
 * modules/demux/avi/* modules/demux/asf/*: Use BITMAPINFOHEADER from
    include/codecs.h.

2002-11-05 Tuesday 03:57  jlj

   * ./modules/gui/macosx/prefs.m: new configuration interface

2002-11-04 Monday 18:27  sam

   * ./bootstrap: automake 1.7 is OK to bootstrap vlc.

2002-11-04 Monday 15:04  sam

   * ./Makefile.am: we properly install plugins in the OS X vlc.app directory.
   * ./mozilla/npvlc_rc.rc, ./mozilla/vlcplugin.h: added the Ogg mime type to
     the Mozilla plugin properties.
   * ./debian/control: added libogg-dev and libvorbis-dev dependicies to the
     Debian build script.

2002-11-03 Sunday 23:00  gbazin

 * include/codecs.h: new header file to store information shared by decoders
    and demuxers, like the BITMAPINFOHEADER structure for instance.
 * modules/demux/ogg.c: the ogg demuxer should now work nicely with ogm files
    (including for the video). It has only been tested with a few streams
    produced with dvd::rip and ogmmerge though.

2002-11-03 Sunday 13:22  gbazin

 * modules/demux/ogg.c: we now correctly handle multiple vorbis logical streams
    in ogm files.
 * modules/codec/vorbis.c: small bugfix.

2002-11-02 Saturday 22:47  gbazin

 * modules/demux/ogg.c: small fix to avoid crashing when find unknown codecs.

2002-11-02 Saturday 18:13  gbazin

 * modules/demux/ogg.c, modules/codec/vorbis.c: seeking in an ogg stream is
    working fine now, + misc other improvements.

2002-11-02 Saturday 17:31  sigmunau

 modules/codec/dv/dv.h: workaround for a namespace collision (#undef vlc_error)
 debian/rules: update the location of libgnome_main_plugin.so and
 libgtk_main_plugin.so. Added the ui.rc file to the kvlc package. All debian
 packages seem to build now (even though there were some warnings)

2002-11-02 Saturday 11:53  gbazin

 * src/video_output/video_output.c: small change to avoid using floating point
    registers in the video ouptut routines.

2002-11-01 Friday 23:06  jpsaman

 --enable-familiar accepts now:
 --with-sdl-prefix=[PATH], --enable-gtk-prefix=[PATH] and --enable-gpe-prefix=[PATH] to enable cross-compiling.

2002-11-01 Friday 15:43  gbazin

 * modules/audio_output/directx.c: forgot an aout_BufferFree().

2002-11-01 Friday 15:06  gbazin

 * src/audio_output/common.c, include/aout_internal.h: added a new function
    aout_FifoFirstDate() that allows the aout plugin to schedule the first
    play.
 * src/audio_output/output.c: fixed another problem affecting the audio quality.
 * modules/audio_output/directx.c: improvements. The buffering scheme has been
    changed to be less affected by temporary starving. We also schedule the first   sample to play.

2002-11-01 Friday 12:52  sigmunau

 fixed a typo that caused the ui.rc file to be installed in PREFIX/sharevlc/

2002-10-31 Thursday 11:16  sam

   * ./src/misc/variables.c: callbacks are now called after the variable has
     been modified. Maybe we'll need the other type, too, but this change will
     make things simpler in aout3.

   * ./src/playlist/playlist.c: removed two unused variables.
   * ./src/misc/modules.c: removed a debug message I had forgotten.
   * ./src/misc/modules_plugin.h.in: fixed a typo (thanks bozo).

2002-10-31 Thursday 09:40  gbazin

 * modules/codec/spudec/spudec.c, modules/codec/spudec/parse.c: fixed a couple
    of problems introduced with the recent changes to the bitstream facility.
 * src/audio_output/output.c: fixed a quite annoying bug in aout3 that was
    triggering unnecessary trashing of audio frames.

2002-10-31 Thursday 02:12  massiot

 Fixed plug-in compilation on OS X.

2002-10-30 Wednesday 22:42  jpsaman

 Bug in ReadDirectory() it results in empty file/directory names in the user interface. It makes the file list box unusable.
 The strange thing is that routine scandir() returns the correct number of entries in the directory, but namelist[i]->d_name is empty (??) ;-(

2002-10-30 Wednesday 06:37  titer

   - Fixed an enormous memory leak (forgot to aout_BufferFree ;)

2002-10-30 Wednesday 06:12  titer

   - Fixes. Most of the interface features now work again.

2002-10-30 Wednesday 00:59  titer

  - now vlc no longer tries to use overlay if another application already
    uses it
  - clean up

2002-10-29 Tuesday 20:59  jpsaman

 Added GPE support to familiar interface. Use --with-gpe-prefix=<installation-dir> to enable it.

2002-10-29 Tuesday 20:58  jpsaman

 Solved merge conflicts

2002-10-29 Tuesday 20:53  jpsaman

 ?

2002-10-29 Tuesday 20:52  jpsaman

 GPE is integrated in familiar files.

2002-10-29 Tuesday 20:51  jpsaman

 Familiar packaging files.

2002-10-29 Tuesday 20:49  jpsaman

 Added HAVE_GPE_INIT_H define for autodetection of libgpewidget and GPE headerfiles.

2002-10-29 Tuesday 19:16  gbazin

 * ALL: changes to reflect the fact that libdvdcss now needs a colon after
    the DVD drive letter.

2002-10-29 Tuesday 18:57  sam

   * ./src/misc/modules.c: plugin extension check is now case unsensitive.

2002-10-29 Tuesday 18:12  sam

   * ./Makefile.am: fixed a typo that caused HAVE_DEBUG to imply HAVE_RELEASE.
   * ./bootstrap: fixed calls to $(LINK) which had duplicate -o options.

2002-10-29 Tuesday 17:33  titer

  No more warnings.

2002-10-29 Tuesday 13:38  sam

   * ./src/misc/variables.c: simple change to var_Type() so that it returns
     an error (value < 0) if the variable does not exist.

2002-10-29 Tuesday 13:22  sam

   * ./include/vlc_common.h: defined the INSERT_ELEM and REMOVE_ELEM macros
     which are a generic use of the realloc/memmove/index++ scheme we use for
     dynamic arrays.
   * ./src/misc/variables.c: properly free the choice list upon variable
     destruction.

2002-10-29 Tuesday 10:22  gbazin

 * modules/codec/ffmpeg/audio.c: compilation fix for ffmpeg builds < 4618

2002-10-28 Monday 23:49  jobi

   * plugins/dsp/aout_dsp.c: replaced O_NONBLOCK by O_NDELAY, and put the device
     back in blocking mode once open (the xine way)

2002-10-28 Monday 23:00  massiot

 * Bumped up revision number to 0.4.6.

2002-10-28 Monday 22:48  jobi

   * plugins/dsp/aout_dsp.c: Added O_NONBLOCK flag to the open command,
     so that if /dev/dsp is used, vlc tries with other plugins (like esd).

2002-10-28 Monday 22:31  gbazin

 * configure.ac.in: libvorbis depends on libogg.
 * include/vlc_threads.h: changed the different threads priorities to optimize
    audio and video quality as well as responsiveness.
 * modules/audio_output/waveout.c modules/audio_output/directx.c: waveout and
    directx will now use the float32 format if available. Various tweaks for
    better performance.

2002-10-28 Monday 22:25  gbazin

 * modules/video_output/directx/directx.c: fixed segfault on initialization.
    Changed back the priority of the event thread to normal.

2002-10-28 Monday 22:23  gbazin

 * modules/codec/mpeg_video/parser.c: add_module() for "mpeg-motion" wasn't using
    the right capability.
 * modules/codec/ffmpeg/ffmpeg.c: fixed typo (re-enabled default case in a
    switch).
 * modules/codec/a52.c: fixed the AOUT_DOLBY detection.

2002-10-28 Monday 20:57  sam

   * ./include/variables.h, ./src/misc/variables.c: list variables.

2002-10-28 Monday 20:03  gbazin

 * plugins/directx/vout_directx.c: fixed a nasty segfault on initialization.

2002-10-28 Monday 19:42  titer

 - Added LCD info view from 0.4.x

2002-10-28 Monday 17:18  titer

 Forgot to add files :|

2002-10-28 Monday 16:55  titer

 - Added a small preferences window
 - Fixes

2002-10-28 Monday 16:26  sam

   * ./configure.ac.in: we explicitely link the dvdplay plugin with libdvdcss
     if it was found.
   * ./modules/access/dvdplay/tools.c: we don't try to stat the device if it
     looks like a Win32 drive.
   * ./src/misc/messages.c: we only flush stderr under Win32.

2002-10-28 Monday 13:25  sam

   * ./Makefile.am: fixed missing build dependencies for the Mozilla plugin.
   * ./src/misc/variables.c: implemented min/max and steps for integer and
     float variables.

2002-10-28 Monday 11:49  fenrir

  * fix a bug while passing informations to audio decoder(wma in
 asf should work).

2002-10-28 Monday 07:46  sigmunau

  * Disable some menu items when no input is available.
  * Some cleanups

2002-10-28 Monday 06:26  fenrir

  * all : add audio decoding support in ffmpeg module, since they have
 added wma1/2 decoder... :))

2002-10-28 Monday 01:51  fenrir

  * avi.c : fix a bug (bad choice in stream to be read)
  * libioRIFF : now useless files.

2002-10-27 Sunday 23:10  sigmunau

  * added a simple dialog to show id3-tags and other info
  * finally added languages/subtitles selections menus, found and got fixed two
  bugs in kdelibs in the process, but only one of them will get into kde 3.1.
  * made the location of the ui.rc file configureable, usefull for testing.

2002-10-27 Sunday 18:06  fenrir

  * all: new way to gather frame (same as ffmpeg).

2002-10-27 Sunday 17:23  titer

 vlc_threads_func.h : skip a useless BeOS warning
 faad/decoder.c : minor compile fix

2002-10-27 Sunday 16:59  gbazin

 * modules/demux/ogg.c: we now set p_input->stream.i_mux_rate.

2002-10-27 Sunday 16:58  gbazin

 * ALL: removed GetPES and NextPES, we now use input_ExtractPES everywhere instead
    of these. The bitstream facility has also been changed to use input_ExtractPES
    and now stores the current PES in its structure.
    Introduced input_FlushPESFifo() and CloseBitstream().

2002-10-27 Sunday 15:37  fenrir

  * all : rewrite demux part (simpler and cleaner). Please, tell me if you see
 some regression.

2002-10-26 Saturday 19:14  fenrir

  * all : fix for new use of p_selected_area->i_tell.

  Just a word: now we cannot update anymore p_input->p_current_data
 without updating i_tell. I known that it's used for skipping some bytes in
 mp3 demux (not yet fixed), I don't known if it's used elsewhere....

2002-10-26 Saturday 15:24  gbazin

 * ALL: p_selected_area->i_tell is now update inside input_SplitBuffer instead
    of inside the pf_read functions of access plugins. That means i_tell now
    actually reflects the position of what is being decoded and furthermore it
    is updated more often.

2002-10-26 Saturday 01:08  garf

 YUV plans filter (modifies all 3 plans separatly)

2002-10-25 Friday 18:17  sam

   * ./modules/video_output/directx/events.c: start the colorkey search at 10,
     not 5, to avoid using a color used by another application.
   * ./modules/video_output/directx/events.c: support for drawing in a parent
     window instead of creating our own; still a bit flakey.

   * ./mozilla/vlcshell.cpp: we can now compile the Mozilla plugin so that it
     does not call libvlc (for testing purposes).

2002-10-25 Friday 15:42  gbazin

 * include/aout_internal.h: oops, forgot to commit this in my last changes.

2002-10-25 Friday 15:21  gbazin

 * modules/audio_output/oss.c: when now set the fragment size of the OSS device
    according to the size of an audio sample.
    For buggy OSS drivers, we now take into account the real size of the OSS
    internal buffer when we check how much this buffer has been filled.

2002-10-25 Friday 09:24  sam

   * ./bootstrap, ./Makefile.am: we don't build static libraries if their only
     goal is to provide dependencies for shared libraries.

2002-10-25 Friday 09:21  sam

   * ./include/vlc_common.h: we now use the ISO C9x types (int8_t, uint8_t,
     int16_t) instead of our custom types (s8, u8, s16) and you are encouraged
     to use these types from now. Of course the old types are still available
     for backward compatibility.

2002-10-24 Thursday 21:08  massiot

   * plugins/network/ipv4.c: fixed a crash with multicast addresses when no
     interface address is given.

2002-10-24 Thursday 17:36  gbazin

 * modules/audio_output/oss.c: Finally fixed! There also is a new config option
    (--oss-buggy) to work-around buggy oss drivers.

2002-10-24 Thursday 14:26  sigmunau

 less braindead coloring

2002-10-24 Thursday 10:33  fenrir

  * ffmpeg : new way to gather a frame
  * input_ext-dec.c : add a call to GetPES in NextPES when fifo is empty.

2002-10-24 Thursday 09:37  gbazin

 * src/input/input_ext-dec.c, include/input_ext-dec.h, modules/codec/araw.c:
    renamed input_NextPES into input_ExtractPES and factorised its code.
 * modules/codec/ffmpeg/ffmpeg.c, modules/codec/faad/decoder.c,
    modules/codec/cinepak/cinepak.c: make use of NextPES and GetPES from
    src/input/input_ext-dec.c.
 * modules/codec/a52.c: fixed uninitialized variable.

2002-10-24 Thursday 09:30  gbazin

 * ALL: I did add these files, but forgot to commit them ( ouarf ouarf :)

2002-10-23 Wednesday 23:17  gbazin

 * ALL: New ogg demux and vorbis codec modules for preliminary support of
    ogg/vorbis streams.

2002-10-23 Wednesday 22:05  massiot

 Cosmetic.

2002-10-23 Wednesday 21:54  gbazin

 * ALL: fixed a bunch of memory leaks.

2002-10-22 Tuesday 23:07  massiot

 * Added -mdynamic-no-pic to darwin CFLAGS (can you believe I actually read ./ :)
 * Miscellaneous small fixes.

2002-10-22 Tuesday 21:10  sam

   * ./mozilla/vlcshell.cpp: ported the Mozilla plugin to Windows.

     For the moment it spawns a separate window and seems to behave nastily
     (read: crashes) when the target has sound, but the javascript interface
     works perfectly, for instance.

     To build it, I installed Mozilla development files in my mingw32 dir
     and hacked mozilla-config so that it uses these files. I also hacked
     jri_md.h and jni_md.h to put "defined(_MSC_VER) || defined(__MINGW32__)"
     where it read "defined(_MSC_VER)". No other changes were necessary.

2002-10-22 Tuesday 20:55  sam

   * ./modules/audio_output/alsa.c: tiny compilation fix.

2002-10-21 Monday 20:00  massiot

 * Avoid overflowing the message queue with "audio output is starving"
   messages,
 * Updated BeOS and QNX outputs with respect to i_channels policy.

2002-10-21 Monday 10:46  fenrir

  * input_ext-dec.* : add a new function to parse decoder fifo at PES level
 (input_NextPES);
  * araw.c : use this new function.

2002-10-21 Monday 09:18  fenrir

  * configure.ac.in Makefile.am: enable asf demuxer plugin
  * modules/demux/asf/*: some clean up

2002-10-21 Monday 08:27  sam

   * ./debian/vlc-plugin-a52.dirs: forgot a debian file for the a52 plugin.

2002-10-20 Sunday 17:44  fenrir

  * all: fix for correct "i_channels" use.

2002-10-20 Sunday 17:28  fenrir

  * all: add wmv1/2 codec support.

2002-10-20 Sunday 17:22  fenrir

  * all : add an asf file (v1.0 only) demuxer. Need a lot of work to be
 usable, but it begin to give good result.

2002-10-20 Sunday 12:23  massiot

 * modules/demux/mpeg: Added DVB stream type for A/52 streams (0x6),
 * include/vlc_threads.h: Avoid locking the interface,
 * ALL: reworked all audio output plug-ins to correctly take into account
   i_channels. At present this is known to break OSS, probably others.

2002-10-17 Thursday 17:30  ipkiss

 * ./modules/video_output/directx/events.c: compilation fix

2002-10-17 Thursday 16:56  sam

   * ./modules/video_output/directx/events.c: mouse coordinates support for
     the DirectX plugin (please test compilation).

2002-10-17 Thursday 16:48  sam

   * ./modules/video_output/sdl.c: mouse coordinates support for SDL.
   * ./modules/video_output/x11/xcommon.c: we transmit the click only at
     release time.

2002-10-17 Thursday 16:03  sam

   * ./src/video_output/video_output.c: mouse coordinates are now variables.
   * ./modules/access/dvdplay/intf.c: instead of probing the mouse on each
     loop iteration, we set a callback on the corresponding variables.

2002-10-17 Thursday 13:15  sam

   * ./src/misc/variables.c: callback loops are now detected; this means you
     can now use var_* functions from within your callback, they can even
     trigger callback themselves, to any level. The main restriction is that
     you shouldn't meddle with a variable that is already being triggered by
     the current thread (other threads will just wait).
   * ./src/misc/objects.c: fixed a deadlock in the "tree" command.
   * ./modules/misc/testsuite/test4.c: added a "callback-test" command to the
     rc interface to test callback loop detection and concurrent triggers.

2002-10-17 Thursday 08:24  sam

   * ./modules/codec/spudec/parse.c: fixed bad initialization of the alpha
     palette, implemented the "force display" command as forever-living
     subtitles, and reworked some code.
   * ./src/video_output/video_output.c: we increment the image date even if
     we are repeating the previous image, so that subtitles have a chance to
     get displayed.
   * ./src/video_output/vout_subpictures.c: ephemer subpictures don't timeout.

2002-10-16 Wednesday 23:34  sigmunau

 Use a KURLRequester widget for variables of type CONFIG_ITEM_FILE. This
 crates a little button next to the textarea that pops up a file open dialog
 where the user can point and click on the file to select. It also drops down
 a list of possible completions as the user types.

2002-10-16 Wednesday 23:13  massiot

 * Fixed a warning.

2002-10-16 Wednesday 23:12  massiot

 * Fixed AOUT_CHAN_CHANNEL2 trivial mixer,
 * Fixed a compile issue in the vcd plug-in,
 * Fixed SDL behavior with > 2 channels.

2002-10-16 Wednesday 19:39  sam

   * ./include/variables.h, ./src/misc/variables.c: implemented variable
     callbacks.

2002-10-16 Wednesday 15:10  sam

   * ./configure.ac.in, ./src/libvlc.c: attempt at activating gettext support
     under platforms without libintl such as Win32. Use --with-included-gettext
     to test. Might break compilation on systems I don't have access to.

2002-10-16 Wednesday 11:35  sam

   * ./modules/access/vcd/vcd.c: changed an error to a warning in the probe
     phase.
   * ./modules/video_filter/deinterlace/deinterlace.c: the bob method now
     flickers less thanks to a patch from Marian Durkovic <md@bts.sk>.

2002-10-16 Wednesday 10:31  sam

   * ./src/misc/variables.c: fixed a deadlock in command variables handling;
     we now release the variable lock before calling the command.
   * ./src/misc/threads.c: removed deprecated code.

2002-10-15 Tuesday 23:10  massiot

 * Fixed filters which couldn't work with more than 2 channels ;
 * Fixed detection of VCD support under OS X.2.

2002-10-15 Tuesday 23:00  massiot

 Fixed VCD detection under MacOS X.

2002-10-15 Tuesday 20:26  gbazin

 * plugins/mpeg_system/mpeg_ts.c: grmbl... fixed a stupid include problem.

2002-10-15 Tuesday 19:56  gbazin

 * modules/access/vcd/*, configure.ac.in:
    - Major changes to allow reading vcd images directly from the hard drive
       (you need a .cue and .bin file).
    - Removed duplicated code by merging ioctl_GetTrackCount and ioctl_GetSectors.
    - Implemented necessary ioctls for Win9x/NT/2K/XP.

2002-10-15 Tuesday 12:30  sam

   * ./po/*: updated locales.

2002-10-15 Tuesday 08:35  sam

   * ./include/vlc_threads_funcs.h, ./src/misc/threads.c: eradicated
     vlc_mutex_need() and vlc_mutex_unneed().
   * ./src/misc/variables.c: implemented VLC_VAR_MUTEX variables.
   * ./modules/misc/gtk_main.c, ./src/libvlc.c: replaced named mutexes with
     named mutex variables.

2002-10-15 Tuesday 01:50  fenrir

  * cinepak.c : initialize picture to black.

2002-10-15 Tuesday 00:56  fenrir

  * all : forgot to add theses new files :p

2002-10-15 Tuesday 00:55  fenrir

  * all : begin to rewrite some parts of avi demux, mainly to clean ugly code
 and to prepare for OpenDML support.
 Add new options :
   --avi-index force index creation.
   --avi-interleaved force method used for unseekable stream but need
 interleaved stream and could lead to loss of audio/video synchro.

2002-10-14 Monday 23:11  titer

 Cleaner code.

2002-10-14 Monday 21:59  fenrir

  * araw.c : pseudo pcm decoder
  * wav : demux for wav file( should work with raw pcm, mp3 or a52 stream ) but
 untested under big endian machine(for pcm).

 All are compiled by default.

2002-10-14 Monday 21:42  alexis

 Update for 0.4.5 release.
 Update of the description.

2002-10-14 Monday 21:36  alexis

 Updated description.

2002-10-14 Monday 20:09  titer

 Fixed seeking.

2002-10-14 Monday 19:04  sam

   * ./modules/misc/testsuite/test4.c: made the 4th test less CPU intensive
     by making the spawned threads wait a bit longer.
   * ./src/misc/variables.c: added a usage count to the variables; trying to
     create a variable with the same name only increments its refcount.

2002-10-14 Monday 16:46  sam

   * ./include/vlc/vlc.h, ./src/libvlc.c: added VLC_Error() to the libvlc API.
   * ./include/main.h: removed p_vlc->i_status because it was not sufficient
     to represent all the possible states of p_vlc; each part should be tested
     separately upon destruction.
   * ./src/misc/objects.c: fixed a signed/unsigned bug that prevented creation
     of VLC_OBJECT_GENERIC objects.

   * ./src/misc/variables.c: added the VLC_VAR_COMMAND type which is simply a
     variable that stores a function pointer, and calls it when var_Get is
     called for it. The function argument is taken in val.psz_string.
   * ./src/misc/objects.c: vlc_dumpstructure and vlc_liststructure are no longer
     exported to the rest of the program; instead, they're VLC_VAR_COMMAND vars
     ("tree" and "list").
   * ./modules/control/rc/rc.c: moved a few commands to VLC_VAR_COMMAND vars.

2002-10-14 Monday 16:35  sam

   * ./src/misc/error.c: added vlc_error, a strerror() equivalent.

2002-10-14 Monday 16:34  sam

   * ./modules/misc/testsuite/test4.c: added a stress test module; doesn't get
     compiled yet because it uses the "command" variables I'm about to check
     in. They need to be typed in the rc interface for instance (-I rc). This
     module has two available commands: "signal <int>" which sends the given
     signal to the vlc process, and "stress [<int>]" which performs a series of
     object creation/lookup/destruction, variable creation/setting/destruction
     and thread spawning/joining tests. The optional argument for stress is an
     integer between 1 and 200 (the bigger, the heavier the tests; it may hang
     your machine at around 150, be careful).

2002-10-14 Monday 16:27  gbazin

 * plugins/lpcm_adec/lpcm_adec.c: fix for broken lpcm plugin on little endian
    machines (from Meuuh).

2002-10-13 Sunday 23:01  massiot

 Imported Changelog from 0.4.5.

2002-10-13 Sunday 23:00  massiot

 Fixed a typo.

2002-10-13 Sunday 22:51  massiot

 Added recent ipkg files in the tarball.

2002-10-13 Sunday 22:34  massiot

 Updated Mac OS X README.

2002-10-13 Sunday 20:20  jpsaman

 Removed dead-code.

2002-10-13 Sunday 15:39  titer

 Now BeOS sound is (almost) clean.
 It is kludgy, but it works ;)

2002-10-13 Sunday 14:27  jpsaman

 Added missing url prefix.

2002-10-13 Sunday 14:26  sigmunau

  modules/demux/util/id3*: fixed up some dead comments
  modules/gui/kde/*: only set variable the user actually have changed when
 apply is pressed in the preferences window.

2002-10-12 Saturday 23:15  alexis

 Fixed a bug in the developer doc : hacking.xml and overview.xml were
 identical ! So I removed hacking.xml...

2002-10-12 Saturday 21:31  gbazin

 * configure.ac.in: fix for the mingw32 build. The gtk plugin may also need mingwex.
 * modules/demux/mpeg/ts.c: added an #include <stdint.h> to make mingw32 happy when
    compiled with libdvbpsi.
 * Makefile.am: fixed dependency problem with share/vlc_win32_rc.rc.

2002-10-12 Saturday 21:26  gbazin

 * configure.in: fix for the mingw32 build. The gtk plugin may also need mingwex.
 * plugins/mpeg_system/mpeg_ts.c: added an #include <stdint.h> to make mingw32 happy.

2002-10-12 Saturday 20:09  gbazin

 * configure.ac.in: fix for the mingw32 build. We check if we need to explicitly
    link with the mingwex library (needed for dirent support with new mingw32
    runtimes).

2002-10-12 Saturday 19:59  gbazin

 * configure.in: slight modifications to the last mingw32 build fix.

2002-10-12 Saturday 19:47  gbazin

 * configure.in: fix for the mingw32 build. We check if we need to explicitly
    link with the mingwex library (needed for dirent support with new mingw32
    runtimes).

2002-10-12 Saturday 12:24  titer

 Rewritten BeOS audio output for audio output 3. It now "pulls" the data.
 Sound is yet choppy (I don't know why).

2002-10-11 Friday 23:44  massiot

 * Updated FAQ.

2002-10-11 Friday 23:44  massiot

 * Updated FAQ.
 * Updated project files for 0.4.5 release.

2002-10-11 Friday 22:32  sam

 Changes to the libvlc API:
   * ./include/vlc/vlc.h: changed the naming conventions for libvlc. Now
     exported functions start with VLC_ instead of vlc_ to avoid conflicts.
   * ./include/vlc/vlc.h: removed the vlc_object_t, vlc_list_t, vlc_error_t
     and vlc_t types; they are now internal types only.
   * ./include/vlc/vlc.h: merged the reentrant and non-reentrant libvlc
     calls. In non-reentrant mode, we just use 0 as the first argument. In
     reentrant mode, we use an object's ID. (see below)

 Internal changes:
   * ./src/libvlc.c, ./src/misc/objects.c: instead of manipulating vlc_object_t
     pointers, we manipulate their i_object_id. When needed, an object is
     retrieved using vlc_object_get (I hope the lookup isn't too expensive,
     that's why I designed the pp_objects layout to allow log2(n) seeks).
   * ./src/misc/objects.c: activated the per-object variable storage. Unused
     yet, unless you want to try "getfoo" and "setfoo blablah" in vlc -I rc.
   * ./include/vlc_objects.h: moved the vlc_object_t and vlc_list_t definitions
     here.

 Misc:
   * ./src/vlc.c, ./mozilla/vlcshell.cpp: removed inclusion of config.h in
     code portions not part of libvlc; it was just required for the
     COPYRIGHT_MESSAGE string which is now available from VLC_Version().

2002-10-11 Friday 21:14  sam

   * ./plugins/filter/deinterlace.c: fixed the green bottom line in the
     linear deinterlace mode, thanks to Marian Durkovic <md@bts.sk>.

2002-10-11 Friday 17:29  gbazin

 * INSTALL.win32: removed note about running in administrator mode to play
    a DVD. Updated doc about using cygwin for compiling.

2002-10-11 Friday 14:18  stippi

 video output has better handling of settings. it remembers flags like fullscreen, aspect ratio correction and on-top-all-windows fell across multiple files in the playlist and also across program launches

2002-10-11 Friday 12:50  sigmunau

 added some coloring to the messages window in the kde interface

2002-10-11 Friday 11:05  sam

   * ./src/misc/variables.c, ./include/variables.h: a few functions for
     in-object variable storage. Unused yet (not even compiled).

2002-10-11 Friday 10:08  gbazin

 * src/misc/modules.c: fixed a memory leak with the "plugin-path" config option.
 * modules/audio_output/directx.c, modules/audio_output/waveout.c: ported the directx
    and waveout audio plugins to the new changes in the audio output layer.
 * configure.ac.in: fixes for cygwin compilation, and the gtk plugin under mingw32.

2002-10-11 Friday 09:01  gbazin

 * src/interface/main.c, src/misc/modules.c: added a quick hack for a
    --plugin-path command line option.
 * INSTALL.win32: removed note about running in administrator mode to play
    a DVD.

2002-10-11 Friday 00:46  stippi

 user can now drop a DVD disk icon onto the interface or playlist window to open a DVD

2002-10-10 Thursday 23:11  titer

 Some clean-up. Playlist works again.

2002-10-10 Thursday 22:50  massiot

 * Updated 0.4.5 Changelog.
 * Bumped up revision number to 0.4.5.
 * Do not use vasprint on Mac OS X because X.1 doesn't have that.

2002-10-10 Thursday 22:46  massiot

 Do not use vasprintf under Mac OS X because OS X.1 doesn't have that (how
 lame...).

2002-10-10 Thursday 20:33  jpsaman

 Handling of URL is now fixed.

2002-10-10 Thursday 19:34  sigmunau

  messages.cpp: use append(...) and not setText( text() + ...), seems to
 decrease cpu-usage considerably.
  preferences.cpp: allow config strings to be 40 characters long instead of
 10. Is that enough?

2002-10-10 Thursday 17:25  sam

   * ./configure.ac.in: dropped the use of typeset in favor of eval to
     set variable values (ash doesn't have typeset).

2002-10-09 Wednesday 22:54  massiot

 * (Hopefully) fixed S/PDIF outputs ;
 * Finally fixed the audio problem on most platforms.

2002-10-09 Wednesday 15:29  stippi

 improved title and chapter navigation in BeOS GUI, added LCD type info view displaying current file, title, chapter and elapsed time

2002-10-09 Wednesday 01:14  titer

 BeOS compilation fixes.

2002-10-08 Tuesday 22:48  massiot

 OS X : raised the priority of the intf at the same level as the video, since
 otherwise we can't quit the application any longer...

2002-10-08 Tuesday 18:10  sam

   * ./src/libvlc.c, ./src/misc/messages.c: due to horrible user threats,
     only two levels of -v are now possible: -v for warnings, -vv for debug
     messages (-q for no output at all).

2002-10-08 Tuesday 16:02  sam

   * ./src/input/input.c: do not try to use stream output if the "sout" variable
     is set to the empty string (happens when doing "Apply" in a GUI).

2002-10-07 Monday 21:58  massiot

 * HACKING : documentation for the automake crash
 * http.c : fixed a problem with seeking with large files

2002-10-07 Monday 21:49  jpsaman

 Forgot to remove progressbar code.

2002-10-07 Monday 21:37  jpsaman

 Fixes for for Familiar Linux.

2002-10-07 Monday 21:28  jpsaman

 Dependencies for SDLAudio (esd/esddsp) and instalation script fixes.

2002-10-06 Sunday 20:23  jpsaman

 Patch for using libgpewidget library for full GPE support.

2002-10-06 Sunday 19:59  jpsaman

 Adding patch for using GPE specific libraries.

2002-10-06 Sunday 19:39  jpsaman

 Added control file for Familiar GPE build. There are three control files now:
 - control : depends on task-x and sdl only for backwards compatibility of familiar v0.5.3.
 - control.gpe : depends on gpe specific libraries (gpe.handhelds.org) for familiar v0.6 and onwards.
 - control.opie : depends on qt embedded libraries (opie.handhelds.org) for familiar v0.6 and onwards.

2002-10-06 Sunday 19:35  jpsaman

 Updated rules

2002-10-06 Sunday 19:28  gbazin

 * configure.ac.in: vlc can now be built under cygwin with or without the
    unix emulation layer (without if you use CC="gcc -mno-cygwin").
 * INSTALL.win32: doc update for cygwin build.
 * modules/video_output/directx/events.c, modules/video_output/directx/directx.c,
    modules/audio_output/directx.c: compilation fixes for cygwin.

2002-10-06 Sunday 19:24  jpsaman

 Familiar GPE packaging files.

2002-10-06 Sunday 19:23  jpsaman

 Rename ipkg/patch to sdl.patch

2002-10-06 Sunday 19:15  jpsaman

 GPE packaging files.

2002-10-06 Sunday 19:01  jpsaman

 Files for gpe package.

2002-10-06 Sunday 18:56  jpsaman

 More GPE packaging stuff for Familiar Linux distribution.

2002-10-06 Sunday 11:47  jpsaman

 GPE menu launch script for iPaq port.

2002-10-05 Saturday 19:26  jlj

   ./src/misc/netutils.c: GetMacAddress Darwin support
   ./src/libvlc.h: Default to en0 instead of eth0 under Darwin

2002-10-05 Saturday 17:29  gbazin

 * ALL: Splitted the directx plugin into an audio and video module.

2002-10-05 Saturday 03:44  bozo

 Up-to-date ALSA audio output module.

2002-10-05 Saturday 00:10  jlj

   ./extras/MacOSX/.../MainMenu.nib: added Open Target panel
   ./modules/gui/macosx/open.[mh]: Open Target code

2002-10-04 Friday 18:07  sam

   * ./configure.ac.in: removed now unnecessary --force-exe-suffix flag.
   * ./src/misc/objects.c: structure_lock is now local.
   * ./src/misc/threads.c: implemented named mutexes which provide a handy
     way to protect data across plugins which might be sharing the same
     resources. Thread-unsafe libraries come to mind, but we can imagine
     using a named mutex for configuration files, or special devices.
   * ./include/main.h: removed global_lock because of vlc_mutex_need, removed
     p_global_data because it was never used, removed structure_lock because
     it did not belong here.

2002-10-04 Friday 14:02  sam

   * ./modules/gui/macosx/vout.m: if no MacOS X interface is available when
     the video output is initialized, we wait for a while before giving up;
     also changed the code so that it probes all interface objects rather than
     the first one it finds.

2002-10-04 Friday 13:13  sam

   * ./bootstrap: we use the proper linker for plugin compilation.
   * ./modules/misc/testsuite/*: moved the null module into three test modules
     that are only built when --enable-testsuite is activated. This directory
     can be a good place for compilation tests or performance benchmarks.

2002-10-04 Friday 12:01  gbazin

 * src/misc/threads.c, src/misc/win32_specific.c, include/interface.h: fixed typos.
 * configure.ac.in, modules/gui/gtk/gtk.c: Added a NEED_GTK_MAIN macro to the compiler
    flags for the gtk module. When this macro isn't defined, then the gtk module
    doesn't make use of the gtk_main module. I had to do this change because the
    gtk_main trick can't work on win32 and render the whole gtk interface unusable.

2002-10-03 Thursday 22:14  massiot

 * Backported RTP access module from HEAD.
 * Fixed a compile issue in the HTTP plug-in.

2002-10-03 Thursday 21:45  massiot

 Fixed miscellaneous problems with the RTP plug-in.

2002-10-03 Thursday 21:14  jpsaman

 Found bug in configure.in script Qt Embedded definition used $(QTDIR) i.s.o ${QTDIR}

2002-10-03 Thursday 21:10  jpsaman

 vlc launch script for opie.

2002-10-03 Thursday 21:01  jpsaman

 Updated for opie

2002-10-03 Thursday 20:49  jpsaman

 Fixed known bug in rtp plugin which resulted in superflous error messages.

2002-10-03 Thursday 20:46  jpsaman

 Updated AUTHOS file.

2002-10-03 Thursday 18:56  sam

   * ./configure.ac.in: duplicated arguments to AM_INIT_AUTOMAKE to fix
     locales breakage.
   * ./src/libvlc.c: libvlc understands the VLC_VERBOSE environment variable,
     to be set between 0 and 4. Default value is 0 for a program using libvlc,
     but vlc sets it to 1 by default.
   * ./src/misc/configuration.c: -v now works the old way (-v, -vv, -vvv) as
     well as the new way (-v0, -v1, -v4). -v1 is the same as -v, and -v0 is
     the same as -q (quiet). Hope it's all understandable.

2002-10-03 Thursday 17:01  gbazin

 * FAQ: updated FAQ with config file issues.
 * configure.ac.in: use -mms-bitfields instead of -fnative-struct for
    mingw32 gcc-3.x.
 * include/interface.h, modules/misc/dummy/interface.c, modules/misc/logger/logger.c,
    modules/control/rc/rc.c: Display message on Win32 explaining how to get
    back to the GUI mode.
 * src/misc/threads.c, include/vlc_threads_funcs.h: ignore the
    win9x-cv-method config option on WinNT when fast-mutex is not enabled.

2002-10-03 Thursday 16:44  gbazin

 * FAQ: updated FAQ with config file issues.
 * configure.in, configure: user -mms-bitfields instead of -fnative-struct
    for mingw32 gcc-3.x.
 * include/interface.h, plugins/dummy/intf_dummy.c, plugins/text/logger.c,
    plugins/text/rc.c: Display message on Win32 explaining how to get back
    to the GUI mode.
 * include/threads_funcs.h, src/misc/win32_specific.c: ignore the
    win9x-cv-method config option on WinNT when fast-mutex is not enabled.

2002-10-03 Thursday 13:21  sam

   * ./src/libvlc.c, ./include/main.h: the root of all objects is now
     p_libvlc, and each p_vlc is a child of p_libvlc. Reasons for this are:

      o the module bank and the message bank only need to be initialized once,
        which gives faster loads when multiple instances of libvlc are used,
      o we allow the possibility of different p_vlc sharing objects, for
        instance the audio output,
      o the CPU detection is only done once.

     This patch is not polished yet, but I cannot do any intensive tests for
     the moment because of a bug somewhere that leaves audio output objects
     lying here and there which needs to be investigated first. The current
     major issue is that the module bank is no longer freed.

2002-10-03 Thursday 10:15  sigmunau

 forgot to add the actual code in my last commit

2002-10-03 Thursday 10:15  sigmunau

  kde.cpp: subscribe and unsubscribe messages
  interface.cpp, interface.h: create a messages window, and add menu iten to
 show it
  Modules.as: build messages window
  ui.rc: menuitem to show messages
  preferences.cpp: fixed typo in comment

2002-10-03 Thursday 09:25  sam

   * ./modules/gui/win32/win32.bpr: use the .dll extension instead of .so.

2002-10-03 Thursday 09:21  jpsaman

 Added author Gerald Hansink of Qt Embedded Video Output to AUTHORS list.

2002-10-03 Thursday 08:44  sam

   * ./bootstrap: fixed a bug I introduced yesterday that caused automake
     version detection not to work properly.

2002-10-02 Wednesday 22:56  massiot

 * Mac OS X audio device discovery and selection, patch courtesy of
 Heiko Panther <heiko.panther@web.de>.

2002-10-02 Wednesday 21:41  jpsaman

 Familiar interface works (tested on Intel).

2002-10-02 Wednesday 20:12  jpsaman

 Preference option automatic playing of selected files works.

2002-10-02 Wednesday 19:58  jpsaman

 Directory browsing and files from file list works. There is one caveat left when vlc is built with --enable-plugins then when browsing directories and run from the source-tree it suddenly cannot find it's plugins anymore.
 When installed everything is fine.

2002-10-02 Wednesday 16:02  sam

   * ./bootstrap: added a check for automake bug #326. No easy workaround is
     really possible other than patching/upgrading automake. This happens for
     automake 1.6.0 and automake 1.6.1.

2002-10-02 Wednesday 15:37  sigmunau

 fixed some insanities which coused this module to fail on a52 sound

2002-10-02 Wednesday 13:28  sam

   * ./Makefile.am: removed a circular dependency on src/misc/modules_plugin.h.

2002-10-02 Wednesday 13:26  sam

   * ./Makefile.am: another workaround for an old automake 1.5 bug (bug #279).

2002-10-02 Wednesday 12:59  sam

   * ./bootstrap, ./Makefile.am: workarounds for automake 1.5.

2002-10-02 Wednesday 09:15  sam

   * ./configure.ac.in: --enable-a52 activates a52tofloat32, not a52.
        (always re-run bootstrap when configure.ac.in has changed).

2002-10-01 Tuesday 22:34  massiot

 Fixed a bug in the OSS output I introduced yesterday.

2002-10-01 Tuesday 22:26  massiot

 For people who have several network interfaces, added a --iface-addr option
 to select which interface to use for multicast sockets.

2002-10-01 Tuesday 21:55  massiot

 Finally fixed the A/52 TS input.

2002-10-01 Tuesday 21:47  massiot

 Finally fixed A/52 TS input.

2002-10-01 Tuesday 21:17  jpsaman

 Playing of files is not working yet! But it is getting closer.

2002-10-01 Tuesday 20:43  ipkiss

 * modules/video_output/directx/events.c: added an "Always on top" entry
   in the system menu.

2002-10-01 Tuesday 20:17  ipkiss

 * plugins/directs/vout_events.c: added an "Always on top" option in the
   system menu

2002-10-01 Tuesday 19:46  jpsaman

 Interface for Familiar Linux does not segfault anymore. Still to fix playing of files.

2002-10-01 Tuesday 19:13  jpsaman

 Interface exits cleanly now.

2002-09-30 Monday 22:01  jpsaman

 BUGS to solve:
 - interface does not exit
 - selecting a directory produces segmentation fault in function ReadDirectory()

2002-09-30 Monday 21:32  massiot

 * Made audio_sample_format->i_format a FOURCC to allow the creation of
 new ones.

2002-09-30 Monday 20:37  jpsaman

 Familiar Linux Gtk+ based interface backported from vlc-0.5.0 cvs. This is not a working version, it segfaults open selecting a directory.

2002-09-30 Monday 20:32  jpsaman

 Adding Qt Embedded video output module from original author Gerald Hansink (gerald.hansikn@ordina.nl). Thanks Gerald!

2002-09-30 Monday 20:13  jpsaman

 Configuration, compile and build settings for:
 - Familiar Linux Gtk+ interface
 - Qt Embedded video ouput
 - preparations for opie interface.

2002-09-30 Monday 19:55  jpsaman

 Adding files for ipkg packaging system off Familiar Linux.

2002-09-30 Monday 19:53  jpsaman

 Adding icons for familiar interface.

2002-09-30 Monday 18:30  titer

 Attempt to port new BeOS features from the stable branch.
 Playlist is yet broken (maybe others things too)

2002-09-30 Monday 15:47  sam

   * src/*: another bunch of .cvsignore files.

2002-09-30 Monday 15:46  sam

   * ./debian/rules: moved the gtk_main and gnome_main plugins to the gvlc
     and gnome-vlc packages.
   * ALL: updated .cvsignore files to properly ignore automake files.

2002-09-30 Monday 11:05  sam

   * ALL: the build mechanism now uses automake. See HACKING for more details.
   * ./mozilla/vlcplugin.cpp: javascript support for the Mozilla plugin.
   * debian/rules: the A52 module is now in a separate package.

2002-09-30 Monday 10:00  sam

   * ALL: added *.am files here and there for future automake support.

2002-09-29 Sunday 18:19  sam

   * ./src/playlist/playlist.c: don't run the playlist by default.
   * ./src/libvlc.c: if items are specified in the commandline, run the playlist.
   * ./src/vlc.c: don't rely on internal vlc types (mtime_t).

2002-09-29 Sunday 18:16  sam

   * ./src/misc/threads.c: fixed a bug in the st_mutex_new() failure detection.

2002-09-29 Sunday 15:39  jpsaman

 Updating ipkg files for X and QT Embedded packages of vlc.

2002-09-29 Sunday 12:06  titer

 Forgot to `cvs add' ;)

2002-09-29 Sunday 12:04  titer

 BeOS enhancements by Stephan Assmus :
   - many fixes
   - added ability to open a file by dropping it onto the vlc icon
   - blanks cursor when no activity
   - added "Speed" menu
   - made nicer look similar to BeOS MediaPlayer
   - playlist now functioning
   - screen capture option
   - and more...

2002-09-28 Saturday 13:05  massiot

 * Several stability patches for multiple input streams aout.

2002-09-27 Friday 23:38  massiot

 * Makefile.old: Fixed BeOS compilation.
 * ALL: Fewer overhead when resampling.

2002-09-26 Thursday 22:56  massiot

 * Fixed my A/52 fix.

2002-09-26 Thursday 22:43  massiot

 * Fixed my A/52 fix.

2002-09-26 Thursday 22:40  massiot

 * Major API change of the audio output. New aout_Dec* functions.
 * Fixed a compile issue in s16tofloat32swab.
 * Fixed a typo in demux/mpeg/ts.c.

2002-09-25 Wednesday 23:11  massiot

 Backported support for VLS CVS with regards to A/52 streams. Also
 backported --vls-backwards-compat option. Please test.

2002-09-25 Wednesday 20:41  jpsaman

 Added compiler and link flags to --enable-opie (not tested).

2002-09-25 Wednesday 20:25  jpsaman

 Adding lost instruction for compiling libmad library.

2002-09-23 Monday 23:05  massiot

 * New --vlc-backwards-compat option, to go back to the old behavior with old
 VLS's.
 * Fixed a bug with non-ASCII characters in the OS X playlist.
 * Fixed a warning on start-up.

2002-09-23 Monday 21:44  jpsaman

 Video output for QT embedded compiles. There are still some linking issues to fix, before it is usable.

2002-09-22 Sunday 14:53  massiot

 Fixed a bug in the conversion splitter.

2002-09-21 Saturday 20:20  jlj

   * ./modules/audio_filter/converter/Makefile: Fixed typo.

2002-09-20 Friday 23:27  massiot

 * Fixed miscellaneous cosmetic issues with lpcm and s16tofloat32swab modules.
 * First hooks for changing the audio output plug-in and its parameters
   on-the-fly.

2002-09-19 Thursday 21:56  massiot

 * Audio volume management now works properly. See src/audio_output/intf.c
   for information on how to use it in your interface plug-ins. In the
   SDL vout, b and n are mapped to sound down/sound up.
 * Fixed a major in the mad plug-in with wrong dates.
 * Fixed a compilation bug.

2002-09-19 Thursday 15:58  fenrir

  * avi.c : fix my last fix about endiannes issues (I hope)

2002-09-18 Wednesday 23:34  fenrir

  * all: fix endian issue with new definition of VLC_FOURCC, but
 untested. Meuuh, could you test it ?

2002-09-18 Wednesday 21:21  massiot

 * ALL: More hooks for audio volume management.
 * configure.in: Fixed a typo.

2002-09-18 Wednesday 12:20  sam

   * ./modules/audio_filter/converter/s16tofloat32swab.c: compilation fix for
     systems which don't have swab(). Fixed a memory leak.

2002-09-18 Wednesday 11:50  tcastley

 Updated to use the new AOUT_VOLUME_* constants.

2002-09-18 Wednesday 01:28  henri

 lpcm support (tested on 1 source only)

2002-09-17 Tuesday 14:56  sam

   * ./src/libvlc.c: switched the position of msg_Create() and system_Init()
     because the BeOS system_Init spawns a thread, which makes use of msg_*
     functions.
   * ./src/misc/threads.c, ./src/misc/win32_specific.c: put the detection
     of SignalObjectAndWait in the thread system initialization because
     system_Init() now happens after msg_Create().

2002-09-17 Tuesday 11:57  fenrir

  * all: - fix a memory leak while parsing.
         - fix a bug while playing last frames (in last chunk).
         - add seek support, not complete but usable.

2002-09-17 Tuesday 08:18  sam

   * ./mozilla/*: added hooks so that the vlc plugin is scriptable from
     javascript. It's also in C++, but we didn't have the choice.

2002-09-16 Monday 20:46  massiot

 * configure.in: Fixed detection of Qt-embedded.
 * modules/codec/a52.c: Fixed detection of A/52 sound.
 * modules/audio_filter/converter/a52tofloat32.c: Fixed a bug related to
   downmixing.
 * ALL: Added hooks for audio volume management.

2002-09-16 Monday 08:10  sam

   * ./modules/gui/gtk/gtk.glade: handled delete event for the Open window.

2002-09-15 Sunday 22:33  ipkiss

  * modules/gui/win32/preferences.cpp: added a forgotten initialization

2002-09-15 Sunday 20:54  jpsaman

 Configure option --enable-qte works now (default is disabled).
 Porting video out plugin/builtin for Qt Embedded to CVS is not complete. (Please do not use it.)

2002-09-15 Sunday 19:32  jpsaman

 Hide progressbar widget on startup.

2002-09-14 Saturday 20:51  stef

 *Fixed a bug that prevented OSS from closing cleanly in spdif.

2002-09-14 Saturday 20:50  stef

 *Fixed a typo that made spudec selection fail.

2002-09-13 Friday 22:38  massiot

 (Temporary) end of the audio output 3 documentation.

2002-09-11 Wednesday 23:10  stef

 .Quick hack to make spdif work with emu10k1 oss driver. Still buggy.

2002-09-11 Wednesday 23:08  stef

 .Fixed the length of the spdif frame.

2002-09-10 Tuesday 12:58  sam

   * ./modules/misc/dummy/vout.c: fixed an endianness issue in the commandline
     chroma parsing.

2002-09-10 Tuesday 12:15  sam

   * ./modules/video_output/x11/xcommon.c: if we do not own the X window, like
     in the Mozilla plugin, we do not try to unmap it.

2002-09-09 Monday 13:52  sam

   * ./configure.in: the DV module is now a plugin, with the proper
     dependencies in debian/control.

2002-09-08 Sunday 22:20  massiot

 Three lines :).

2002-09-06 Friday 23:15  massiot

 Aout3 developer documentation, cont'd.

2002-09-04 Wednesday 21:44  massiot

 Beginning of the developer documentation for audio output 3.

2002-09-04 Wednesday 21:18  jpsaman

 Little cleanup action.

2002-09-04 Wednesday 21:13  jpsaman

 Qt Embedded video out patch courtesy of Gerald Hansink.
 Ported Qt Embedded video out to vlc-0.5.0 (it is not useable yet).

2002-09-04 Wednesday 21:09  jpsaman

 Renamed --enable-qte switch for Qt Embedded interface support to --enable-opie.
 Reused --enable-qte for Video Out support under Qt Embedded.

2002-09-03 Tuesday 12:03  tcastley

 Added Stephan Assmus who is helping with the BeOS Code

2002-09-03 Tuesday 12:00  tcastley

 src/misc/beos_specific.cpp:
 - Implemented VlcApplication::RefsReceived()
 - this added ability to open a file by dropping its icon onto the vlc icon
 - this makes Open With... work as well
 plugins/beos/intf_beos.cpp
 - A message is sent to be_app when the interface is created
 	(needed to support BApplication::RefsReceived())
 plugins/beos/vout_beos.cpp
 - reacts on Escape and Tab key to switch fullscreen/window mode
 - blanks cursor when no activity
 - Fixed a memory leak in VideoWindow::ScreenChanged()
 - Fixed the ugly scrambled video content before any decoding actually begins
 - Added selectable aspect ratio correction
 - Added better error handling when setting the drawing mode
 plugins/beos/InterfaceWindow.h/.cpp
 - Implemented dynamic view layout
 - Fixed crashes in MessageReceived() when no file was loaded
 - Implemented disabling of menus when no file is loaded
 - Added "Speed" menu
 - Added ability to enable navigation menu items according to features of current stream
 - Cleaned up code somewhat
 - Changed parts of LanguageMenu::GetChannels() to show more user friendly and no invalid entries
 - better support for muting and volume info
 - better support for scrubbing and detection of stopped stream
 plugins/beos/MediaControlView.h/.cpp
 - Added dynamic layout of elements
 - Exchanged rewind/fastforward buttons for skip buttons that skip to the next chapter if stream supports it.
 - made nicer looking SeekSlider similar to BeOS MediaPlayer
 - made VolumeSlider similar to BeOS MediaPlayer, plus additional features that one doesn't have (muted state)
 - got rid of MediaSlider (no need for it anymore)
 - detection of stopped stream
 plugins/beos/Bitmaps.h
 - Added bitmaps for VolumeSlider
 plugins/beos/intf_vlc_wrapper.h/.cpp
 - added set_volume() and is_muted() functions
 - fixed a bug in toggle_muted()

2002-09-02 Monday 23:21  massiot

 Fixed the trivial channel mixer.

2002-09-02 Monday 23:17  massiot

 The liba52 "codec" is now an audio filter. It means we are now able to
 autodetect S/PDIF hardware support and the audio output plug-in chooses
 the best one. Of course it probably breaks existing output modules, see
 oss.c for hints :).

 Also include minor tweaks which will entitle us to decode and output 5.1
 audio. It may break existing plug-ins, too. See
 audio_output.c:aout_FormatNbChannels for hints.

2002-09-01 Sunday 21:20  massiot

 Added a priority for video decoders, for systems with fixed-priority
 policy.

2002-08-31 Saturday 22:10  stef

 *It seems that the setting of the fragment size was buggy.

 OSS work with my sblive! now :). It still works on my other computer too
 but please test.

2002-08-31 Saturday 19:58  stef

 *Make pf_setformat disappear from sdl module.

2002-08-30 Friday 23:27  massiot

 aout3 API change :
 pf_setformat disappears (it was never called independantly of Open). If
 the format needs to be changed, we will have Close/Open. This is much
 simpler than before. Please check that I didn't break some plug-ins.

2002-08-30 Friday 22:22  massiot

 * demuxes: Worked around a bug in old VLC and VLS by changing TS stream types
   (see my last mail).
 * aout: Rewrote our whole lock policy. The output thread now doesn't require
   the mixer_lock, which might avoid delays. We will also be able to change
   the filter pipelines at runtime.

2002-08-30 Friday 19:16  sam

   * ./include/vlc_threads_funcs.h, modules/video_output/directx/vout.c: Win32
     compilation fixes (typo, undeclared var).

2002-08-30 Friday 12:23  sam

   * ./configure.in: do not try to link with -lrt if not using pthreads. This
     might break the HP/UX or Solaris ports, please check if possible.
   * ./src/misc/threads.c: fixed syntax in the st and pth implementations.

2002-08-29 Thursday 23:53  massiot

 * ./bootstrap : Fixed an issue with old shell versions
 * ALL : Added a priority argument to vlc_thread_create(), so that audio
 and input threads can run with a higher real-time priority, on systems
 allowing you to use priorities.

2002-08-29 Thursday 22:29  ipkiss

 The win32 interface is preparing for the internationalization.

2002-08-28 Wednesday 22:44  massiot

 * Fixed libmad's output volume.

2002-08-28 Wednesday 22:25  massiot

 * Finally fixed the segfault when resampling.
 * Reactivated the A/52 demux.
 * Wrote a real full-featured float32 mixer.

2002-08-28 Wednesday 21:40  sam

   * ./Makefile.old: fixed the automatic dependency rule (include dirs missing).

2002-08-28 Wednesday 19:48  massiot

 It now works when there is no automake-1.5 nor automake-1.6.

2002-08-28 Wednesday 15:30  sam

   * ./m4/*: added gettext m4 macros so that the configure behaviour is
     always the same.

2002-08-28 Wednesday 14:22  sam

   * Additional fixes for bootstrap when gettext isn't available.

2002-08-28 Wednesday 13:38  sam

   * ./bootstrap: fixed a shell error (replaced "if `foo`" with "if foo").

2002-08-28 Wednesday 12:50  sam

   * ./bootstrap: we should be able to bootstrap CVS even without gettext.

2002-08-27 Tuesday 21:53  sigmunau

 fixed a minor bug

2002-08-27 Tuesday 14:15  sam

   * ./HACKING: we can now use automake-1.5 instead of automake-1.6. But now
     we _really_ depend on it.
   * ./bootstrap: we don't use touch to create a file, because it doesn't seem
     to work everywhere.

2002-08-26 Monday 23:36  sam

   * ./bootstrap: we touch m4/Makefile.am so that configure doesn't complain
     about a missing m4/Makefile.in.
   * ./include/vlc_common.h: workaround for Borland's redefinition of PACKAGE.

2002-08-26 Monday 23:00  massiot

 * Miscellaneous S/PDIF fixes.
 * New NextPTS() function, to replace CurrentPTS() (gives the PTS which will
   be valid for NEXT byte).
 * Fixed mono mode in the builtin mpeg audio decoder.
 * Various fixes related to PTS calculation in audio decoders.

2002-08-26 Monday 22:54  sigmunau

 have my filter compile by default

2002-08-26 Monday 22:35  sigmunau

 An motion blur filter. --blur-factor states the degree of blurring from 1
 to 127. about 100 is cool

2002-08-26 Monday 21:46  sam

   * ./bootstrap: another fix for old versions of autoconf which don't seem
     to like the gettext m4 files.

2002-08-26 Monday 20:49  sam

   * ./configure.in: we now require autoconf 2.5x because previous versions
     don't seem to work very well if you are using autopoint, although
     gettext 0.11.5 claims to be fully backwards compatible. Welcome to
     automake hell.
   * ./bootstrap: workaround which uses gettextize if you do not have
     autopoint. We'll probably stay like this for a while, until gettext
     0.11.x (which replaces gettextize with autopoint) becomes more
     widespread. Currently this workaround seems to work, but don't expect
     a clean tarball if you make dist without having used autopoint. Welcome
     to automake hell.

2002-08-26 Monday 10:02  sam

   * ./Makefile.old, ./modules/gui/win32/win32.bpr: fixed header location
     issues in the Win32 build.

2002-08-26 Monday 09:38  sam

   * ./bootstrap: dropped the dependency on gettext 0.11.5. Now 0.10.4 is OK.

2002-08-26 Monday 09:12  sam

    (A few minor pending patches I had around)
   * ./debian/control: gnome-vlc recommends vlc-plugin-esd, and kvlc recommends
     vlc-plugin-arts.
   * ./src/misc/messages.c: message queue now prints the current object type.
   * ./modules/*: cosmetic fixes for the --long-help output.

2002-08-26 Monday 08:36  sam

   * ALL: fixed a few include directories.

2002-08-26 Monday 01:01  sam

   * Moved ./include/defs.h to ./config.h
   * Renamed ./include/config.h to ./include/vlc_config.h
   * Other misc auto* fixes.

2002-08-25 Sunday 23:18  sam

   * ALL: started the slow move to automake. For the moment, the changes are
     unnoticeable apart from the extra dependency on autoconf, automake and
     gettextize. See the new HACKING file for some information, especially if
     you don't run Linux.

     The current strategy is to have the configure script generate a nice
     automake Makefile from Makefile.am, and then clobber it with our good
     old dirty Makefile. Muahaha :-)

2002-08-25 Sunday 20:44  jpsaman

 Directory content is now read at startup.

2002-08-25 Sunday 19:27  sam

   * ./src/playlist/playlist.c: -Z flag makes playlist loop endlessly.

2002-08-25 Sunday 17:22  ipkiss

  * all: Unified behaviours using "action list" objects

2002-08-25 Sunday 16:55  sam

   * ./modules/audio_output/oss.c, ./modules/audio_output/sdl.c: improved
     sound synchronization.
   * ./src/audio_output/output.c: reverted another change I previously did :-)

2002-08-25 Sunday 09:39  sam

   * ./src/audio_output/output.c: reverted my previous aout_OutputNextBuffer
     prototype change; it looks like we won't need it after all.
   * ./src/audio_output/output.c: if audio output is too slow, but we
     know there is no next packet, then we play it anyway. Rationale behind
     this is: better play a slightly wrongly dated packet than play silence,
     because it might be wrongly dated but there are chances it won't break
     audio continuity.
   * ./modules/audio_output/sdl.c: workaround for SDL's crap audio output
     system (callback gets called at random times, and no way to know the
     latency of the samples being played). Audio output is now rather good
     here, but please give feedback.
   * ./modules/audio_output/oss.c: we delay a bit before asking for a new
     buffer to avoid starvation.

2002-08-24 Saturday 21:35  sigmunau

  moved id3 related code to a separate utility module since several
 demuxers need it

2002-08-24 Saturday 21:11  sam

   * ./modules/audio_output/oss.c: we don't ask too early for a new buffer,
     but rather sleep a bit.

2002-08-24 Saturday 20:22  sam

   * ./modules/audio_filter/resampler/ugly.c: simple resampler which does not
     insert blank samples, but changes pitch.

2002-08-24 Saturday 17:04  gbazin

 * modules/misc/logger/logger.c: fixed initialization bugs.
 * src/misc/objects.c: in vlc_object_destroy() there's no need to lock structure_lock if
 we are the root object (structure_lock has already been destroyed anyway).

2002-08-24 Saturday 16:07  sam

   * ./modules/audio_filter/resampler/trivial.c: fixed a buffer size calculation
     issue in the trivial resampler.

2002-08-24 Saturday 14:49  sam

   * ./configure.in: fixed a typo that prevented compilation of the network
     modules.
   * ./debian/rules: added faad to the package generation.

2002-08-24 Saturday 11:57  sam

   * ./modules/gui/gtk/open.c: the Gtk and GNOME interfaces no longer ignore
     the "dvd", "frequency" and "symbol-rate" variables.

2002-08-24 Saturday 11:46  sam

   * ./modules/audio_output/oss.c: fixed a bug on module reopening.
   * ./modules/audio_output/oss.c: we now properly set the fragment size.

2002-08-24 Saturday 10:19  sam

   * ./src/audio_output/output.c: added an argument to aout_OutputNextBuffer
     which lets the audio output module give a timeout value for buffer
     delivery. This fixes a few issues with aout modules which were calling
     aout_OutputNextBuffer way too early.

2002-08-24 Saturday 09:55  sam

   * ./debian/*: created legacy packages for smooth upgrades to the upcoming
     0.5.x version, and created the vlc-plugin-svgalib package.

2002-08-24 Saturday 01:14  sigmunau

  fixed an off by factor 10 error. Noted along the way that this module
 seems to be requesting audio some time before the output pipeline is
 finnished

2002-08-23 Friday 14:16  tcastley

 Rewritten aout3.  BeOS currently PUSHES the audio.

2002-08-23 Friday 14:05  sam

   * ./modules/codec/faad/decoder.c: the AAC decoder is in sync with aout3.
   * ./modules/codec/a52old/a52old.c: the a52old decoder as well.

2002-08-22 Thursday 21:41  sam

   Forgot one file in my previous commit.

2002-08-22 Thursday 17:14  sam

   * ./modules/audio_filter/converter/fixed32tofloat32.c: fixed conversion.
   * ./modules/codec/mad/libmad.c: ported to the latest aout changes. Still
     doesn't work here, though.

2002-08-21 Wednesday 23:19  sam

   * ./include/vlc_common.h: declared aout_fifo_t.

2002-08-21 Wednesday 23:17  sam

   * ./include/aout_internal.h: exported aout_FifoPop to plugins.

2002-08-21 Wednesday 22:41  massiot

 Big round of fixes in the aout3.
 * Audio and video should now _always_ be perfectly in sync.
 * Changes in a52.c (end_date management) must be ported to other codecs,
   otherwise mixer errors will appear.
 * Audio output plug-in can now tell whether they can handle a little
   clock drift (for instance, inserting zeroes after a pause).

2002-08-21 Wednesday 19:30  jpsaman

 Stopping vlc from the Familiar interface is possible again.

2002-08-21 Wednesday 17:31  sam

   * ./src/misc/modules.c: if a plugin requested not to be unloaded, then we
     won't unload it. This makes us more fault-tolerant with crap libraries
     that are making use of atexit().
   * ./configure.in: svgalib can now be a plugin.
   * ./modules/misc/gtk_main.c: gtk_main doesn't need g_atexit anymore.

2002-08-21 Wednesday 15:55  sam

   * ./modules/misc/gtk_main.c: fixed a minor compilation warning.

2002-08-21 Wednesday 15:53  sam

   * ./include/vlc_common.h: we don't set _() and N_() in Gnome-enabled modules
     because <gnome.h> already does it for us.

2002-08-21 Wednesday 15:10  sam

   * ./modules/video_output/svgalib.c: SVGAlib video output module.

     Currently only supports 256 color output, and defaults to 320x200. You need     to be root to use it, it may leave your console in an unusable state, lock
     up your video card, it will segfault at exit if you compile it as a plugin
     because of SVGAlib's ludicrous use of atexit() and signal().
     Apart from these few glitches, it's rather OK, use "-I dummy -V svgalib"
     to activate. Q or Esc to quit (press for a long time if it doesn't work).

2002-08-21 Wednesday 11:07  xav

 Fixed a polioterie in the previous commit

2002-08-21 Wednesday 09:27  sam

   * ./modules/codec/a52old/a52old.c: ported the old A52 decoder to aout3.
   * ./modules/audio_filter/converter/s16tofloat32.c: converter needed for
     a52old, includes the walken trick and b_in_place = true.

2002-08-21 Wednesday 09:26  xav

 * libvlc.c : Win32 compilation fix.
 * modules.c : we now check the directory plugins/ to find some plugins.
 (this will allow us to use the packager / installer which wasn't aware
 of plugins -> modules :)

2002-08-20 Tuesday 22:11  stef

 *Set output format to AOUT_FMT_SPDIF when in spdif mode.

 S/PDIF does not work here in oss though (output starving).

2002-08-20 Tuesday 21:10  sam

   * ./modules/gui/gtk/display.c: changed the configuration callbacks so that
     all instances of a module get changed when options such as gtk-tooltips
     or gnome-toolbartext are toggled.

2002-08-20 Tuesday 21:02  sam

   * ./modules/gui/qnx/*: ported the QNX audio output to the new API, courtesy
     of Pascal Levesque.

2002-08-20 Tuesday 18:25  sam

   (compilation fixes for my previous commit)

2002-08-20 Tuesday 18:08  sam

   * ./modules/misc/gtk_main.c: created the gtk_main module, which simply runs
     gtk_main() in its own thread, and does nothing on subsequent calls. This
     ensures that gtk_main is only running once.
   * ./modules/gui/familiar/*, modules/gui/gtk/*: the familiar, gtk and gnome
     modules are now fully reentrant thanks to their use of the gtk_main module.
   * ./src/libvlc.c: implemented vlc_set(), a wrapper for config_Put* available
     to external programs.
   * ./src/libvlc.c: removed vlc_stop() and vlc_end(), everything is now done
     by vlc_destroy().
   * ./modules/control/rc/rc.c: implemented a few new functions. For instance,
     run "vlc -I rc" and then type "intf gtk" or "intf gnome". You can even
     launch several of them. "segfault" works, too.

2002-08-20 Tuesday 12:43  sam

    Removed obsolete files which suddenly reappeared.. THE FILES THAT WOULD
  NEVER DIE ! MUUAHAHAHAHAHAAAA !!

2002-08-20 Tuesday 12:32  sam

   * ./modules/gui/familiar/familiar.c: added a timer to check when the
     familiar interface is asked to quit.

2002-08-19 Monday 23:12  massiot

 More changes in the date handling. Should be more tolerant with
 pause/play and change of audio channel.

2002-08-19 Monday 23:07  sam

   * ./modules/audio_output/*: ported the ALSA, aRts, esd and OSS modules to
     the latest aout3 changes.

2002-08-19 Monday 21:54  massiot

 * Fixed BeOS output ;
 * Fixed a few boolean_t.

2002-08-19 Monday 21:31  massiot

 * ./configure: Fixed double detection of gethostbyname.
 * Major changes in the handling of dates in the audio output ; still buggy,
 but differently.
 * Fixed a major bug in the aout pre-filters, preventing to run any other
 decoder than liba52.
 * p_aout->output.pf_play now has only one argument.

2002-08-19 Monday 17:07  bozo

   * modules/audio_output/alsa.c: we now open the device in SetFormat because
     it depends on the audio format. Cosmetic changes. The S/PDIF output may
     work.

2002-08-19 Monday 11:51  tcastley

 Fixed segfault.  Now fails to load due to incorrect format.
 Getting there :)

2002-08-19 Monday 11:37  sam

   * ./src/misc/cpu.c: we use void(*)(int) instead of sighandler_t because
     mingw32 doesn't know about sighandler_t.

2002-08-19 Monday 11:13  sam

   * ./src/misc/cpu.c: libvlc now plays nice with SIGILL and restores the
     signal handler to its previous value after use.
   * ./src/libvlc.c: moved signal handling to vlc.c.

2002-08-19 Monday 08:30  sam

   * ./modules/visualization/xosd/xosd.c: support for libxosd 1.0.0.
   * ./configure.in: added check for libxosd version.

2002-08-19 Monday 08:19  gbazin

 * modules/video_output/x11/xcommon.c: fixed a bug related to the size of the
 fullscreen window. We also unmap the current window when switching to fullscreen.

2002-08-18 Sunday 20:36  jpsaman

 - File and directory listing show unix permissions.

2002-08-18 Sunday 16:17  titer

 Enhanced BeOS icon ;)

2002-08-18 Sunday 14:33  sigmunau

 removed a line used during debugging

2002-08-18 Sunday 14:11  sigmunau

  the mp3 demux now parses id3 tags into the info structures if libid3tag
 is available

2002-08-18 Sunday 13:49  sam

   * ./src/libvlc.c: removed the simple signal handler because it's not
     really needed, and we were calling pthread_mutex_lock from it.
   * ./src/libvlc.c: released a vlc_list_t that caused vlc --list to hang.

2002-08-18 Sunday 13:16  sigmunau

 doxygen documented my code

2002-08-18 Sunday 13:14  sigmunau

  modules/gui/kde/interface.cpp: made the kde interface look for the rc
 file in DATA_PATH
  modules/gui/kde/kde.cpp and interface.h: removed a stupid class, moved
 stuff from open() to run() to make the kde interface start without
 segfaults.

2002-08-18 Sunday 11:32  titer

 Fixed a few linking BeOS problems (-lm, -lstdc++.r4...).

 Now everything should compile with every gcc with no problem (mp4, ffmpeg
 and faad plugins, especially).

2002-08-17 Saturday 15:35  fenrir

  * all : mpeg_audio decoder works now with aout3.

2002-08-17 Saturday 13:33  jpsaman

 Added filetype information.

2002-08-17 Saturday 13:26  tcastley

 This now compiles in BeOS.  Probably others, the i was not declared.

2002-08-17 Saturday 08:46  tcastley

 At least it compiles now.  :-)

2002-08-16 Friday 16:26  sam

   * ./modules/video_output/x11/xcommon.c: we include Xmd.h before dpms.h
     (compilation fix for Solaris).

2002-08-16 Friday 16:25  sam

   * ./plugins/x11/xcommon.c: we include Xmd.h before dpms.h (compilation fix
     for Solaris).

2002-08-16 Friday 14:30  bozo

 Up to date ALSA information.

2002-08-16 Friday 12:31  sam

   * ./src/playlist/playlist.c: added -Z (--random) for endless random playing.

2002-08-16 Friday 03:07  sam

   * ./modules/codec/spudec/*: split spudec into the parsing and the rendering
     functions.
   * ./modules/demux/mpeg/audio.c: at least three PS startcodes are required
     before we abort the parsing and consider the input as PS instead of MP3.

2002-08-15 Thursday 17:05  titer

 * Another BeOS fix for people using some recent gcc
    (that needs libstdc++.r4)

2002-08-15 Thursday 16:37  titer

  * BeOS fixes

2002-08-15 Thursday 12:35  bozo

   * configure.in, configure: put back the ALSA audio output module in
     configure.

2002-08-15 Thursday 12:22  sam

   * ./src/misc/modules.c: compilation fix.
   * ./modules/gui/win32/preferences.cpp: the Win32 interface doesn't use the
     old module linked list anymore.

2002-08-15 Thursday 12:11  sam

   * ./src/misc/modules.c: the module linked list is going bye bye. We now use
     the vlc_object_* and vlc_list_* functions to manage modules. The Win32
     interface doesn't build, but I'll fix this.

2002-08-15 Thursday 10:31  bozo

   * modules/audio_output/alsa.c: cleanings and comments.

 TODO: S/PDIF mode.

2002-08-15 Thursday 08:24  ipkiss

  * compilation fix

2002-08-14 Wednesday 21:50  jpsaman

 Changes in familiar interface:
 - added GtkCList instead of GtkList.
 - added first column sorting order by clicking on column header
 - selecting item from list works
 - reading entire directory list is displayed in GtkCList widget

2002-08-14 Wednesday 17:06  sam

   * ./src/misc/objects.c: implemented vlc_list_find() which works like
     vlc_object_find() but returns a list of _all_ the matching objects. Only
     works with FIND_ANYWHERE at the moment.
   * ./modules/gui/gtk/preferences.c, ./modules/gui/kde/preferences.cpp,
     ./modules/gui/win32/preferences.cpp: the module lists in the preferences
     menus work again.
   * ./src/misc/objects.c: added a missing sizeof that caused crashes because
     the reindexing of the global object array was incomplete.
   * ./include/modules_inner.h: propagated the module long description to its
     submodules.

2002-08-14 Wednesday 13:10  sam

   * ./modules/audio_output/esd.c: compilation fix (aout_FormatTo is obsolete).
   * ./src/audio_output/audio_output.c, ./src/audio_output/mixer.c: fixed a
     horrible sound issue by making sure internal buffers have a size multiple
     of 4 bytes. Waiting for a real fix made in Meuuh, of course.

2002-08-14 Wednesday 10:50  bozo

 ALSA audio output v3.01 is out !

2002-08-14 Wednesday 10:18  ipkiss

  * compilation fix (by sam)

2002-08-14 Wednesday 08:50  tooney

   . Simple RTP access module : only supports TS payload.
     This first draft is made to read RTP streamed by the vls.

2002-08-14 Wednesday 08:17  sam

   * ./modules/control/rc/rc.c: 'l' outputs a list of all allocated objects,
     just as 'd' displayed a tree of attached objects.
   * ./src/misc/modules.c: added a missing header.

2002-08-14 Wednesday 00:43  massiot

 * Added a third argument to aout_OutputNextBuffer. In case the buffer
   received does not start exactly at the given date, it indicates if the
   output plug-in is able to compensate for the drift (for instance on
   startup, or with S/PDIF packets), or if we need the aout core to
   resample the coming buffers. It is currently unimplemented.

2002-08-14 Wednesday 00:23  massiot

 * Changed aout_FormatTo* ; aout_FormatToSize does no longer exist.
   p_buffer now has a i_nb_bytes member. It is possible to indicate for a
   format its byterate (necessary for AC3 and SPDIF).
 * S/PDIF output seems to be working at last (tested with the file output).

2002-08-13 Tuesday 22:42  massiot

 * New float32to* converter modules, courtesy of Xavier Maillard
   <zedek@fxgsproject.org>.
 * Fixed a bug in float32tos16, where gcc over-optimized a little and
   caused problems on some platforms (eg. solaris).

2002-08-13 Tuesday 20:28  fenrir

  * clean up some code, add "mp3" short cut.
    And now if this demux has been forced it will (try) to play the whole
 file even if the stream is heavily corrupted (like PS demux).
    But now, it makes less assumptions on the stream, so report any
 problem if it mis-recognizes others files as mpeg audio (specially PS file).

2002-08-13 Tuesday 16:11  sam

   * ./modules/audio_output/arts.c: ported the aRts module to aout3.
   * ./modules/audio_filter/converter/*: fixed a bug in all the converters
     test routines (thx Meuuh).

2002-08-13 Tuesday 14:53  sam

   * ./modules/audio_output/esd.c: we now properly use the esd_get_latency()
     return value to avoid audio starvation.
   * ./modules/audio_filter/converter/*: a little loop optimization trick.
   * ./src/audio_output/aout_ext-dec.c: removed this deprecated file.

2002-08-13 Tuesday 13:15  sigmunau

 ./modules/control/rc/rc.c: fixed a segfault when pressing 'i' with no
 input

2002-08-13 Tuesday 11:59  sam

   * ./modules/audio_output/oss.c: we spare a variable by using p_aout->b_die
     instead of our own variable.
   * ./modules/audio_filter/converter/a52tospdif.c, ./modules/codec/a52.c: added
     <unistd.h>, required for bswap.
   * ./modules/demux/mp4/libmp4.c: removed an unneccessary semicolon in a
     macro definition.
   * ./modules/audio_output/esd.c: first attempt at getting esd to work.
   * ./modules/video_output/*: split sdl.so into a video and an audio plugin,
     and removed useless subdirectories.
   * ./modules/audio_output/sdl.c: compilation fix.

2002-08-12 Monday 22:48  massiot

 * Fixed miscellaneous bugs.
 * Fixed an endianness issue in S/PDIF.
 * Added a walken optimization of float32tos16.

2002-08-12 Monday 22:30  sigmunau

  ./modules/demux/mpeg/ps.c: this module never fails the probe and should
 therefore have capability 0

2002-08-12 Monday 22:12  massiot

 * Fixed a variable overflow bug in the audio output.
 * Prepared for some advances in the aout3 clock management.
 * Added the first stone of the forthcoming stream output.

2002-08-12 Monday 21:43  sigmunau

  ./configure.in: fix linking of i420_rgb

2002-08-12 Monday 21:40  jpsaman

 This conversion should make more sense.

2002-08-12 Monday 20:43  jpsaman

 - Updated configure to build fixed32tos16 and fixed32tofloat32.
   Desperately need a fixed32 mixer for testing the conversions.
 - Uncommented unused functions in libmad.

2002-08-12 Monday 20:38  jpsaman

 Support for browsing local media (not finished).

2002-08-12 Monday 20:35  jpsaman

 Updated Makefile to include fixed32tos16 and fixed32tofloat32 conversions.

2002-08-12 Monday 20:35  jpsaman

 Added fixed32tofloat32 conversion.

2002-08-12 Monday 20:34  jpsaman

 Added fixed32tos16 filter based upon libmad downscale functionality.

2002-08-12 Monday 17:38  sigmunau

  ALL: added GPL headers to my files. Some of the files from the original
 author does still not contain this header.

2002-08-12 Monday 17:00  fenrir

  * all : enable aac demux by default.

2002-08-12 Monday 16:59  fenrir

  * all : a demux for aac stream ( raw aac with adts headers ). For now
 it has a capability equal to 0 because it conflicts with PS, so you need
 to force it.

2002-08-12 Monday 15:56  sigmunau

   ./Doxyfile: a sample doxygen configuration file. Have a look at
 http://s253c.studby.ntnu.no/vlc/html/index.html to see what doxygen can
 do.

   ./doc/doxygen: a place for doxygen to put it's files

2002-08-12 Monday 09:34  sam

   * ./src/misc/objects.c: two big changes in the object API: now objects can
     only have one parent, because I don't want to deal with cycles, and each
     created object is indexed in a global array. This feature is unused yet,
     but it will speed up vlc_object_find(FIND_ANYWHERE).
   * ./debian/rules: activated the faad codec.
   * ./doc/fortunes.txt: new fortune cookies.
   * ./modules/codec/mpeg_video/headers.c: reduced the use of attach/detach.
   * ./modules/audio_output/oss.c: fixed two compilation warnings.

2002-08-12 Monday 07:40  massiot

 Fixed a S/PDIF bug.

2002-08-11 Sunday 23:26  massiot

 S/PDIF fixes.

2002-08-11 Sunday 22:46  massiot

 Definition of vlc_fixed_t.

2002-08-11 Sunday 22:36  massiot

 * S/PDIF output should now be working (untested, though).

2002-08-11 Sunday 21:59  massiot

 Ported fix from STABLE.

2002-08-11 Sunday 21:56  massiot

 * ./plugins/lpcm_adec/lpcm_adec.c: Endianness fix.

2002-08-11 Sunday 12:27  sam

   * ./modules/misc/memcpy/memcpyaltivec.c: added a missing AltiVec requirement.

2002-08-11 Sunday 08:30  gbazin

 * src/misc/configuration.c: bugfix (don't initialize and free p_module->object_lock
 twice).
 * src/misc/win32_specific.c: missing initializations.
 * modules/demux/mp4/libmp4.c: was missing an #ifdef HAVE_ZLIB_H

2002-08-11 Sunday 01:27  massiot

 More S/PDIF fixes.

2002-08-10 Saturday 23:29  sam

   * Small fix for "make dist".

2002-08-10 Saturday 23:22  massiot

 Imported 0.4.4 Changelog.

2002-08-10 Saturday 23:20  massiot

 Updated release date.

2002-08-10 Saturday 20:05  fenrir

  * modules/codec/faad : an AAC decoder module using libfaad library
 (faad2).
  * modules/demux/mp4/libmp4.c : could compile without zlib.
  * modules/codec/ffmpeg/* : set error resilience to -1 by default.(in
 order to decode more files, but it could produce segfaults ... )
  * Makefile.*, configure.in : enable mp4 by default, add faad
 module (disabled by default ).

2002-08-10 Saturday 20:01  massiot

 * Fixed a bug triggering the trivial resampler when it was unnecessary.

2002-08-10 Saturday 19:40  sam

   * ./src/interface/intf_msg.c: backported a buffer overflow fix from HEAD.

2002-08-10 Saturday 19:23  sam

   * ./src/misc/messages.c: fixed an extremely old buffer overflow.

2002-08-10 Saturday 19:22  sam

   * ./Makefile: fixed "make package-win32".

2002-08-10 Saturday 18:17  gbazin

 * modules/video_output/directx/aout.c: adapted the directx audio plugin to aout3.
 * modules/audio_output/waveout.c: adapted the waveout audio plugin to aout3 and
 decreased its score so the directx plugin is selected by default.
 * configure.in: re-enabled the waveout plugin

 It's really amazing how much aout3 simplifies these plugins :)

2002-08-10 Saturday 17:54  jpsaman

 Allocation of New buffers seems alright now.

2002-08-10 Saturday 17:53  jpsaman

 Enabled mad plugin again.

2002-08-10 Saturday 16:17  sam

   * ./modules/gui/win32/Makefile: fixed the Win32 interface compilation.
   * ./modules/gui/win32/win32.cpp: merged intfwin.cpp into this file.

2002-08-10 Saturday 13:40  jpsaman

 Adapted mad codec plugin to new aout3. Not tested yet.`
 Plugin is not being build by new built structure, this needs to be fixed first.

2002-08-10 Saturday 11:35  jpsaman

 Preparation for Qt embedded support.

2002-08-09 Friday 23:52  sam

   * ./include/audio_output.h: small compilation fix.

2002-08-09 Friday 23:46  massiot

 * Trivial resampler plug-in (resampling still non-functional)
 * Begun writing some hooks for forthcoming S/PDIF support
 * ./modules/access/vcd/cdrom.c: compile fix for Darwin

2002-08-09 Friday 22:25  sam

   * Removed the plugins/ directory.

2002-08-09 Friday 16:39  sam

   * ./src/libvlc.c: p_vlc->pf_memset is now usable (it's always the libc
     default though).

2002-08-09 Friday 16:38  sam

   * ./Makefile: fixed a sed command syntax.

2002-08-08 Thursday 22:28  sam

   * ./include/modules_inner.h: support for several modules with the same
     name but with different directory names.
   * ./Makefile: plugins get installed in different directory names.
   * ALL: additional -ansi -pedantic fixes.

2002-08-08 Thursday 22:26  massiot

 Added another level of directory in audio_filter/.

2002-08-08 Thursday 00:35  sam

   * ./modules/audio_output/oss.c: compilation fixes.
   * ALL: lots of -ansi -pedantic fixes.

2002-08-07 Wednesday 21:41  sam

   * Updated ChangeLog.

2002-08-07 Wednesday 21:36  massiot

 Audio output 3. Expect major breakages.

2002-08-07 Wednesday 21:35  massiot

 * ./src/audio_output/audio_output.c: Partially disabled what I just did
   because it might be a source of unstability on some architectures.

2002-08-07 Wednesday 20:42  massiot

 * Bumped up version number to 0.4.4.
 * ./plugins/spudec/spu_decoder.c: Fixed a moronic endianness bug.
 * ./src/audio_output/audio_output.c: The default rate is now fetched from
   the audio decoder, so avoid unnecessary resampling.

2002-08-07 Wednesday 19:59  massiot

 Moved MODULES, for the same reason as in the unstable tree.

2002-08-07 Wednesday 00:31  sam

   * added a .cvsignore file.

2002-08-07 Wednesday 00:29  sam

   * ./modules/demux/mpeg/system.c: added a helper plugin for MPEG-related
     demux plugins (ps, ts, but also dvd*).
   * ./src/input/mpeg_system.c: removed MPEG-related stuff from the vlc core.
   * ./src/misc/modules.c: max recursion level is now 5.
   * ./modules/access/dvdplay/es.c: fixed a buffer overflow.

2002-08-06 Tuesday 23:43  jlj

   * ./modules/gui/macosx/open.m: compile fix

2002-08-06 Tuesday 20:04  massiot

 Removed the MODULES file, because on case-insensitive filesystems, it
 conflicts with the modules/ directory.

2002-08-06 Tuesday 19:31  jpsaman

 Sam I hate you ;-)

2002-08-06 Tuesday 19:12  jpsaman

 Playing video from within the interface works.

2002-08-06 Tuesday 10:54  tcastley

 Fixed include call.  Now compiles and BeOS version runs :)

2002-08-06 Tuesday 00:26  sam

   * ./Makefile, ./mozilla/Makefile: make uninstall removes vlc-specific dirs.
   * ./src/misc/modules.c: the directory browsing should be more portable now,
     we use stat(2) instead of file->d_type.

2002-08-05 Monday 16:27  sam

   * ./Makefile: fixed directory browsing with "clean" and "distclean" rules.

2002-08-05 Monday 15:16  sam

   * ./modules/codec/dv/dv.c: decoder for the DV format, uses libdv.

2002-08-05 Monday 11:48  sam

   * ./Makefile.opts.in: fixed the builtins_LDFLAGS regexp so that it works
     with the Solaris sed.
   * ./src/misc/modules.c: fixed a warning caused by misuse of const.

2002-08-04 Sunday 23:03  fenrir

  * oups, removed 'include vdec_ext-plugins.h'. And I set
 ffmpeg-error-resilience to -1 by default ( I've found to many files that
 didn't like error resilience...)

2002-08-04 Sunday 22:16  fenrir

  * add compilation of postprocessing modules for ffmpeg.

2002-08-04 Sunday 22:13  fenrir

  * add post processing modules.( As defined in MPEG4 ISO) There are C,
 mmx, mmxext version, but only mmxext is really usable (other need a
  _lot_ of CPU power).

 There are new options for ffmpeg plugins :
  --ffmpeg-pp to choose postprocessing module( c, mmx, mmext or mmx2 )
  --ffmpeg-pp-q to choose quality( 0..6 )
  --ffmpeg-db-?? ( where first ? is for y or c, and the other ? for v or h )
 to force deblocking on luminance(y)/chrominance(c) horizontally or
 vertically.
  --ffmpeg-dr-? ( where ? is y or c ) to force dering on ...

2002-08-04 Sunday 21:29  sam

   * ./Makefile: make clean works again.

2002-08-04 Sunday 20:04  sam

   * ./src/misc/modules.c: if a module name starts with "$", vlc calls
     config_GetPsz and uses the result instead.

2002-08-04 Sunday 18:39  sam

   * ./include/vdec_ext-plugins.h: removed this public header and put it
     in ./modules/codec/mpeg_video/.

2002-08-04 Sunday 17:40  sam

   * ./modules/misc/dummy/decoder.c: the dummy codec now uses GetChunk instead
     of GetBits and doesn't get stuck on high bitrate movies (thanks fenrir).

2002-08-04 Sunday 17:23  sam

   * ./modules/*: moved plugins to the new tree. Yet untested builds include
     waveout, directx, qnx, beos, win32, macosx, and the AltiVec modules.
   * ALL: removed mention of AC3 in favour of A52.
   * ./configure.in, ./Makefile*: modules can now be built deeper than 1
     directory. As a consequence, the build is even slower (but I'm fixing
     this) and make clean doesn't work anymore.

2002-08-04 Sunday 12:18  sam

   * ./src/misc/modules.c: we now recursively parse directories when
     looking for plugins.

2002-08-04 Sunday 08:45  sam

   * ./configure.in, ./mozilla/Makefile: we link the Mozilla plugin with libXt.

2002-08-04 Sunday 08:28  sam

   * ./plugins/memcpy/memcpy.c: fixed an include position which prevented
     fast_memcpy to be exported with its proper builtin symbol name.

2002-08-02 Friday 04:31  tcastley

 Forgot new file in Makefile :)

2002-08-01 Thursday 22:58  jlj

   * ./plugins/idct/idctaltivec.c: compile fix

2002-08-01 Thursday 17:55  fenrir

  avi.c: remove an old debug purpose printf :)

2002-08-01 Thursday 12:58  gbazin

 * Added a --dvd-css-method config option to the dvd plugin. This is implemented with
 putenv() and is IMHO a quick hack (leads to memory leaks) as libdvdcss should rather
 allow us to change this value using the API!

2002-08-01 Thursday 12:36  tcastley

 Compilation fixes.

2002-08-01 Thursday 11:04  tcastley

 Compilation fixes for C++ environments like BeOS.

2002-07-31 Wednesday 22:54  sam

   * ./include/configuration.h, ./include/modules_inner.h: compilation fix for
     compilers which don't support constructor expressions. I hate Borland.

2002-07-31 Wednesday 22:37  sam

   * ./plugins/win32/*, ./plugins/directx/*: Win32 compilation fixes (but
     still not working under Borland).

2002-07-31 Wednesday 20:56  sam

   * ALL: new module API. Makes a few things a lot simpler, and we gain
     about 2000 lines of code.

     I could not test everything on every architecture, so please report
     any module breakage (especially on BeOS, OSX and QNX).

2002-07-30 Tuesday 17:14  gbazin

 * plugins/directx/vout_directx.h: removed unused variables.
 * plugins/directx/vout_events.c: fixed resizing bug.

2002-07-30 Tuesday 07:56  gbazin

 * include/vlc_threads.h: fixed the --fast-mutex option.

2002-07-30 Tuesday 07:54  gbazin

 * include/threads_funcs.h: fixed the --fast-mutex option.

2002-07-29 Monday 19:07  gbazin

 * plugins/directx/vout_directx.*: the directx vout plugin now uses the
 IID_IDirectDrawSurface2 interface, this shouldn't break anything and we should now
 support WinNT4+DirectX3.
 Some code cleanup too.
 * plugins/directx/vout_events.c: small bugfix.

2002-07-29 Monday 19:05  gbazin

 * include/vlc_threads.h,include/main.h,src/misc/threads.c,src/misc/win32_specific.c:
 reverted Win32 pthread implementation to the old code. Fixed vlc_cond_broadcast() for
 WinNT/2K/XP. Additional vlc_cond_* implementations for Win9x.
 * src/libvlc.h: renamed --fast_pthread option into --fast-mutex. Added a
 --win9x-cv-method option to choose which vlc_cond_* implementation we want on Win9x.

2002-07-29 Monday 19:01  gbazin

 * plugins/network/ipv6.c: attempt to fix the win32 implementation. Multicast should even
 work (untested) although we'll need to find a way to replace if_nametoindex() to have a
 fully functionnal win32 port.

2002-07-29 Monday 16:22  gbazin

 * plugins/directx/vout_directx.*: the directx vout plugin now uses the
 IID_IDirectDrawSurface2 interface, this shouldn't break anything and we should now
 support WinNT4+DirectX3.
 Added support for YUY2 overlays because a few graphics cards only support this.
 Some code cleanup too.
 * plugins/directx/vout_events.c: small bugfix.

2002-07-29 Monday 16:15  gbazin

 * plugins/network/ipv6.c: attempt to fix the win32 implementation. Multicast should even
 work (untested) although we'll need to find a way to replace if_nametoindex() to have a
 fully functionnal win32 port.

2002-07-29 Monday 16:12  gbazin

 * include/threads.h,include/threads_funcs.h: reverted Win32 pthread implementation to
 the old code. Fixed vlc_cond_broadcast() for WinNT/2K/XP. Additional vlc_cond_*
 implementations for Win9x.
 * src/interface/main.c: renamed --fast_pthread option into --fast-mutex. Added a
 --win9x-cv-method option to choose which vlc_cond_* implementation we want on Win9x.

2002-07-28 Sunday 01:46  tcastley

 Fixed lockup on some overlay enabled cards.
 Fixed on top function.

2002-07-26 Friday 19:39  fenrir

  Backport my little kludge to play avi created by ffmpeg. ( I've forgotten
 to do this ).

2002-07-26 Friday 00:06  massiot

 Haven't thought that maybe people don't want their email to appear on the
 Web :p.

2002-07-26 Friday 00:03  massiot

 Haven't thought that maybe people don't want their email to appear on the
 Web :p.

2002-07-25 Thursday 22:46  massiot

 * ./README.MacOSX.rtf : updated README.
 * ./plugins/macosx/vout_macosx.c : additional QuickTime fix, thanks to
   David Eldred <*******@apple.com>.

2002-07-25 Thursday 22:46  massiot

 * ./README.MacOSX.rtf : updated README.
 * ./plugins/macosx/vout_macosx.c : additional QuickTime fix, thanks to
   David Eldred <skipper@apple.com>.

2002-07-25 Thursday 22:34  lool

   * ./FAQ: removed QT6 / QT6 Preview "bug"

2002-07-25 Thursday 22:23  sam

   * ./include/threads_funcs.h: Win32 compilation fix.

2002-07-25 Thursday 22:14  massiot

 * Updated Changelog for 0.4.3 release.

2002-07-25 Thursday 22:12  massiot

 Bumped up version number to 0.4.3.

2002-07-25 Thursday 21:53  sigmunau

   plugin/access/http.c: cosmetic fixes in an error message
   src/input/*: removed some testcode and some unnecessary debug messages

2002-07-25 Thursday 21:51  massiot

 Ported QuickTime 6 fix.

2002-07-25 Thursday 21:49  massiot

 * Fixed f*cking QuickTime 6 bug (which in turn happened to be our fault
 :*-((((((((((((()

2002-07-25 Thursday 21:02  sam

   * Updated ChangeLog.

2002-07-25 Thursday 20:34  stef

 *Use dvdplay after it has completed initialisation. It should avoid
 some corruption leading to evil crash :)

2002-07-25 Thursday 20:22  sigmunau

   plugins/access/http.c: backported my last commit on request from sam

2002-07-25 Thursday 19:55  sam

   * updated ChangeLog.

2002-07-25 Thursday 19:46  sam

  Backported two fixes from HEAD:
   * ./plugins/mpeg_system/mpeg_es.c: fixed a deadlock at the end of some
     streams.
   * ./src/input/input_ext-plugins.c: fixed a memory leak.

2002-07-24 Wednesday 23:11  massiot

 * ./configure : better detection of IPv6, fixed solaris handling
 * ./src/input/* : fixed a memory leak

2002-07-24 Wednesday 20:46  jpsaman

 Working on functionality.

2002-07-24 Wednesday 18:31  sigmunau

   * ./plugins/access/http.c: we are now parsing the http return code and
 failing cleanly if it is >= 400

2002-07-24 Wednesday 16:21  sam

   * ./plugins/mpeg_system/mpeg_es.c: reverted an unnecessary fix.

2002-07-24 Wednesday 15:59  jpsaman

 Used buttons instead of pixmaps. Just looks a lot better ;-).

2002-07-24 Wednesday 15:58  jpsaman

 XPM version of VideoLAN logo.

2002-07-24 Wednesday 15:21  sam

   * ./plugins/mpeg_system/mpeg_es.c: fixed a segfault when no decoder was
     found (p_fifo might be NULL).
   * ./plugins/mpeg_system/mpeg_es.c, ./src/input/input_ext-dec.c: fixed
     a deadlock issue with demuxers waiting on p_fifo->data_lock.

2002-07-23 Tuesday 23:22  massiot

 Swedish translation, courtesy of Joel Arvidsson <dogai@privat.utfors.se>
 (incomplete and untested).

2002-07-23 Tuesday 22:42  fenrir

  * ffmpeg : add a new fourcc, ( 3IV2 you shoudln't be able to decode it
 but sometimes it's in fact MPEG-4, thx titer ).

  * mp4 : add capability to read mov with mp3 track. But it seems that
 mad doesn't like too much fragmented data packets, and thus breaks the
 audio.( since with '--codec dummy' I'm able to read resulting audio file
 without any problem :)

2002-07-23 Tuesday 20:50  massiot

 Fixed a compile issue.

2002-07-23 Tuesday 20:32  massiot

 Fixed a bug with HTTP/1.0 servers (thanks sigmund !)

2002-07-23 Tuesday 20:32  massiot

 Fixed a bug with HTTP/1.0 servers.

2002-07-23 Tuesday 20:16  sam

   * ./mozilla/Makefile: fixed dependencies on .h files.
   * ./plugins/filter/distort.c: fixed a typo in option names.

2002-07-23 Tuesday 20:15  sam

   * ./plugins/dummy/dec_dummy.c: new dummy decoder, for testing purposes.

    Usage: "--codec dummy" will use the dummy decoder for all streams, and
   save the stream to a stream.1242 file (where 1242 is the internal vlc
   object ID). If the input file was for instance an mpeg file, you can
   play one of the resulting files using an mp3 player.

2002-07-23 Tuesday 20:12  sam

   * ./configure.in: workaround Debian bug #150490 (bad mozilla-config output).
   * ./mozilla/vlcplugin.h: added .mov and .mp4 files to the plugin.
   * ./Makefile: we no longer try to merge .a files into libvlc.a, but rather
     add them to the vlc-config output.

2002-07-23 Tuesday 19:56  stef

 *first version of plugin for libdvdplay. To test it, you need to have
  libdvdplay installed (available from videolan CVS), and request plugins
 compilation in the usual way:
 	--enable-dvdplay.
 Note that libdvdplay needs libdvdread and libdvdcss.

 Currently it has only been tested under linux, with gnome interface (optional)
 and xvideo output.

 What works (more or less):
  -DVD reading in some rare cases :) (title and menus),
  -Menu pause,
  -Seeking,
  -Selecting directly a specific title/chapter/angle,
  -Changing audio, sub-picture, angle during playback,
  -Interactive menus with mouse only.

 What is missing:
  -Menu buttons highlighting (needs spudec patch),
  -Keyboard interaction (needs a specific part in port specific plugins),
  -A specific interface to navigate through menus (needs that I move my ass),
  -Interactive menus won't work with other output plugins so long as they
   have not been patched to send mouse/keyboard events to vlc interface,
  -Whatever you need.

 Known bugs (bugs in libdvdplay mostly):
  -Seeking in some menus or intro titles (bad vobu map),
  -Read/seek error with some DVDs,
  -the configure needs tweaking,
  -numerous segfaults,
  -decoder/output modules locking error,
  -fuzzy colors in menus when spudec is active (default in menus).

 The plugin is not guaranteed to work anywhere outside my computer. If it break your, don't come and complain to me :).

2002-07-23 Tuesday 19:28  stef

 *Allow 0 for title selection as it is the area for first play pgc in DVDs

2002-07-23 Tuesday 18:39  jpsaman

 Interface neatly exits now.

2002-07-23 Tuesday 17:19  fenrir

  * cinepak: add a new fourcc

  * ffmpeg and mp4: some clean up and change the way ffmpeg is
 initialised.

2002-07-23 Tuesday 13:16  tcastley

 Fixed code for subtitle and audio selection, still probs but looking.
 Implemented muting

2002-07-23 Tuesday 12:42  tcastley

 Changes to ensure BeOS plugins compile and function
 Implemented a intf_vlc_wrapper to "shield" the BeOS code from the underlying
 vlc structurs, yet to be completed.
 Attempted to fix subtitle and audio selection, currently not working.

2002-07-23 Tuesday 00:39  sam

   * ALL: decoders now use a fourcc as a probe value.
   * include/input_ext-intf.h: killed p_es->b_audio, since i_cat already fills
     its purpose.
   * include/input_ext-intf.h: killed p_es->i_type in favour of p_es->i_fourcc.
   * include/video.h: killed p_pic->p_plane->b_margin; now i_visible_pitch is
     always valid.

   * ./src/libvlc.h: replaced --mpeg-adec and --ac3-adec with --codec; see
     vlc --help for more information.

   * include/video.h: removed fourcc values which should _not_ be global
     (thanks fenrir for convincing me).
   * ALL: video output plugins use the VLC_FOURCC macro to build their fourccs.
   * ./plugins/beos/InterfaceWindow.cpp: removed the last remaining call to
     input_ChangeES.

    Things I'm not sure about and need comments:
     - I used "mpga" and "mpgv" for MPEG (1+2) audio and video fourcc values.
     - I also introduced "spu ", "lpcm" and "ac3 ".
     - I removed for instance "MP4_GetCodec" because it wasn't really
       used except for the description string. I hope this change did not
       break anything really important.
     - fenrir, I must have broken a lot of things you wrote. Sorry in advance.

2002-07-23 Tuesday 00:30  sam

   * ./src/input/input_info.c, ./src/misc/messages.c: initialized the first
     vasprintf arguments to NULL for extra safety.

2002-07-22 Monday 22:19  sam

   * ./src/misc/modules.c: added the "any" and "none" keywords to the module
     selection string. "any" matches any module, and "none" always fails.

     You can for instance use "--vout none" to disable video output, or
     "--intf gtk,any" to use the gtk interface or any other one if gtk isn't
     available. Hope it's clear :)

2002-07-22 Monday 21:14  sigmunau

 win32 compilation fixes

2002-07-22 Monday 21:04  jpsaman

 Fixed gtk core-dump on exit. Used code from gtk plugin for this.

2002-07-22 Monday 20:52  jpsaman

 Non-functional Familiar Linux user interface.

2002-07-22 Monday 19:49  jpsaman

 Now "vlc --intf familiar" spawns interface.

2002-07-22 Monday 13:49  jpsaman

 Familiar Linux interface (non functional yet).

2002-07-22 Monday 13:49  jpsaman

 VCR icon buttons for Familiar Linux interface.

2002-07-22 Monday 13:48  jpsaman

 Added --enable-familiar to configure.in, the default is disabled.

2002-07-22 Monday 13:09  jpsaman

 Updated TODO list.

2002-07-22 Monday 11:39  tcastley

 Implemented simple right click menu
 Improved Overlay bitmap handling
 Removed switch workplace bug

2002-07-21 Sunday 23:40  sam

   * ./src/input/input_ext-plugins.c: reverted my previous fix which wasn't
     really a fix.
   * ./plugins/memcpy/fastmemcpy.h: commented out suspicious code.

2002-07-21 Sunday 21:18  fenrir

  * mp4 : improve mp4a detection/handling.

2002-07-21 Sunday 19:57  fenrir

  * all : can now read mp4 file with mp3 audio declared in mp4a box
 Thanks to jlj to show me this and to tell me what to check to solve it.

2002-07-21 Sunday 19:26  sigmunau

  * all: these didn't get along in my last commit

2002-07-21 Sunday 18:57  sigmunau

   * ./src/libvlc.c: updated usage info to include STRING_FROM_LIST
     configuration items.
   * rest: new input info subsystem.

 Have a look in plugins/mpeg_system/mpeg_audio.c to see how to add info.
 Have a look in plugins/text/rc.c to see how to read info.

 Sigmund

2002-07-21 Sunday 18:47  fenrir

  * mp4 : use same endian for fourcc than one used in vlc (video.h if I'm
 right).
  * cinepak : take care of grayscale option.

2002-07-21 Sunday 15:27  sam

   * ./debian/control: changed "interface plugin" occurences to "frontend" to
     make package descriptions less misleading.
   * ./bootstrap.sh: use C locale for generating vlc_symbols.h.
   * ./bootstrap.sh: don't generate pofiles by default.

2002-07-21 Sunday 15:18  fenrir

  * all : enable cinepak decoder, I hope I haven't break anything.

2002-07-21 Sunday 15:13  fenrir

  * all : enable cinepak, clean some functions, fix some memory leaks

2002-07-21 Sunday 15:11  fenrir

  * all : a cinepak (cvid) video decoder ( codec found in old .mov ).

2002-07-21 Sunday 15:07  fenrir

  * all : try to add an option to allow frame droppping (
 --enable-hurry-up ). Begin to work.

2002-07-21 Sunday 14:37  sam

   * ./src/input/input_ext-plugins.c: backported crash fix from MAIN.

2002-07-21 Sunday 14:32  sam

   * ./src/input/input_ext-plugins.c: added a missing lock to input_SplitBuffer
     which was causing crashes with some demux plugins (mpeg_audio, avi).

2002-07-20 Saturday 22:31  massiot

 * Added -lrt for HP/UX port.

2002-07-20 Saturday 18:53  fenrir

  * ffmpeg : add a new option, it set the level of error resilience.
 It allows to play mpeg4 file badly encoded(illegal VLC code).(Sam you
 should be able to play your .mp4 file by setting it to -1, with recent
 ffmpeg cvs).

2002-07-20 Saturday 18:01  sam

   * ALL: changed "struct foo_s" into "struct foo_t" to make greppers happy.
   * ./src/libvlc.c, ./include/vlc/vlc.h: created reentrant versions of the
     libvlc API.
   * ./src/vlc.c: vlc uses the non-reentrant libvlc functions.
   * ./mozilla/vlcplugin.c: the mozilla plugin uses the reentrant functions.
   * ./debian/*: created packages for libvlc0-dev.

2002-07-19 Friday 22:04  massiot

 * ./plugins/a52/a52.c : Added a global lock to prevent two VLC threads to
   call a liba52 function simultaneously (liba52 isn't reentrant) ;
 * ./plugins/a52/a52.c : Made liba52 the default AC3 decoder.

2002-07-19 Friday 21:14  massiot

 Fixed a typo of mine :p.

2002-07-19 Friday 21:12  massiot

 * New --mtu option.

2002-07-18 Thursday 01:23  sam

   * ./configure.in: we no longer check for a specific function in -lphtread
     because some systems (such as HP-UX...) have them inlined.

2002-07-18 Thursday 01:11  sam

   * ./Makefile.modules: we don't chmod -x the compiled plugins because of
     HP-UX's dynamic linker which would otherwise be unable to open them.

2002-07-18 Thursday 01:02  sam

   * ./configure: rebuilt using the newest autotools.

2002-07-18 Thursday 01:00  sam

   * ./src/vlc.c, ./src/libvlc.c: added more robust consistency checks.

2002-07-18 Thursday 00:59  jlj

   * ./configure.in: fixed description of MP4 module

2002-07-18 Thursday 00:58  sam

   * ./doc/fortunes.txt: added a selection of Lool's fortune cookies.

2002-07-18 Thursday 00:54  jlj

   * ./configure.in: added mp4 module, default disabled

2002-07-17 Wednesday 22:23  jlj

   * ./src/misc/darwin_specific.c: s/vlc_object_t/vlc_t

2002-07-17 Wednesday 21:58  massiot

 * ./configure : fixed Mac OS X compilation which was broken on some machines
 * ./include/vlc/vlc.h : include os_specific.h

2002-07-17 Wednesday 21:54  stef

 Interface creation and destruction functions are now exported to plugins
 so that any plugin can spawn a new interface.

2002-07-17 Wednesday 21:38  massiot

 Fixed nanosleep detection on some platforms.

2002-07-17 Wednesday 21:37  fenrir

  * all : preliminary mp4 (and some mov) demux plugin. I've not enabled
 it ( add by hand to Makefile ... and link it with zlib -lz ) as I will
 probably break it too many times. It work for some mp4(but without
 audio, need aac decoder) and mov with sorenson v1(ffmpeg :).

2002-07-17 Wednesday 21:34  stef

 Fixed a bug in the computation of the mouse coordinates sent to interface.

2002-07-17 Wednesday 21:28  stef

 Added a 'dvdold' shortcut to force the use of the dvd plugin in case
 another plugin with higher priority wants to use 'dvd' as shortcut.

2002-07-17 Wednesday 21:24  stef

 The loop in lpcm decoder DecodeFrame() could not exit after b_die
 in some case

2002-07-17 Wednesday 12:21  sam

   * ./configure.in: plugin compilation fix for HP-UX.

2002-07-17 Wednesday 10:01  sam

   * ./configure.in: better protection of CFLAGS and LDFLAGS. Should also fix
     remaining issues with XvPutImage detection, please confirm!

2002-07-17 Wednesday 06:40  sam

   * ./plugins/alsa/alsa.c: ALSA device selection patch, courtesy of John
     Paul Lorenti <jpl31@columbia.edu>.

2002-07-16 Tuesday 21:59  massiot

 * ./Makefile : src/misc/modules_builtin.h now depends on Makefile.config.

2002-07-16 Tuesday 21:29  sam

   * ./src/misc/threads.c: improved lazy initialization of the global lock.

2002-07-16 Tuesday 21:28  sam

   * ./doc/fortunes.txt: a few IRC fortune cookies for those with too much
     time on their hands.

2002-07-16 Tuesday 21:25  sam

   * ./plugins/mpeg_vdec/video_parser.c, ./src/input/input_programs.c: fixed
     a few uninitialized variables.

2002-07-16 Tuesday 20:41  jlj

   * MacOS X: added deinterlace submenu

2002-07-15 Monday 23:05  jlj

   * ./plugins/access/http.c: fixed memory leak.

2002-07-15 Monday 22:45  fenrir

  ffmpeg.c : fix my previous commit( I've forgotten one #if ... #endif )
 (Thx sam)

2002-07-15 Monday 22:20  jlj

   * ./plugins/access/http.c: fixed double free bug.

2002-07-15 Monday 22:05  sam

   * ./configure.in: fixed a typo in my previous commit (thx fenrir).

2002-07-15 Monday 20:09  sam

   * ./plugins/*: interface plugins set p_vlc->b_die to quit vlc, but check
     for p_intf->b_die to know when they are supposed to terminate p_intf. This
     will allow to spawn interface plugins on the fly.

2002-07-15 Monday 19:33  fenrir

  * avi.c : quick hack to read file created by ffmpeg. I think it should
 work.
  * all   : add support for some others codecs provided by ffmpeg, but some of them aren't tested.

2002-07-15 Monday 19:15  sam

   * ./src/misc/messages.c: debug messages that were issued before the -v
     flag was tested for are no longer lost.

2002-07-15 Monday 19:08  sam

   * ./configure.in: we now look for XvPutImage instead of XvSetPortAttribute
     because XvSetPortAttribute isn't always available.

2002-07-15 Monday 19:04  jlj

   * ./plugins/macosx/vout_macosx.m: added missing arrow up/down handling.

2002-07-15 Monday 02:09  jlj

   * ./plugins/macosx/vout_macosx.m: added missing keyDown(space) = pause

2002-07-15 Monday 01:54  jlj

   * MacOS X changes:
     - added messages and playlist panel
     - simple dock menu (play, pause, stop)
     - context menu in video view
     - localization support: http://nanocrew.net/vlc/vlc-osx-ja.png
     - no longer broken :)

2002-07-13 Saturday 12:22  jpsaman

 Add package sdl to package dependency list.

2002-07-13 Saturday 11:33  tcastley

 Created a wrapper class for VLC functions and interaction.  Improved file
 and disk opening.  Fixed drag and drop.  Added right click menu and always
 on top mode.

2002-07-12 Friday 23:53  sam

   * ./AUTHORS: removed my entry for lool. /me should go back to school and
     learn how to alpha sort.

2002-07-12 Friday 22:42  massiot

 Closed old entries.

2002-07-12 Friday 21:57  massiot

 * ./AUTHORS : added lool :-p ;
 * ./doc/vlc-howto.sgml : Fixed typos ;
 * ./include/vlc_common.h : Greatly simplified ntoh*, and U??_AT macros are
   now alignment-safe ;
 * ./STATUS : New file indicating who's working on what. Please keep it
   up-to-date ;
 * ./MAINTAINERS : New file indicating who has knowledge on which parts.

2002-07-12 Friday 17:08  sam

   * ./po/*: polish translation, courtesy of Arkadiusz Lipiec.

2002-07-12 Friday 16:30  sam

   * ./ChangeLog: updated.
   * ./README: removed much outdated data.
   * ./debian/*: great package renaming - names should make more sense now.

2002-07-11 Thursday 19:44  sam

   * ./plugins/mad/mad_libmad.c: prevent the MAD decoder from looping endlessly
     when the audio output fifo could not be created.

2002-07-11 Thursday 19:28  sam

   * ./plugins/gtk/*: new generic "Open Target" window. Please test and
     comment on usability.

2002-07-11 Thursday 19:05  sam

   * ./debian/rules: the Debian package creation script builds ffmpeg.

2002-07-11 Thursday 18:57  fenrir

  I commit a patch from Sigmund Augdal to skip ID3 tag at the begining
 of a file, so more files can be read :))

  However with current cvs this demux ( with and without the patch )
 segfaults after a few seconds, I can't find why, anybody has an idea ?

2002-07-11 Thursday 18:44  sam

   * ./src/vlc.c: reduced the amount of default simultaneous interfaces.
   * ./src/libvlc.c: removed calls to vlc_mutex_lock in sighandlers.

2002-07-11 Thursday 18:41  sam

   * ./plugins/qt/intf_qt.cpp: fixed Qt interface termination.

2002-07-11 Thursday 12:24  tcastley

 Fixed pop-up menu's radio mode.

2002-07-11 Thursday 07:58  tcastley

 New Bug on SPU decoder

2002-07-11 Thursday 07:21  tcastley

 Fixed changing workspaces problem.
 Added a popup menu to enable changing output sizes.

2002-07-10 Wednesday 17:00  sam

   * ./ChangeLog: added missing entries.

2002-07-10 Wednesday 07:32  lool

   * ./FAQ: new entry for RTP

2002-07-10 Wednesday 05:17  tcastley

 Changed default bitmap to 16bit to fix green distortion problem.
 thanks Eric and Sam

2002-07-09 Tuesday 23:40  lool

   * ./FAQ: minor updates, new sections: uninstall/reinstall,
     DirectX-blackscreen, device permissions, debug messages,
     config file, (un)planned ports/features, sources.list

2002-07-09 Tuesday 22:18  fenrir

  plugins/avi/avi.c : now you can see avi over http (true interleaved
 file only), and seek is allowed (but with great unsynchronisation,
 and sometimes it fails). But in order to make it working, I have to
 limit the number of bytes I read at a time. It's strange since in
 previous version of vlc, I don't need to do that ... ( it segfaults in
 input_SplitBuffer but not always on the same frame )

2002-07-09 Tuesday 22:15  ipkiss

  * ./plugins/win32/about.*: Added the version number in the About box

2002-07-07 Sunday 22:05  sam

   * ./debian/changelog: updated Debian changelog.

2002-07-07 Sunday 21:55  massiot

 Update for 0.4.2 release.

2002-07-07 Sunday 21:55  massiot

 Preparing for 0.4.2 release.

2002-07-05 Friday 11:18  sam

   * ./src/misc/darwin_specific.c, ./src/misc/extras.c: moved our custom
     strndup to a separate file so that Win32 can benefit from it.
   * ./include/vlc_threads.h: Borland compilation fix.

2002-07-04 Thursday 18:11  sam

   * ./mozilla/*: preliminary Mozilla plugin. Only works under Unix for now.
   * ./debian/rules: activated the vlc-xosd, vlc-kde and mozilla-plugin-vlc
     Debian packages.
   * ./po/*: updated potfiles.

2002-07-03 Wednesday 19:40  sam

   * ./src/misc/modules.c: module_Need accepts a comma-separated list of
     module names. Try for instance: "vlc --intf gnome,gtk,dummy".

2002-07-02 Tuesday 22:07  jlj

   * darwin_specific.[ch]: added strndup needed by video_output.c.
   * configure.in: added -lintl to plugins_LDFLAGS.

2002-07-02 Tuesday 19:16  sam

   * ./plugins/gnome/gtk.c, ./plugins/gnome/gnome.c: prevent older versions
     of vlc from crashing when trying to open a recent module.

2002-07-02 Tuesday 19:14  sam

   * ./plugins/x11/xcommon.c: to enter fullscreen mode, we create a new window
     instead of moving the current window, which saves us the hassle of
     remembering size and position.
   * ./plugins/x11/x11.c, ./plugins/x11/xvideo.c: added --no-x11-shm and
     --no-xvideo-shm options.

2002-07-02 Tuesday 17:54  fenrir

  * all : begin to support VOD, but it segfault very quickly (unless you
 disable audio or video !)and cannot support seeking( will just stop ).
 Moreover it can't work for all files, only interleaved ones.

2002-07-01 Monday 17:40  sam

   * ./plugins/lirc/lirc.c: the lirc interface now works again.

2002-07-01 Monday 17:39  sam

   * ./plugins/qt/*: the Qt interface now works again.

2002-07-01 Monday 17:39  sam

   * ./plugins/kde/*: the KDE interface now works again.

2002-07-01 Monday 17:39  sam

   * ./plugins/gtk/gtk_callbacks.c: fixed a segfault when hitting Eject with
     an emtpy playlist.

2002-06-30 Sunday 15:07  fenrir

  *all : now can find key frame even with broken avi.

2002-06-30 Sunday 03:51  fenrir

   all: ameliorations.

2002-06-29 Saturday 14:16  fenrir

  plugins/avi/avi.c : fix some problems with broken avi

2002-06-28 Friday 19:31  fenrir

  plugins/avi/avi.c : audio seems to be better.

2002-06-27 Thursday 19:46  sam

   * ./plugins/dvd/dvd_es.c: error in selecting SPU stream.
   * ./plugins/spudec/spu_decoder.c: endianness fix for subtitles colour.
   * ./plugins/spudec/spu_decoder.c: little hack for preventing blank alpha
     palette.
   * ./plugins/spudec/spu_decoder.c: subtitle transparency support.

    Patches imported from v0_4_1_branch.

2002-06-27 Thursday 19:44  sam

   * ./plugins/dvd/dvd_es.c: error in selecting SPU stream.
   * ./plugins/spudec/spu_decoder.c: endianness fix for subtitles colour.
   * ./plugins/spudec/spu_decoder.c: little hack for preventing blank alpha
     palette.
   * ./plugins/spudec/spu_decoder.c: subtitle transparency support.

    All patches courtesy of Roine Gustafsson.

2002-06-27 Thursday 19:05  sam

   * ./src/misc/modules.c: added the --plugin-path option to give vlc an
     extra plugin location.
   * ./plugins/text/rc.c: if stdin/stdout are not connected to a TTY, we
     don't launch the rc interface.
   * ./plugins/access/http.c: fixed a compilation warning.
   * ./src/misc/messages.c: cosmetic enhancements in the message output.

2002-06-27 Thursday 19:01  sam

   * ./plugins/x11/*: added the --x11-drawable and --xvideo-drawable options to
     tell vlc to draw in an existing drawable instead of creating a new window.

2002-06-27 Thursday 18:10  fenrir

  * all : I've forgotten theses ...

2002-06-26 Wednesday 23:11  fenrir

  * all : I rewrite the way to read, in order to minimize seeking (
 faster and in prevision of VOD by http, but not yet functionnal ). But
 sound becomes horrible, I will try to fix it as soon as possible.

2002-06-19 Wednesday 22:47  massiot

 Backported stable changes.

2002-06-19 Wednesday 22:45  massiot

 * Deinterlace support in the OS X interface.
 * Bumped up version number to 0.4.2.

2002-06-18 Tuesday 23:18  massiot

 Ported previous stable commits.

2002-06-18 Tuesday 23:18  massiot

 * ./plugins/macosx/vout_vlc_wrapper.m : Arrow-up and arrow-down allow to
   control the sound volume ;
 * ./plugins/access/http.c : For streams which are not seekable, we fall
   back on old HTTP/1.0 behavior ; on systems implementing atoll() we
   can also read files > 2 GB ;
 * ./configure : atoll() detection.

2002-06-18 Tuesday 22:29  massiot

 * ./plugins/macosx/intf_vlc_wrapper.m : Fixed a bug with the language and
   subtitle menus
 * README.MacOSX.rtf : More documentation.

2002-06-17 Monday 09:32  sam

   * ./plugins/filter/deinterlace.c: backported new deinterlacing routines.

2002-06-17 Monday 08:37  sam

   * ./include/threads.h, ./include/threads_funcs.h: backported the new Win32
     cond_wait implementation from MAIN. Please report problems.

2002-06-11 Tuesday 13:11  gbazin

 * ./plugins/gtk/gtk_preferences.c: backported a fix from HEAD which
 prevents a crash when closing the preferences windows.

2002-06-11 Tuesday 09:44  gbazin

 * ./include/configuration.h: renamed MODULE_CONFIG_* macros into
 CONFIG_*.
 * ./include/configuration.h, ./plugins/gtk/gtk_preferences.c,
 ./plugins/filter/transform.c, ./plugins/filter/distort.c,
 ./plugins/filter/deinterlace.c: added an ADD_STRING_FROM_LIST()
 configuration macro.
 * ./include/modules.h, ./include/video_output.h,
 ./src/video_output/video_output.c, ./plugins/filters/*: added a
 VOUT_FILTER capability. Having a clear distinction between VOUTs and
 VOUT_FILTERs allows us to get rid of ugly hacks. The filters are also
 stackable now (use --filter=foo:bar:foo etc..).
 * ./include/configuration.h, ./src/libvlc.h, ./src/libvlc.c: clean-up +
 added an ADD_USAGE_HINT() configuration macro.

2002-06-10 Monday 16:48  sam

   * ./FAQ: added QT6 FAQ entry.

2002-06-10 Monday 00:41  sam

   * ./configure.in: fixed inet_pton detection.
   * ./plugins/filter/deinterlace.c: the blend mode is now a lot smoother, but
     also a bit slower, so I also kept the old version, optimized it, and
     called it "mean".

2002-06-09 Sunday 23:35  massiot

 * Fixed some compile issues with what I checked in.

2002-06-09 Sunday 22:57  massiot

 * IPv6 multicast support, courtesy of Remco Poortinga <poortinga@telin.nl> ;
 * Mac OS X icons and fixes, courtesy of Benjamin Mironer <bmironer@noos.fr>.

2002-06-09 Sunday 22:33  massiot

 * IPv6 multicast support, courtesy of Remco Poortinga <poortinga@telin.nl> ;
 * Mac OS X icons and fixes, courtesy of Benjamin Mironer <bmironer@noos.fr>.

2002-06-09 Sunday 16:52  sam

   * ./plugins/filter/deinterlace.c: added two new deinterlacing methods,
     "discard" which is very CPU efficient, and "blend" (yes there used to be
     a "blend" method but it's now called "linear". Don't ask) which loses some
     vertical resolution but discards the mice teeth effect. Information was
     found on http://www.100fps.com/index.htm.

     We now have "discard", "blend", "bob" and "linear".

2002-06-08 Saturday 20:25  sam

   * ./plugins/mad/mad_libmad.c: changed error messages to warning/debug.

2002-06-08 Saturday 19:32  sam

   * ./plugins/macosx/*: additional minor fixes.

2002-06-08 Saturday 18:52  sam

   * ./plugins/macosx/vout_macosx.m, ./plugins/macosx/aout_macosx.m,
     ./plugins/macosx/intf_vlc_wrapper.m: preliminary OS X compilation fixes.

2002-06-08 Saturday 14:08  sam

   * ./include/vlc_threads.h, ./src/misc/threads.c: improved the cond_wait
     implementation to avoid races, by using SetEvent instead of PulseEvent.

2002-06-08 Saturday 02:50  lool

   * ./plugins/xosd/xosd.c: a couple more options, better defaults

2002-06-08 Saturday 01:41  lool

   * ./configure.in: checking for the header should be enough in most cases
   * ./plugins/xosd/xosd.c: configuration options

2002-06-07 Friday 23:53  sam

   * ./plugins/win32/*: tried to port the Win32 interface to the new API. Seems
     to be still crashing.

2002-06-07 Friday 23:05  sam

   * ./plugins/gtk/gtk_callbacks.c: some code cleaning.
   * ./plugins/text/rc.c: fixed the "a" command.

2002-06-07 Friday 22:41  lool

   * forgot to cvs add the _files_ -- sorry

2002-06-07 Friday 22:32  lool

   * fixed my typos in configure.in

2002-06-07 Friday 22:24  lool

   * basic On Screen Display intf-plugin based on libxosd

2002-06-07 Friday 21:45  sam

   * ./src/misc/netutils.c: network mode works again.

2002-06-07 Friday 19:54  sam

   * ./plugins/gtk/*: the Gnome/Gtk+ interfaces have all their features back.
   * ./src/playlist/playlist.c: fixed an off-by-one loop error.

2002-06-07 Friday 18:03  bozo

   * plugins/a52_system/.cvsignore: What about a little .cvsignore ?

2002-06-07 Friday 16:06  sam

   * ./plugins/dummy/input_dummy.c: dummy targets such as vlc:nop, vlc:loop
     and vlc:quit work again.
   * ./src/playlist/playlist.c: when a new target is added, for instance through     the "File" menu, it is automatically played.

2002-06-07 Friday 14:59  sam

   * ./include/vlc_objects.h: pointers are set to NULL after a call to
     vlc_object_destroy (idea from stef).
   * ./po/pl.po: updated polish translation, thanks to Arkadiusz Lipiec
     <alipiec@adrenalina.pl>.

2002-06-07 Friday 14:30  sam

   * ./src/playlist/playlist.c: lots of playlist behaviour enhancements.
   * ./src/misc/objects.c: we do not hang on attempt to destroy an object with
     a non-zero reference count, but we still complain.
   * ./plugins/gtk/gtk_control.c, plugins/gtk/gtk_playlist.c: most controls such
     as play, pause, stop, next, fast etc. work again.
   * ./plugins/gtk/gnome_*: got rid of lots of useless wrappers which were a
     workaround for a bug in Glade. Instead, bootstrap.sh does the Glade fixes.
   * ./plugins/ffmpeg/ffmpeg.c: if there is already a video output with the
     appropriate properties, we use it.

2002-06-05 Wednesday 20:58  titer

 Minor fix for the BeOS' make-package (icon loss).

2002-06-05 Wednesday 18:29  stef

 * Set object pointer to NULL after destroy.

2002-06-05 Wednesday 18:18  stef

 * Release vout when we close spudec.

2002-06-05 Wednesday 18:15  stef

 *Only report initiliazation error when it is really an error.

2002-06-05 Wednesday 18:07  stef

 * Added mouse coordinates to vout struct. They are only update from x11 for now,
 and they are used nowhere.

2002-06-05 Wednesday 18:01  stef

 *Check if p_vpar->p_vout is available before detaching it.

2002-06-04 Tuesday 20:33  sam

 (new in MAIN)
   * ./plugins/gtk/gtk_callbacks.c: fixed a segfault when switching to
     fullscreen from the popup menu.
 (from v0_4_1_branch)
   * ./plugins/gtk/gnome_callbacks.c: fixed a crash when activating preferences
     from the popup menu.
   * ./plugins/gtk/gnome.glade: added lines this #@%$! Glade had munched, fixes
     a segfault in the Gnome popup menu when toggling the interface.

2002-06-04 Tuesday 18:30  sam

   * ./plugins/gtk/gnome_callbacks.c: fixed a crash when activating preferences
     from the popup menu.

2002-06-04 Tuesday 14:30  sam

   * Forgot to run fixfiles.sh.
    ___        _  _   _ _____ ___         ___ _      _   ___  ___   _ _
   |_ _| _/\_ | || | /_\_   _| __| _/\_  / __| |    /_\ |   \| __| | | |
    | |  >  < | __ |/ _ \| | | _|  >  < | (_ | |__ / _ \| |) | _|  |_|_|
   |___|  \/  |_||_/_/ \_\_| |___|  \/   \___|____/_/ \_\___/|___| (_|_)

2002-06-04 Tuesday 14:18  sam

   * Updated gnome files.

2002-06-04 Tuesday 13:16  sam

      ___   _   _    _  _____ _____    ____ _        _    ____  _____
     |_ _| | | | |  / \|_   _| ____|  / ___| |      / \  |  _ \| ____|
      | |  | |_| | / _ \ | | |  _|   | |  _| |     / _ \ | | | |  _|
      | |  |  _  |/ ___ \| | | |___  | |_| | |___ / ___ \| |_| | |___
     |___| |_| |_/_/   \_\_| |_____|  \____|_____/_/   \_\____/|_____|

   * ./plugins/gtk/gnome.glade: added lines this #@%$! Glade had munched, fixes
     a segfault in the Gnome popup menu when toggling the interface.

2002-06-04 Tuesday 00:11  sam

 (new in MAIN)
   * ./src/interface/interface.c: interfaces are no longer attached only to
     p_vlc.
   * ./src/libvlc.c, ./src/misc/modules.c, ./src/playlist/playlist.c,
     ./src/input/input.c: improvements in the playlist handling (not quite that
     yet though).
 (ported from v0_4_1_branch)
   * ./configure.in, ./plugins/mpeg_system/mpeg_ts.c: fixed libdvbpsi handling.
   * ./src/misc/configuration.c: fixed the --nofoo option handling.
   * ./src/interface/main.c: fixed two compilation warnings under Solaris.

2002-06-03 Monday 23:16  sam

   * ./debian/rules: forgot to commit this file.

2002-06-03 Monday 23:14  sam

   * ./configure.in, ./plugins/mpeg_system/mpeg_ts.c: fixed libdvbpsi handling.

    (what? frozen? sorry, I can't hear you)

2002-06-03 Monday 22:21  sam

   * ./configure.in: fixed a breakage.
   * ./debian/control: activated libdvbpsi.

2002-06-03 Monday 21:43  ipkiss

  * added the --with-dvbpsi-tree option

2002-06-03 Monday 21:40  ipkiss

  * added the --with-dvbpsi-tree option

2002-06-03 Monday 17:19  sam

   * ./src/misc/configuration.c: fixed the --nofoo option handling.
   * ./src/interface/main.c: fixed two compilation warnings under Solaris.
   * ./plugins/avi/avi.c, ./plugins/mpeg_system/mpeg_audio.c: ES will be
     selected only once.
   * updated TODO list.

2002-06-03 Monday 16:33  fenrir

     * ALL : ES will be selected only once (thx sam ).

2002-06-03 Monday 07:22  gbazin

 * ./plugins/win32/waveout.c: waveOutUnprepareHeader() was never being
 called. This should fix the memory leak some people reported when using
 the waveout plugin.

2002-06-03 Monday 00:28  sam

   * ./src/misc/netutils.c: factored code common to the interfaces into the
     network_ChannelJoin function.
   * ./plugins/mga/xmga.c, ./plugins/x11/xcommon.c, ./plugins/sdl/vout_sdl.c,
     ./plugins/directx/vout_events.c: we can now use keys F1 to F12 to switch
     channels from the video output window.

2002-06-02 Sunday 23:43  bozo

   * Makefile, configure.in, configure, MODULES: added a52_system input module.
   * plugins/a52_system/Makefile, plugins/a52_system/a52_system.c: a52 input
     module.
   * plugins/ac3_spdif/ac3_spdif.c: added a little mwait to avoid a flood from
     the a52 input module.

 Note: the new module aims at reading ac3 streams but it works only with the
 ac3_spdif "decoder" since it is the only one which dates each frame contrary
 to the others which can't avoid a flood from the input module.

2002-06-02 Sunday 23:29  sam

 (ported from v0_4_1_branch)
   * ./plugins/motion/motionmmx.c: MMX motion optimizations courtesy of
     Vladimir Chernyshov.

2002-06-02 Sunday 23:17  sam

   * ./plugins/motion/motionmmx.c: MMX motion optimizations courtesy of
     Vladimir Chernyshov.

2002-06-02 Sunday 23:11  sam

 (new in MAIN)
   * ./plugins/spudec/spu_decoder.c: we now use FIND_ANYWHERE to find a vout.
 (ported from v0_4_1_branch)
   * ./plugins/dvdread/dvdread.c: disabled the dvdread plugin because it
     currently sucks.
   * ./src/misc/configuration.c, ./src/interface/main.c: we now accept --nofoo
     and --no-foo as negations for --foo. Also, the --help output is nicer.
   * ./plugins/qnx/vout_qnx.c: QNX compilation fix.

2002-06-02 Sunday 23:03  massiot

 * Update README.

2002-06-02 Sunday 23:03  massiot

 * Updated README.

2002-06-02 Sunday 23:01  sam

   * ./plugins/dvdread/dvdread.c: disabled the dvdread plugin because it
     currently sucks.
   * ./src/misc/configuration.c, ./src/interface/main.c: we now accept --nofoo
     and --no-foo as negations for --foo. Also, the --help output is nicer.

2002-06-02 Sunday 22:45  massiot

 Bumped up version number to 0.5.0-cvs.

2002-06-02 Sunday 22:44  massiot

 Bumped up version number to 0.4.1.

2002-06-02 Sunday 22:31  massiot

   * ./plugins/macosx: rewrote the net panel for OS X

2002-06-02 Sunday 17:05  sam

   * ./plugins/qnx/vout_qnx.c: QNX compilation fix.

2002-06-02 Sunday 15:51  gbazin

 * ./include/vlc_common.h: got rid of i_thread in VLC_COMMON_MEMBERS.

2002-06-02 Sunday 14:26  gbazin

 * ./include/os_specific.h: changed prototype of system_*() to use vlc_t
 instead of vlc_object_t.

2002-06-02 Sunday 13:49  sam

 (new in MAIN)
   * ./plugins/dvd/dvd_es.c, ./plugins/satellite/input_satellite.c,
     ./plugins/dvdread/input_dvdread.c: updated outdated variable names.
 (ported from 0_4_1_branch)
   * ./plugins/spudec/spu_decoder.c: fixed a margin bug in the SPU renderer
     which caused subtitles to appear slanted in odd width windows.

2002-06-02 Sunday 13:41  sam

   * ./plugins/spudec/spu_decoder.c: fixed a margin bug in the SPU renderer
     which caused subtitles to appear slanted in odd width windows.

2002-06-02 Sunday 13:38  gbazin

 * ./include/vlc_threads.h: re-merged vlc_threads.h and threads_funcs.h.

2002-06-02 Sunday 12:16  massiot

 * New Loop menu item in OS X interface.

2002-06-02 Sunday 11:59  sam

 (new in MAIN)
   * ./src/playlist/playlist.c, src/input/input.c: added safety checks to
     prevent crashes on next file.
 (ported from 0_4_1_branch)
   * ./plugins/gtk/gtk_display.c, ./plugins/win32/mainframe.cpp: we deactivate
     popup menus when no stream is being played, even in network mode.
   * ./src/input/mpeg_system.c: removed unnecessarily verbose message.

2002-06-02 Sunday 11:55  sam

   * ./plugins/gtk/gtk_display.c, ./plugins/win32/mainframe.cpp: we deactivate
     popup menus when no stream is being played, even in network mode.

2002-06-02 Sunday 10:55  sam

   * ./src/input/mpeg_system.c: removed unnecessarily verbose message.

2002-06-02 Sunday 10:28  gbazin

 * ./plugins/a52/a52.c: compilation fix. Following C99 we have to include
 <stdint.h> but Solaris doesn't have it so we include <inttypes.h> when
 it isn't found.

2002-06-02 Sunday 09:03  sam

   * ./src/video_output/video_output.c: fixed the "picture has invalid status"
     bug which might have been the cause of crashes.
   * ./plugins/filter/crop.c: attempt at an automatic border cropping filter,
     using "--filter crop --autocrop".
   * ./vlc.spec: added missing filters to the RPM generation.
   * ./src/misc/objects.c: commented all functions.
   * ./src/misc/objects.c: implemented vlc_object_find( , , FIND_ANYWHERE).
   * ./src/misc/objects.c: renamed vlc_object_unlink to vlc_object_detach.

2002-06-02 Sunday 02:23  sam

   * ./src/video_output/video_output.c: fixed the "picture has invalid status"
     bug which might have been the cause of crashes.

2002-06-02 Sunday 02:04  sam

   * ./plugins/filter/crop.c: attempt at an automatic border cropping filter,
     using "--filter crop --autocrop".
   * ./vlc.spec: added missing filters to the RPM generation.

2002-06-02 Sunday 01:20  massiot

 * Channel change support on Mac OS X ;
 * New OS X icon, courtesy of Benjamin Mironer <bmironer@noos.fr>

2002-06-02 Sunday 00:43  sam

   * ./plugins/filter/crop.c: crop filter. Usage examples:
       --filter crop --crop-geometry 640x480
       --filter crop --crop-geometry 320x200+10+10

2002-06-01 Saturday 23:41  massiot

 Mac OS X interface :
 * fixed a bug in the chapter handling ;
 * more keystrokes ;

2002-06-01 Saturday 18:04  sam

   * ALL: got rid of p_object->p_this which is now useless.

2002-06-01 Saturday 17:11  sam

   * ./bootstrap.sh: ah ah ah. CVS likes to make fun out of me.

2002-06-01 Saturday 17:09  sam

   * ./include/main.h, ./plugins/beos/intf_beos.cpp: BeOS compilation fixes.
   * ./bootstrap.sh, ./src/libvlc.h, ./po/*: fixed bootstrap.sh so that it does
     not include CVS Id lines in automatically created files.

2002-06-01 Saturday 16:45  sam

   * ./plugins/dummy/intf_dummy.c, ./plugins/chroma/i420_yuy2.c,
     src/interface/intf_eject.c, src/misc/threads.c: win32 compilation fix.
   * ./plugins/directx/aout_directx.c, plugins/directx/vout_directx.c,
     ./plugins/directx/vout_events.c: the DirectX notification and event threads
     now use the vlc_thread_create / vlc_thread_ready scheme. Untested.
   * ./configure.in: added a check for inttypes.h and sys/int_types.h.
   * ./configure.in: fixed the HTTP plugin compilation under BeOS.
   * ./plugins/network/ipv6.c: reactivated IPv6 module.

2002-06-01 Saturday 14:31  sam

   * ./src/misc/beos_specific.cpp: BeOS fixes, removed a static variable.
   * ./include/main.h: replaced p_sys with explicit variables because it's
     really much simpler this way. Gildas, will you ever forgive me ? :-)

2002-06-01 Saturday 13:52  sam

   * ./src/misc/beos_specific.cpp: the BeOS BApplication thread now uses the
     vlc_thread_create / vlc_thread_ready scheme to signal readiness.
   * ./src/misc/objects.c: prevent the creation of a too small vlc_object_t.
   * ./include/vdec_ext-plugins.h: removed the vdec_thread_t declaration, which
     belongs to plugins/mpeg_vdec.
   * ./ChangeLog: imported the 0_4_1_branch changelog.
   * ./plugins/chroma/i420_yuy2.h: imported a 0_4_1_branch fix.

2002-06-01 Saturday 13:23  sam

   * ./plugins/chroma/i420_yuy2.h: simplified the chroma code. Please test
     under BeOS and QNX.

2002-06-01 Saturday 12:31  sam

   * ALL: the first libvlc commit.

    As for video output 4, this breaks almost everything, but I'll slowly
   do what remains to be fixed during the weekend.

    Changes in vlc:
    ===============

   * vlc is now a very small program (20 lines) which uses the libvlc API;
    it is quite simple for the moment but can be extended in the future.

   * interfaces, decoders, video outputs, etc. are now almost the same
    objects (yes, I know, this is C++ redone in C) and are structured in
    a tree. More about this later, but basically it allows the following
    nice features:
     - several interfaces
     - several playlists with several outputs
     - input plugins spawning helper interfaces (will be used for DVD menus)
     - anything spawning anything; I swear there are useful uses for this!

   * libvlc can be used in other programs; I'm currently writing a Mozilla
    plugin for my employer.

    Things currently broken:
    ========================

   * most interfaces, most ports
   * the playlist handling (almost finished rewriting this though). This means
    no file can be played from the GUI, you need to use the commandline. This
    also means it segfaults at EOF, when exiting the program, and it sometimes
    refuses to open a file when asked to.

2002-06-01 Saturday 11:38  sam

   * Backported fixes from MAIN.

2002-06-01 Saturday 11:11  sam

   * ./plugins/macosx/intf_vlc_wrapper.m: fix for non-ASCII filenames in the
     MacOS X interface, courtesy of Watanabe Go <go@dsl.gr.jp>.

2002-06-01 Saturday 11:08  sam

   * ./plugins/chroma/i420_yuy2.h: fixed an old overflow bug spotted by
     Rudolf Cornelissen.

2002-06-01 Saturday 10:47  sam

   * ./plugins/chroma/i420_rgb16.c: fix for skewed display in software RV32
     mode, courtesy of Pascal Levesque.

2002-06-01 Saturday 10:43  sam

   * ./plugins/chroma/i420_rgb16.c: fix for skewed display in software RV32
     mode, courtesy of Pascal Levesque.

2002-06-01 Saturday 10:36  sam

   * ./ChangeLog: updated changelog.

2002-06-01 Saturday 10:12  tcastley

 Stopped more than one playlist being opened.
 Fixed segfault on exit with playlist open.
 Corrected size of output window.

2002-06-01 Saturday 09:21  tcastley

 Fixes for preventing multiple playlist windows
 and improvements and corrections in videoout.

2002-06-01 Saturday 09:20  tcastley

 Fix to prevent multiple Playlist windows

2002-06-01 Saturday 08:54  tcastley

 Fixes for Playlist window

2002-06-01 Saturday 08:54  tcastley

 * Fixes for Playlist window.  Now only creates one and destroys correctly.
 * Fixed the height of the output video, was one to big.

2002-05-31 Friday 21:57  massiot

 * Backported my two previous commits.

2002-05-31 Friday 21:56  massiot

 * Compilation fixes for Solaris ;

2002-05-31 Friday 21:37  massiot

 * plugins/sdl/aout_sdl.c : Fixed an endianness issue created by a
   brain-dead developer :p

2002-05-31 Friday 01:34  ipkiss

  * backported my previous commit

2002-05-31 Friday 01:09  ipkiss

 Win32 interface:
  * The "Eject" button is enabled only after we played a dvd or vcd.
  * The toolbar is now flat and less cubist.
  * Got rid of the ugly slider with some winXP skins.
  * Added a config option to limit the number of messages in the log
    window (default is set to 500).

2002-05-30 Thursday 13:58  gbazin

 * ./plugins/mpeg_vdec/vpar_headers.c: don't try to deference a null
 pointer (fix from sam).

2002-05-30 Thursday 13:39  asmax

 - gnome.c didn't compile
   (Gildas you forgot the default value for gnome-toolbartext, I assume
    it was 1 ;)

2002-05-30 Thursday 13:22  asmax

 - removed the obsolete artificial delay when switching channels.
   Now it is ultra-fast !

2002-05-30 Thursday 08:59  xav

  * intf_eject.c : added ejection code for Win32. Please test it under
                   Win95/98/Me, I just can't install a winme
                   in my work office :).
  * plugins/win32/* : enabled the "Eject" button (thanks Ipkiss)
  * src/misc/netutils.c : just changed my mail :P

2002-05-30 Thursday 08:17  gbazin

 * changed ADD_BOOL and ADD_BOOL_WITH_SHORT config macros to accept a
 default value as an argument.
 * modified the command line parsing to accept --foo and --no-foo when a
 "foo" boolean config option is defined.
 * modified the help menu to indicate if the option is enabled or
 disabled by default.

2002-05-29 Wednesday 18:39  sam

   * ./src/video_output/video_output.c: when the video output hasn't received
     a new picture for a while, it redisplays the last displayed one. This will
     be useful for DVD menus, but also solves the "picture becomes black when
     vlc is paused" issue.

2002-05-29 Wednesday 10:08  gbazin

 * ./plugins/dummy/dummy.c: added a CATEGORY_HINT to the config.
 * ./plugins/x11/xcommon.c: small change to the ToggleFullscreen routine
 to avoid a flickering during the switch.

2002-05-28 Tuesday 22:49  sam

   * ./plugins/filters/*: fixed inconsistencies.

2002-05-28 Tuesday 21:44  ipkiss

  * New icons for the toolbar buttons
  * URL can now start with "http://" in the Network dialog box
  * Updated the About dialog box

2002-05-28 Tuesday 18:34  stef

 *Added a b_force flag to picture_t so that we can force the display
 of an image even if it is late.

2002-05-27 Monday 19:35  sam

   * ./plugins/filter/*: filters are now configurable through the configuration
     system. Patch from Sigmund Augdal <sigmunau@stud.ntnu.no>.

2002-05-27 Monday 18:35  sam

   * ./po/pl.po: uh uh uh, forgot to cvs add this file...

2002-05-27 Monday 18:34  sam

   * ./po/vlc.pot: updated potfile.
   * ./po/pl.po: polish translation, courtesy of Arkadiusz Lipiec
     <A.Lipiec@elka.pw.edu.pl>.

2002-05-27 Monday 18:33  sam

   * ./debian/control: updated Debian package descriptions.

2002-05-27 Monday 18:26  sam

   * ./plugins/aa/aa.c: removed all palette code as it was unused.
   * ./plugins/aa/aa.c: moved the aa_fastrender call from vout_Display to
     vout_Render.
   * ./plugins/aa/aa.c: added support for resizing and right-click menu.

    (patch courtesy of Sigmund Augdal <sigmunau@stud.ntnu.no>)

2002-05-27 Monday 16:01  fenrir

     ALL : In order to make ac3 working in avi file, I've deplaced some code
 from ac3 decoder to mpeg_system.c. ( skip 3 bytes is now done in
 mpeg_system.c and no longer in ac3 audio decoder ).

2002-05-27 Monday 01:49  alexis

 Link to the GPL licence
 GFDL licence know used for the licence

2002-05-25 Saturday 21:42  massiot

 Changed download URL.

2002-05-25 Saturday 19:15  marcari

   * src/misc/netutils.c: tests if message from vlcs begins with 'E:' or 'I:'
   instead of testing 'E: ' and 'I: ' (to simplify miniVLCS)

2002-05-25 Saturday 16:23  fenrir

     * all: avi file is a piece of sh*t, make more test.

2002-05-24 Friday 12:42  gbazin

 * ./include/inpu_ext-dec.h added a check to fifo->b_die after the call
 to BitstreamNextDataPacket() in GetChunk().
 Code using GetChunk() also needs to check fifo->b_die before using the
 obtained data.
 This fixes frequent crashes you get on win32 with the a52 plugin when you
 close a stream.

2002-05-23 Thursday 22:33  massiot

 update release-howto

2002-05-23 Thursday 22:21  sam

   * ./src/video_output/video_output.c: the video output thread was never
     joined! A pretty old bug...

2002-05-23 Thursday 22:18  jlj

   * ./plugins/macosx/intf_open.m: Remember last open file panel location,
     thanks to <ssudre2@wanadoo.fr>

2002-05-23 Thursday 21:42  massiot

 Updated Mac OS X readme, courtesy of The DJ <d.hartman@student.utwente.nl>.

2002-05-22 Wednesday 23:40  massiot

  * Updated ChangeLog
  * Updated release date

2002-05-22 Wednesday 23:11  massiot

 Fixed HTTP input under Win32 (thanks ipkiss).

2002-05-22 Wednesday 21:42  sam

   * ./plugins/dvd/dvd_seek.c: reverted a previous change in DVD input which
     caused input to get stuck in interleaved cells.

2002-05-22 Wednesday 21:30  sam

   * ./plugins/gtk/gnome.glade: removed bevel from title and chapter buttons.

2002-05-22 Wednesday 21:15  sam

   * ./plugins/mad/mad_adec.c, ./plugins/mad/mad_libmad.c: use intf_WarnMsg for
     debug messages instead of intf_ErrMsg.

2002-05-22 Wednesday 21:08  sam

   * ./plugins/win32/network.dfm, plugins/macosx/intf_open.m: updated channel
     server default hostname.

2002-05-22 Wednesday 21:05  sam

   * ./plugins/chroma/i420_yuy2.h: bugfix for the I420 to YUY2 MMX chroma
     transformations, with the help of Pascal Levesque.

2002-05-22 Wednesday 19:31  gbazin

 * ./src/misc/modules.c: restored plugins hiding as the problem is fixed.
 * ./plugins/directx/directx.c: UnregisterClass() in MODULE_DEACTIVATE. If
    we don't do this, trying to use the class when the plugin is reloaded will
    cause a segfault.

 PS: on Win32 the sdl plugin is still affected by this. It looks like SDL keeps
     an internal state which isn't updated when we reload the plugin.

2002-05-22 Wednesday 17:19  sam

   * ./src/misc/modules.c: disabled module autohide until we find out why a
     reloaded module sometimes does not work properly.

2002-05-22 Wednesday 17:17  sam

   * ./plugins/access/file.c, plugins/dvd/dvd_seek.c: readability changes.
   * ./Makefile: the vlc rule depends on modules_builtin.h.
   * ./include/modules_inner.h: removed useless code.

2002-05-22 Wednesday 17:12  ipkiss

  * ALL: replaced TUpDown components by TCSpinEdit ones, which allow
    values greater than 32767. It fixes the audio bug ocurring when a
    configuration file is saved under the win32 interface

  * ./plugins/win32/mainframe.cpp: Added some extra space between
    statusbar and toolbar when nothing is displayed. I find it nicer :)

2002-05-22 Wednesday 14:20  gbazin

 * ./plugins/text/logger.c: on win32 the logger interface shows up a dos
   command box.
 * ./plugins/gtk/gnome.c: fixed uninitialized variable. (from Sam)
 * ./plugins/gtk/gtk_playlist.c: simplified GtkRebuildCList(). (from Sam)

2002-05-22 Wednesday 12:50  jobi

     * plugins/vcd/vcd.c: added svcd shortcut to the vcd input

2002-05-22 Wednesday 12:23  tcastley

 Changes to reduce segfaults on exit, and also allow only one Playlist window.

2002-05-22 Wednesday 11:23  lool

   * ./include/modules_inner.h: fixed a crash when reopening a hidden
     module (by sam)

2002-05-21 Tuesday 22:09  massiot

 * Updated spec for ffmpeg.

2002-05-21 Tuesday 13:34  gbazin

 * On Win32 the DVD access plugin has to be explicitly requested. This
   avoids crashes when the input thread tries to open files as dvds.

2002-05-21 Tuesday 13:27  lool

   * fixed a side-effect bug causing crashes on DVD title change

2002-05-21 Tuesday 07:48  gbazin

 * ./plugins/directx/aout_directx.c: fixed compile warnings.

2002-05-21 Tuesday 06:55  gbazin

 * ./plugins/network/ipv6.c: fixed a stupid bug.

2002-05-21 Tuesday 03:37  sam

   * ./plugins/chroma/i420_yuy2.c: margin support for the 420 planar to 422
     packed chroma transformations.

2002-05-21 Tuesday 02:46  sam

   * ./plugins/chroma/i420_yuy2.h: fixed the BeOS crash. Margin handling isn't
     done yet, though.

2002-05-21 Tuesday 01:40  sam

   * ./src/input/input.c: fixed a bug with the input remaining stuck when no
     network data was present.

2002-05-21 Tuesday 01:29  ipkiss

  * Fixed a stupid bug in the Network dialog.

2002-05-21 Tuesday 01:27  sam

   * ./plugins/mpeg_system/mpeg_ts.c: fixed a warning.

2002-05-21 Tuesday 00:34  sam

   * ./plugins/dvd/dvd_access.c, plugins/dvd/dvd_seek.c: very minor cosmetic
     fixes.

2002-05-21 Tuesday 00:23  sam

   * src/input/input_ext-plugins.c, src/input/input_ext-intf.c: boundary checks
     on seek.

2002-05-20 Monday 22:45  sam

   * ./plugins/dvd/*: fixed a few inconsistences.
   * ./plugins/dvd/*: renamed i_start/i_end couples when they actually
     meant i_first/i_last.

2002-05-20 Monday 22:39  sam

   * ./src/interface/main.c: fixed a little memleak.
   * ./src/input/input_dec.c: removed useless code.
   * ./src/input/input.c, ./plugins/gtk/gtk.c: fixed access to uninitialized
     variables.
   * ./plugins/dvd/dvd_demux.c: fixed the pf_demux return value.

2002-05-20 Monday 22:36  sam

   * ./src/misc/iso_lang.c: code simplifications.
   * ./src/misc/iso_lang.c: the language prototypes now use the const keyword.

2002-05-20 Monday 22:34  sam

   * ./po/*: updated language files.

2002-05-20 Monday 22:30  sam

   * ./plugins/x11/xcommon.c: fixed x11 and xvideo alternate fullscreen (gibalou
     on t'aiiiiiiiiimeuh).

2002-05-20 Monday 22:26  sam

   * ./configure.in: tried to fix the -lavcodec detection.

2002-05-20 Monday 20:58  massiot

 * Bumped up version number to 0.4.0 ;
 * Updated changelog.

2002-05-20 Monday 19:49  gbazin

 * First try for IPv6 support on Win32. This hasn't been tested so it
   might not work! To compile this stuff you need a mingw compiler with
   w32api-1.3.

 The win32 code uses the getaddrinfo function because inet_pton is
 supposed to be deprecated and not supported by Microsoft. gethostbyname2
 isn't supported as well. Maybe we could try to unify the ipv6 plugin and
 have all the ports use getaddrinfo ? (I didn't dare to do it because I
 don't want to break anything before a release ;-)

2002-05-20 Monday 19:34  sam

   * ./src/video_output/vout_pictures.c: workaround for a bug in the dummy vout.

2002-05-20 Monday 19:12  sam

   * ./Makefile: we check for Makefile.config before including it.

2002-05-20 Monday 19:02  sam

   * ./plugins/dummy/dummy.c: added --dummy-chroma option.
   * ./plugins/dummy/vout_dummy.c: the dummy vout plugin now uses vlc's
     vout_AllocatePicture instead of its own.
   * ./src/video_output/vout_pictures.c: added YUY2 in vout_AllocatePicture.

2002-05-20 Monday 18:51  massiot

 Added Makefile.config.

2002-05-20 Monday 18:43  sam

   * ./Makefile: forgot to remove Makefile.config in the distclean rule.

2002-05-20 Monday 15:03  gbazin

 * Added an option to disable the dynamic range compression.

2002-05-20 Monday 14:22  sam

   * ./ChangeLog: updated changelog.

2002-05-20 Monday 14:12  sam

   * ./Makefile.opts.in: removed configuration stuff which does not need to
     rebuild anything to Makefile.config, so that editing it will not cause
     a complete rebuild.

2002-05-20 Monday 11:21  tcastley

 Improved Overlay and Bitmap output modes.
 Due to existing bug in some Chroma's the Overlay does not work for nVidia
 cards.  Sorry.

2002-05-20 Monday 10:44  massiot

 Removed unused headers.

2002-05-20 Monday 05:20  jlj

   * ./plugins/macosx/intf_controller.[mh]: you can now drag & drop files onto
     the vlc dock icon. CFBundleDocumentTypes in Info.plist doesn't seem to have
     any effect, so you'll have to hold down command-option when dropping until
     this is resolved.

2002-05-19 Sunday 23:51  massiot

 Mac OS X-specific :
 * We now use real-time threads ;
 * Worked around a bug when seeking ;
 All :
 * Removed my patch to the video output since it causes problems for some
   people.

2002-05-19 Sunday 22:46  massiot

 * Fixes for ffmpeg and mad.

2002-05-19 Sunday 20:55  massiot

 * OS X intf is now more consistent with Apple guidelines.

2002-05-19 Sunday 20:26  gbazin

 * fixed a segfault I introduced lately in gtk_preferences.

2002-05-19 Sunday 19:16  jlj

   * ./plugins/macosx/intf_vlc_wrapper.m: don't try to eject unless there is
     a disc to eject.

2002-05-19 Sunday 17:27  massiot

 * Fixed a segfault in the Mac OS X interface.

2002-05-19 Sunday 16:45  jobi

     * plugins/satellite/input_satellite.c: cosmetic changes in error messages
     * plugins/gtk/*: gtk and gnome interfaces now uses frequency and
                      symbol rates default values

2002-05-19 Sunday 16:01  massiot

 Removed fixed entries.

2002-05-19 Sunday 15:50  stef

 *Initialize p_spudec->p_vout to NULL to prevent segfault if InitThread does
 not complete.

2002-05-19 Sunday 15:23  gbazin

 * on win32 the rc plugin opens a new console.

2002-05-19 Sunday 12:57  gbazin

 * filters were using memalign but freeing p_data instead of p_data_orig.
 * updated MSVC++ project.
 * small corrections to the LONGTEXT descriptions in main.c.

2002-05-19 Sunday 12:12  massiot

 * A few updates.

2002-05-19 Sunday 12:09  massiot

 * New vlc.spec, courtesy of Yves Duret <yves.duret@mandrakesoft.com>.

2002-05-19 Sunday 11:29  massiot

 * New --with-ffmpeg option for standard installations.

2002-05-19 Sunday 11:02  massiot

 Updated long descriptions.

2002-05-19 Sunday 10:06  gbazin

 * on win32 the dummy interface plugin will open a dos command box. With
 this fix, vlc should never fail silently and leave a ghost process
 running in the background when there isn't any working GUI plugin.

2002-05-19 Sunday 09:37  gbazin

 * moved the mpeg-motion and mpeg-idct options to the mpeg_vdec plugin
 * added a few *_LONGTEXT descriptions to main.c
 * on win32 DVD/VCD_DEVICE defaults to to D:

 Could anyone finish the *_LONGTEXT descriptions in main.c. There aren't
 that many left right now, just the ones I didn't really know what to do
 with.
 If someone also wants to review and change the already existing
 *_LONGTEXT descriptions, he is welcome as well because there are not
 really high quality descriptions :(

2002-05-19 Sunday 01:07  stef

 *Mark subpictures destroyed when we end spudec thread.

2002-05-19 Sunday 00:43  massiot

 * Another addition.

2002-05-19 Sunday 00:34  massiot

 * Desperate attempt to improve audio output ;
 * Updated documentation.

2002-05-18 Saturday 22:41  gbazin

 * updated INSTALL.win32
 * a little bit of clean-up in the directx video output plugin

2002-05-18 Saturday 18:48  massiot

 * Fixed Mac OS X resizing.

2002-05-18 Saturday 17:53  massiot

 * Warning levels are no longer additive, patch courtesy of Arnaud de
   Bossoreille de Ribou <bozo@via.ecp.fr>

2002-05-18 Saturday 17:47  sam

   * ALL: changed __inline__ with inline (autoconf does the job for us anyway,
     and mipspro doesn't know about __inline__).

2002-05-18 Saturday 15:51  gbazin

 * fixed deadlock in NextFrame() in aout_pcm.c

2002-05-18 Saturday 15:34  gbazin

 * fixed a bug in the directx window creation function. We register a window
    class once per process so we must be careful not to free the associated
    resources.

2002-05-18 Saturday 14:03  gbazin

 * updated the MSVC++ project files and added support for dirent (vlc compiled
    with msvc can now load plugins - even compiled with mingw).
 * small portability fixes.

2002-05-18 Saturday 13:33  massiot

 * Menu item to maximize the volume in Mac OS X ;
 * Dropped dependancy on autoconf 2.52.

2002-05-18 Saturday 13:30  gbazin

 * modified the directx video plugin to try to create an YUV surface before
    falling back to an RGB surface when it's not possible to use overlays.
    Some graphic cards can do the YUV->RGB conversion in hardware during the
    blitting stage.
 * in the directx video plugin, we now request that the RGB surface be created
    in video memory. The reasoning behind this is that usually surfaces in
    video memory benefit from more hardware acceleration (like for instance
    hw rescaling, hw blitting, etc...)
 * added two options to the directx video plugin to disable the above features.
    (mainly because my video driver is buggy and doesn't handle them well).

 * small cosmetic changes to the generation of the config file.

 * fix for config_GetHomeDir() on win32. SHGetFolderPath() is located in
    shfolder.dll not shell32.dll.
 * fix for the gtk preferences dialog box. To be sure that an int or float value
    is actually changed we call gtk_spin_button_update() in the
    GtkInt/FloatChanged() event handler.

2002-05-18 Saturday 11:59  sam

   * ./debian/control: made the Build-Depends: entry a one-liner (Closes
     Debian bug #147103).

2002-05-18 Saturday 08:50  stef

 *A lock was not released;

2002-05-18 Saturday 07:30  sam

   * ./plugins/text/rc.c: added a safety lock.

2002-05-18 Saturday 02:32  ipkiss

  * Fixed my previous commit

2002-05-18 Saturday 02:12  ipkiss

  * New Network dialog box for Gtk and Gnome interfaces

2002-05-17 Friday 23:01  fenrir

     * plugins/mpeg_system/mpeg_audio.c : you can now force this plugin( mpegaudio ).

2002-05-17 Friday 18:12  stef

 *Update reference in case of sequence end code.

2002-05-17 Friday 18:06  stef

 *Don't keep the control lock during the pause

2002-05-17 Friday 18:01  stef

 *check for b_die and b_error in all loops so that we don't remain stuck
 waiting for data whereas the vlc has tried to quit.

2002-05-17 Friday 16:38  sam

   * ./src/misc/mtime.c: we use nanosleep whenever possible (patch from Meuuh).

2002-05-17 Friday 15:47  fenrir

     * plugins/avi/avi.c : it will not segfault with broken avi with an unknown stream.

2002-05-17 Friday 15:14  lool

   * removed usage of usleep (not thread safe) (by Meuuh)

2002-05-17 Friday 14:17  lool

   * video output patch to improve handling of late pictures (by Meuuh)

2002-05-17 Friday 00:58  sam

   * ./src/interface/intf_msg.c, src/interface/intf_playlist.c: disabled
     calls to realloc(_,0) in a similar way to input_programs.c.

2002-05-16 Thursday 16:51  gbazin

 Another fix from Sam:

 * fix random segfaults on title change.
   (cell.i_cell_nb should be tested _before_ we access the structures)

2002-05-16 Thursday 13:20  gbazin

 * src/input/input_programs.c: fixed memory corruption by setting a few
     pointers to NULL after they have been free()ed.
 * src/input/input_programs.c: removed now useless ASSERTs.

 This patch comes from sam, so if you want to blame someone blame him ;-)

2002-05-16 Thursday 12:47  tcastley

 Fixed segfault in last checkin.

2002-05-16 Thursday 11:38  tcastley

 Improved overlay and bitmap support, not tested on nVidia cards.
 Lower CPU usage and no thread created per frame.

2002-05-15 Wednesday 23:53  sam

   * ./plugins/dvd/dvd_summary.c: added a sanity check.

2002-05-15 Wednesday 22:53  jobi

     * plugins/vcd/* : vcd access plugin now uses mpeg_ps demux instead
                      of its own one.

2002-05-15 Wednesday 21:14  massiot

 Attempt to fix the video output with QuickTime 6.

2002-05-15 Wednesday 19:36  sam

   * ./plugins/ac3_adec/ac3_adec.c: probably fixed most "crash when changing
     audio track" problems by zeroing the p_ac3dec structure.
   * ./plugins/ac3_adec/ac3_adec.c: fixed a "INPUT_MAX_ALLOCATION reached"
     crash.

2002-05-15 Wednesday 15:46  asmax

 - check size to avoid realloc(0)

2002-05-15 Wednesday 14:43  ipkiss

  * plugins/win32/network.*: new Network dialog box

2002-05-15 Wednesday 13:36  marcari

   * removed a debug message that I forgot in my previous commit

2002-05-15 Wednesday 13:07  marcari

 On sam's advice I added the input_FDNetworkClose() function to be called
 when closing a  networking stream instead of input_FDClose().  It is due
 to WIN32  because we have  to call  closesocket() instead of  close() to
 close the socket. The problem was  : windows did not leave the multicast
 group when closing the socket.

   * input_ext-plugins.c : where is located the function
   * *.h : function declaration
   * udp.c, http.c : these modules now call input_FDNetworkClose()

2002-05-15 Wednesday 11:06  marcari

   * netutils.c: use closesocket() instead of close() at the end
   of the network_ChannelJoin() for WIN32.

   It closes the following bug : when changing channel we sometimes got
   a 'no answer from vlcs' even if the answer is sent back.

2002-05-15 Wednesday 01:29  sam

   * ./src/misc/configuration.c: fixed an issue with long options from
     modules where option arguments and playlist entries were mixed.

2002-05-15 Wednesday 00:40  sam

   * ./plugins/spudec/spu_decoder.c: fixed endianness issue; subtitles colors
     should be OK now.

2002-05-15 Wednesday 00:39  sam

   * ./plugins/satellite/input_satellite.c: fixed a compilation warning.

2002-05-15 Wednesday 00:04  sam

   * ./configure.in: added libdvbpsi version check.

2002-05-15 Wednesday 00:02  sam

   * ./include/modules_inner.h: fixed a bug in module reinitialization,
     which should fix crashes after a long pause.

2002-05-14 Tuesday 21:57  bozo

 [no log message]

2002-05-14 Tuesday 21:23  massiot

 Fixed a bug (glitch/segfault) when seeking.

2002-05-14 Tuesday 20:54  jobi

     * src/input/mpeg_system.c : We handle PCR even if they are not attached
                                 to a PMT.

2002-05-14 Tuesday 20:39  gbazin

 * new --with-mad-tree configure option.
 * updated BUGS file.

2002-05-14 Tuesday 20:27  massiot

 It should now be possible to quit when reading a bogus file.

2002-05-14 Tuesday 20:13  massiot

 Do not eject when we're reading from the disc...

2002-05-14 Tuesday 19:47  sam

   * ./src/misc/modules.c: if a module has a zero-scored capability, we don't
     try to use it, unless it was explicitely requested (--vout for example).

2002-05-14 Tuesday 19:33  bozo

   * src/misc/iso-639.def, include/iso_lang.h, src/misc/iso_lang.c: iso-839-[12] tools.
   * include/common.h, src/misc/modules_plugin.h: export the 3 new functions.
   * plugins/dvd/dvd_es.c, plugins/dvd/dvd_summary.c, plugins/dvdread/input_dvdread.c: adapted DecodeLanguage calls to the new behaviour.
   * plugins/mpeg_system/mpeg_ts.c: ISO-639-2 descriptors handling.

2002-05-14 Tuesday 18:11  sam

  * ./include/mmx.h, ./plugins/imdct/*: gcc-3.1 compilation fixes courtesy
    of Yves Duret and other Mandrakesoft guys I don't know.

2002-05-14 Tuesday 17:31  sam

   * ./plugins/sdl/vout_sdl.c: fixed an aspect ratio issue (thanks Meuuh).

2002-05-14 Tuesday 16:45  jobi

     * src/input/mpeg_system.c: fixed an old old bug in TS demux, thank you
                                Meuuh.

2002-05-14 Tuesday 14:13  fenrir

     Sorry, fix a mistake.

2002-05-14 Tuesday 14:10  fenrir

     * plugins/mpeg_system/mpeg_audio.c : to avoid problem with PS, test
 only the first 4 bytes for mpeg header so some broken files, and all
 web radio will not work. You can change this by changing value
 of MPEGAUDIO_MAXTESTPOS.

2002-05-14 Tuesday 01:14  jobi

     * doc/vlc-howto.sgml: Spelling mistakes, small updates, harmonization
                           with other documentations (thank you Alexis)
     * plugins/satellite/*: some fixes in options parsing (thank you Sam)

2002-05-13 Monday 23:15  massiot

 * New OS X icon, courtesy of Joeri van Dooren <joeri@van.dooren.be> ;
 * Mac OS X fix.

2002-05-13 Monday 23:12  fenrir

     * plugins/mpeg_system/mpeg_audio.c : you should again be able to
 play PS stream (I hope it will be enougth). Sorry .

2002-05-13 Monday 21:55  fenrir

     * include/video.h : added new fourcc code for avi
     * ALL : version from ffmpeg cvs can now decode msmpeg4 v1 v2 ,
         so i have added support for this. But you can always use old ffmpeg
         library  without any problem ( i hope ;)

2002-05-13 Monday 19:30  sam

   * ./plugins/filter/clone.c: New filter, `--filter clone', duplicates
     display. To duplicate 12 times, use `--filter clone:12'.

2002-05-13 Monday 17:58  sam

   * ./plugins/x11/xcommon.c, ./plugins/x11/xvideo.c: --xvideo-chroma flag to
     force the XVimage format used.

2002-05-13 Monday 17:57  sam

   * ./plugins/text/ncurses.c: ncurses interface improvements by Thomas Graf.

2002-05-13 Monday 16:28  fenrir

     * mpeg_audio.c : don't use any more U32_AT. Thanks Meuuh.

2002-05-12 Sunday 20:56  massiot

 * Fixed menus [Mac OS X port]
 * Objective-C files are now .m
 * Fixed a major bug in the spu decoder
 * Disabled auto-hiding of mouse cursor since it doesn't work when browsing
   menus ; instead, click in the video window

2002-05-12 Sunday 06:51  fenrir

     * All: simplifications.

2002-05-12 Sunday 01:39  massiot

 * Mac OS X port : menus for Program/Title/Chapter/Languages.

2002-05-10 Friday 04:06  fenrir

     * All: use input_ClockManageRef to do synchro.

2002-05-10 Friday 02:04  fenrir

     * include/common.h and input_ext-plugins.h, src/misc/modules_plugin.h : export input_ClockGetTS for plugins.
     * plugins/mpeg_system/mpeg_audio.c : a demux for mpeg audio stream (file, web radio ...)
     * Makefile configure.in : to compile it

2002-05-09 Thursday 21:24  sam

   * ./src/interface/main.c: if Ctrl-C doesn't kill vlc cleanly for any
     reason, user just needs to hit Ctrl-C again 1 second later and we'll
     exit disgustingly instead of freezing.

2002-05-09 Thursday 16:15  jlj

   * ./plugins/macosx/intf_vlc_wrapper.c: menu code fixes.

2002-05-09 Thursday 14:52  jobi

     * doc/vlc-howto.sgml : URL fix for libdvdcss

2002-05-07 Tuesday 20:17  massiot

 Fixed Mac OS X VOUT_SIZE_CHANGE signal.

2002-05-07 Tuesday 13:55  fenrir

     * corrected some bad lock/unlock

2002-05-07 Tuesday 13:53  fenrir

     * plugins/avi/avi.c : can now use --novideo

2002-05-06 Monday 23:18  jlj

   * ./src/interface/intf_eject.c: s/Johanson/Johansen :-)

2002-05-06 Monday 22:59  massiot

 Improvements of the OS X GUI.

2002-05-06 Monday 22:09  jpsaman

 Added mad plugin downscale config option for selecting downscaling routine. Choices are: fast, mpg321. Default the fast version is used. The downscale option mpg321 uses an algorithm that adapts to dither errors. This routine is borrowed from MPG321 code.
 Mono audio streams get now duplicated on the right channel instead of silencing the right channel (untested).

2002-05-06 Monday 22:02  fenrir

     *ALL : ameliorations ( i hope ;)

2002-05-06 Monday 21:05  gbazin

 * video plugins that don't handle rescaling themselves have to let the
   video_output thread know about resizing events (with VOUT_SIZE_CHANGE event).
   (this part needs some clean-up but it is basically working for the X11 and
    SDL plugins).

 * fixed fullscreen for the SDL plugin.

 * xmga and sdl now switch to fullscreen on double-click.

2002-05-05 Sunday 17:20  fenrir

     * plugins/avi/avi.c try to not freeze when reach end file

2002-05-05 Sunday 08:25  gbazin

 * fixed the resizing and scaling of the X11 video output.
 * clicking on the video doesn't pause it anymore (use spacebar for this), but
   double-clicking will now switch between fullscreen and window mode.

2002-05-04 Saturday 16:51  fenrir

 [no log message]

2002-05-04 Saturday 16:17  gbazin

 * The Apply button in the preferences menu is grayed out unless there's a
   change to apply.
 * GtkConfigApply() now clears the list of config changes before returning.

2002-05-04 Saturday 15:49  sam

   * ./plugins/network/ipv4.c: fixed ipv4.so compilation under QNX.
   * ./configure.in: deactivated ipv6.so under QNX for now.

2002-05-04 Saturday 13:48  massiot

 More stable audio output [Mac OS X port] with more output buffering.

2002-05-04 Saturday 03:36  lool

   * ./BUGS :
     - no text in the status bar with gtk intf
     - no window title in gtk intf on some machines, correct title on another

2002-05-04 Saturday 03:32  lool

   * ./plugins/gtk/*.glade, ./plugins/gtk/*_interface.*: fix for interface
     autoshrink when toolbar text isn't displayed

2002-05-04 Saturday 02:05  lool

   * ./plugins/gtk/gnome.c, ./plugins/gtk/gtk.c, ./plugins/gtk/gtk_display.*:
     callbacks for the hide tooltips and toolbar text options

2002-05-03 Friday 22:30  jpsaman

 Aout fifo adapts it size according to the length of the first frame.
 The change is needed for MPEG1/2 layer III, because the size of output pcm from mad_decoder is different.
 Sadly, the buffer underruns are back ;-(.

2002-05-03 Friday 20:49  sam

   * ./include/modules_inner.h, ./src/misc/configuration.c: support for config
     options callbacks.

     They don't take any argument for the moment, but this will change when
     I'm finished with my other vlc changes. There is a little problem: the
     Gtk+ interface keeps calling Put***Variable each time we click on "Apply"
     or "Save". I think it should only call it once. Is there a way to fix
     this? Gildas? lool? :-)

2002-05-03 Friday 18:40  sam

   * ./configure.in: we check support for variadic macros (screw Borland!).

2002-05-03 Friday 17:37  lool

   * ./plugins/gtk/gnome.c: new option lets you hide the text of the
     GNOME interface toolbar

2002-05-02 Thursday 23:06  massiot

 Small FAQ update. Please note that everyone can update this FAQ if they
 want, it is not my property :-).

2002-05-02 Thursday 23:02  massiot

 Added quite a few missing names.

2002-05-02 Thursday 22:37  sam

   * ./plugins/qnx/vout_qnx.c: port of the QNX vout plugin to the vout4 API,
     courtesy of Pascal Levesque <Pascal.Levesque@mindready.com>.

2002-05-02 Thursday 10:54  fenrir

     * plugins/avi/avi.c : you can now use slow and fast reading.
                           After seeking, audio and video synchro is better.

2002-05-01 Wednesday 22:32  massiot

 * Misc sound fixes [Mac OS X port]
 * Fixed VCD double detection

2002-05-01 Wednesday 21:31  gbazin

 * The configuration file and the log file are opened in text mode. This mode
 should only have a meaning on Win32 and isn't supposed to break any other
 platform. If does give you any trouble then shout.

2002-05-01 Wednesday 19:59  gbazin

 * added a --with-a52-tree option to the configure script.

2002-05-01 Wednesday 19:18  sam

   * ./plugins/spudec/spu_decoder.c: FOURCC_YUY2 subtitles support (for NVidia
     overlay) courtesy of Rudolf Cornelissen <rag.cornelissen@inter.nl.net>.

2002-05-01 Wednesday 19:05  sam

   * ./plugins/kde/*: configuration dialog for the KDE interface, courtesy
     of Sigmund Augdal <sigmunau@stud.ntnu.no>.

2002-04-30 Tuesday 20:21  sam

   * Humpfff. A typo in my previous commit.

2002-04-30 Tuesday 20:19  sam

   * ./plugins/chroma/i420_yuy2.h: workaround for yet another annoying gcc
     behaviour with inline assembly (seems to be BeOS-specific). If anyone has
     a better idea than the huge "memory" constraint, please have a look at
     the MMX_CALL() macro!

2002-04-30 Tuesday 16:42  fenrir

     * plugins/avi/avi.c : corrected a bug with broken avi file.

2002-04-30 Tuesday 12:56  gbazin

 * added config_Get/PutFloatVariable to p_sysmbols. Thanks to Sigmund Augdal
 for pointing this bug out.
 * on Win32 the aout_pcm thread is given a high priority. This helps avoiding
 lots of audio underruns, especially when moving around the video window.

2002-04-30 Tuesday 12:35  fenrir

     * plugins/avi/avi.c : changed in order to read more avi file, Meuuh
 you can now read your file ;) (but audio is awfull,perhaps because of mad
 plugin ? ). Fix a bug for audio with some avi file.

2002-04-30 Tuesday 00:38  jobi

     * ALL: fixed a compilation issue in satellite input. It now uses common
            or libdvbpsi ts demux. Untested cause I can't get our Nova Card
            work again.

2002-04-29 Monday 23:57  massiot

 Cosmetic fixes.

2002-04-29 Monday 21:22  gbazin

 * Restored vout_CopyPicture(). It is needed by the directx plugin damnit ;-)
 * Restored AOUT_BUFFER_DURATION to its old value. It should solve quite a few
     underrun problems.
 * A little bit of DirectX plugin clean-up.

2002-04-29 Monday 19:38  ipkiss

 Compilation fix.

2002-04-28 Sunday 19:09  jpsaman

 Added more information in ipkg control file.

2002-04-28 Sunday 17:52  sam

   * ./include/modules_inner.h: the module name is now a default shortcut, for
     it, no need to manually add it.

2002-04-28 Sunday 11:56  sam

   * ./plugins/sdl/vout_sdl.c, ./plugins/x11/xcommon.c: when in fullscreen
     mode, the Esc key does not quit immediately, but first escapes from
     fullscreen mode. User-requested feature.

2002-04-28 Sunday 09:05  sam

   * ./include/os_specific.h: got it wrong once again... alcohol is bad, kids.

2002-04-28 Sunday 02:46  sam

   * ./include/os_specific.h: fixed my fix. sorry for the trouble.

2002-04-28 Sunday 02:27  sam

   * ./include/os_specific.h: fixed a C++ compilation issue.

2002-04-28 Sunday 01:26  sam

   * Removed the main() declaration because SDL defines it as a macro.

2002-04-27 Saturday 22:54  fenrir

     * plugins/avi/avi.c : with some broken avi file, will not freeze, and
 try to detect end of file.

2002-04-27 Saturday 22:11  gbazin

 * moved the function definitions from threads.h into threads_funcs.h. This
    allows us to move p_main_sys into p_main (p_main->p_sys).
 * fixed the --with-gtk-config-path and --with-sdl-config-path options in
    configure.in

2002-04-27 Saturday 16:13  fenrir

     * plugins/avi/avi.c : seek is faster

2002-04-27 Saturday 02:20  jobi

     * ALL : better FreeBSD detection for VCD input

2002-04-26 Friday 23:52  massiot

 Fixed a typo in libdvbpsi handling.

2002-04-26 Friday 23:32  jobi

 *    plugins/vcd/cdrom_tools : FreeBSD 4.5 port of the vcd input.

2002-04-26 Friday 20:49  gbazin

 * updated win32 compilation instructions.

2002-04-26 Friday 20:18  jobi

     * plugins/mpeg_system/mpeg_ts.c : fixed --program option

2002-04-26 Friday 18:12  jlj

   * Fixed my fix for the fix for vlc_memalign. Sorry O:-)

2002-04-26 Friday 17:07  jlj

   * ./include/common.h: Fixed vlc_memalign.

2002-04-26 Friday 14:29  fenrir

     * plugins/avi/avi.c : now it can play broken file with seek enable but it's very slow (will be fixed soon ).

2002-04-26 Friday 05:43  sam

   * ./src/misc/beos_specific.c: added system_Configure(). Sorry O:-)

2002-04-26 Friday 01:45  fenrir

     * src/input/input_programs.c : an video divx ES will no longer be considered as an audio ES ( thanks sam ).

2002-04-26 Friday 00:20  jlj

   * ./src/misc/darwin_specific.c: added system_Configure().

2002-04-25 Thursday 23:52  jlj

   * Cleaned up QTScaleMatrix().

2002-04-25 Thursday 23:07  massiot

 * MacOS X port :
 - New creator ID : VLC#
 - Borders in fullscreen mode are now black and the movie is centered
   (jlj P0\/\/3r)
 - A/V sync should be much more precise

2002-04-25 Thursday 21:52  sam

   * ./src/misc/modules_plugin.h: exported input_ClockManageRef for fenrir.
   * ./include/video.h: moved vout_CopyPicture out of the way, an inline
     function did not make sense here.
   * ./include/video.h: moved vout_ChromaCmp out of the way.
   * ./plugins/avi/fourcc.h, ./include/video.h: merged these two files into
     video.h.
   * ./include/os_specific.h: this file is now always included.
   * ./include/debug.h: removed this file which was almost useless, and moved
     ASSERT to common.h.
   * ./include/common.h: fixed vlc_memalign and changed its prototype to
     follow posix_memalign's.

2002-04-25 Thursday 21:35  sam

   * ./configure.in: dropped usage of $withval and $enableval in favor of the
     safer variants $with_foo and $enable_foo.

2002-04-25 Thursday 11:41  fenrir

     * plugins/avi/avi.c: will not segfault when no audio is found/supported.

2002-04-25 Thursday 03:01  fenrir

     * plugins/ffmpeg/ffmpeg.c : with empty frame(data_packet) it won't segfault
     * plugins/avi/avi.c : use KeyFrame to seek, so video will not be bad as
         before

2002-04-25 Thursday 02:10  jobi

 * Moved Program Specific Information decoder to the ts demux module
 * Added a mpeg_ts_dvbpsi module tha uses libdvbpsi to decode PSIs. It is
   used by default if the lib is found. It shares much code with mpeg_ts

2002-04-24 Wednesday 23:49  gbazin

 * fixed typo. You have to double click on the video window to switch to
   fullscreen.

2002-04-24 Wednesday 23:08  gbazin

 * on Win32 the config file is now stored under the "Application Data" folder
   belonging to the user. (this works if at least IE4 is installed, otherwise
   the old method is used to get the config directory)

2002-04-24 Wednesday 22:56  jlj

   * Fixed MacOS X module linking problem.

2002-04-24 Wednesday 00:36  sam

   * ./src/interface/main.c: we no longer segfault if argc == 0.
   * ALL: renamed PLUGINS to __PLUGINS__ to avoid conflicts with libraries
     defining it. Grmbl.
   * ./src/input/input_ext-plugins.c: cosmetic change.

2002-04-23 Tuesday 23:44  fenrir

 * ./plugins/ac3_adec/* use _M to avoid conflict with libavcodec.a
 * ./plugins/avi a light  avi demux
 * ./plugins/ffmpeg a video decoder for divx v3 and opendivx

2002-04-23 Tuesday 23:37  ipkiss

  * plugins/win32/preferences.cpp: fixed a compilation bug

2002-04-23 Tuesday 23:06  sam

   * ./plugins/avi, ./plugins/ffmpeg: created empty directories for fenrir's
     upcoming work.

2002-04-23 Tuesday 22:07  gbazin

 * DirectX video output plugin now uses triple buffering for YUV overlay. This
   improves the video quality a lot (no tearing) without affecting performance.
   (I knew double buffering sucked but I just discovered why triple buffering
    is better: you don't have to wait for the vsync to flip the buffers).

 * Fixed the DirectX video output for non-overlay modes. It was only working
   in RGB16 before.

 * Fixed the mouse autohidding feature in the DirectX plugin
  (at least partially).

 * Fixed the spu decoder to take the pitch of the destination picture into
   account when rendering the subtitles (Implemented only for the YUV modes).

2002-04-23 Tuesday 20:58  sam

   * ./plugins/spudec/spu_decoder.c, ./plugins/dvd/dvd_es.c: temporary fix
     to avoid retrieving the spu palette from a network stream as if it was
     a DVD.

2002-04-23 Tuesday 14:16  sam

   * ./src/interface/main.c: tidied the help output code.
   * ALL: removed underscores from option names and made a few options more
     self-explanatory, for instance --input_channel becomes --audio-channel;
     run vlc -H to see what has changed.
   * ALL: replaced many occurences of "plugin" with the word "module".
   * ./src/interface/main.c: moved all satellite-specific configuration options
     to the satellite plugin.
   * ./po/*: updated translations.

2002-04-23 Tuesday 13:47  sam

   * ./plugins/chroma/i420_yuy2.h: optimized the 420 planar-to-packed chroma
     transformations. They're now PIC-friendly as well.

2002-04-23 Tuesday 03:21  jlj

   * Added Open disc and network panels.
   * Some changes to the control layout.

2002-04-22 Monday 08:20  sam

   * ./src/interface/main.c: i_warning_level is set to 0 to avoid unwanted
     verbose messages.
   * ./po/en_GB.po: British translation.

2002-04-21 Sunday 21:29  gbazin

 * Fixed the warning_level handling: "-v" and "--warning" are now working as
   they should and they also are cumulative (using -vv --warning=3 you end up
   with i_warning_level=5)

2002-04-21 Sunday 18:32  sam

   * ./src/misc/configuration.c: support for short options. -V, -A, -I
     are back, and we also have -4 and -6 for IPv4/IPv6.

2002-04-21 Sunday 11:23  gbazin

 * added config_GetFloatVariable() and config_PutFloatVariable() to the config
   module.
 * added a --zoom <float> config option.
 * added a call to RestoreCPUState() in InitIDCT() in idct_sparse.h so that the
   FPU is still available after a call to InitIDCT().
 * deactivate stream buffering when logging to a file.

2002-04-21 Sunday 10:32  sam

   * ./po/*: re-ran make update-po, fixed a few translations.
   * ./po/fr.po: completed the french translation.
   * ./plugins/gtk/gtk.glade, ./plugins/gtk/gnome.glade: synchronized a few
     strings between the Gtk+ and GNOME modules to avoid duplicate translations.

2002-04-20 Saturday 20:42  sam

   * ./po/de.po: updated german translation. Many thanks to Thomas Graf.

2002-04-20 Saturday 17:52  tooney

   . Url & mailing-lists corrections

2002-04-20 Saturday 15:40  gbazin

 * the last category from the config options wasn't displayed.

2002-04-20 Saturday 15:12  jpsaman

 Updated Netherlands translation of interface.

2002-04-20 Saturday 10:19  lool

   * po/fr.po : completed french translations

2002-04-19 Friday 13:56  sam

   * ALL: internationalized all configuration strings.
   * ./src/interface/main.c: we now set LC_CTYPE to get the right charset.
   * ./src/misc/configuration.c: lots of simplifications in the code.
   * ./po/vlc/pot: updated translations.

2002-04-18 Thursday 21:32  massiot

 Fixed typos.

2002-04-18 Thursday 19:38  sam

   * ./vlc.spec: fixed build dependencies.
   * ./configure.in: when -lintl is available, we now also link plugins with it.

2002-04-18 Thursday 12:51  sam

   * ./include/threads.h: fixed a segfault under Solaris, thanks to Meuuh.
   * ./plugins/spudec/spu_decoder.c: RGB 24bpp and 32bpp support.

2002-04-18 Thursday 05:11  sam

   * ./configure.in: switched version to 0.3.1.
   * ./vlc.spec: imported Mandrakesoft's latest enhancements.
   * ./ChangeLog: updated ChangeLog.

2002-04-18 Thursday 04:34  sam

   * ./configure.in, ./plugins/network/ipv6.c: support for the GNU glibc
     extension gethostbyname2(), thanks to Thomas Graf.

2002-04-17 Wednesday 23:03  massiot

 * Finally fixed MacOS X aspect ratio. If you know how to center the
 picture in the screen, and make the remaining space black instead of
 white, PLEASE drop me a mail !

2002-04-17 Wednesday 17:00  jobi

 * in TS demux, a program is selected only if a PMT for it was found.
   This should fix the problem that occured when reading a file directly
   extracted from a satellite card.
 * UDP access plugin uses input_SetProgram.

2002-04-17 Wednesday 11:43  sam

   * ./AUTHORS: added people locations, just for fun.
   * ./configure.in: disabled SSE plugins when using mingw32.
   * ./src/misc/configuration.c: disabled the AltiVec warning message on the
     PowerPC platform because it was misleading.

2002-04-16 Tuesday 23:00  massiot

 * Have dvdread plug-in respond to dvd: URLs ;
 * MacOS X interface shouldn't take as much CPU as it used to ;
 * Fixed a bug in Altivec-enabled MC (thanks walken) ;
 * Fixed a case of segfault in Altivec-enabled memcpy.

2002-04-16 Tuesday 22:13  jobi

 * big update of Henri's howto

2002-04-15 Monday 23:04  massiot

 * Support for pictures with a pitch different from the picture width,
 inspired by Gildas Bazin.

2002-04-15 Monday 14:06  jobi

 * fixed a typo in satellite input
 * added options to configure antenna (sat_lnb_lof1, sat_lnb_lof2,
   sat_lnb_slof and sat_diseqc). They only appear if satellite input
   is compiled.

2002-04-15 Monday 04:36  jobi

 * removed a totally useless switch in my last commit
   (switch i {case 1: i=1;break; case 2: i=2: ...
   I'd better got to bed ;)

2002-04-15 Monday 04:28  jobi

 * fixed a few bugs in satellite input (device was not closed in every
 failure case, symbol rate limits in gnome interface were wrong)

 * added FEC choice in command line, gtk and gnome interfaces. Command
 line is now
 satellite:<frequency(Hz)>,<polarization(0=V,1=H)>,<fec(1=1/2,2=2/3...)>,
 <symbol rate(kbyte/s)>

2002-04-11 Thursday 09:25  tcastley

 Implemented a fix for nVidia overlays thanks to Bertil.

2002-04-11 Thursday 08:55  sam

   * ./Makefile: fixed the Win32 interface under Win2k/XP.
   * ./src/misc/modules_plugins.h: implemented a dlerror()-like wrapper
     for the Win32 API.

2002-04-10 Wednesday 17:47  jobi

 * fixed another bug in PS demux : the first program added was at the
 same time declared as the current program and as a new program, which
 made the ES be selected two times.

2002-04-10 Wednesday 16:26  jobi

 * fixed a bug in input_SetProgram, that made the ps file input
 launch without video. Sorry about this.

2002-04-10 Wednesday 10:08  tcastley

 Fixed code to close vout window, does not segfault anymore.

2002-04-10 Wednesday 02:48  lool

   * ./po/fr.po: French translation update

2002-04-10 Wednesday 00:08  sam

   * ./configure.in: fixed a bug in the libdvdread detection.
   * ./configure.in: fixed plugin compilation under Win32.

2002-04-10 Wednesday 00:05  sam

   * ./vlc.spec: imported MandrakeSoft's enhancements.

2002-04-10 Wednesday 00:05  sam

   * ./doc/developer/decoders.xml: fixed a typo preventing compilation.

2002-04-10 Wednesday 00:04  sam

   * ./plugins/aa/aa.c: we now parse the AAOPTS environment variable.
   * ./plugins/aa/aa.c: a few simplifications in the code.

2002-04-08 Monday 14:53  jobi

 * made file access plugin use input_SetProgram so that we may change
   program when reading a file
 * fixed a bug in input_SetProgram
 * added --input_program <int> option, to choose the program from
   the command line

2002-04-07 Sunday 23:08  massiot

 * Fixed Altivec-enabled version of fastmemcpy
 * Fixed --memcpy switch
 * Changed CFLAGS_VLC to vlc_CFLAGS (last-minute changes are great ideas :p)
 * New README file for MacOS X.

2002-04-07 Sunday 06:48  sam

   * ./configure.in: wrote a better test for libdvdread detection.
   * ./plugins/gtk/gtk.glade: added lines this #@%$! Glade had munched, fixes
     a segfault in the Gtk+ popup menu when toggling the interface.
   * ./plugins/motion/motion.c: fixed a compilation issue on compilers which
     do not accept empty macro arguments.

2002-04-06 Saturday 05:54  sam

   * ./doc/release-howto.txt: updated documentation.
   * ./vlc.spec: added missing plugin filenames to the build process.

2002-04-06 Saturday 04:22  sam

   * ./plugins/win32/mainframe.dfm: swapped two mixed up tooltips.
   * ./Makefile: fixed make dist and make distclean.
   * ./plugins/dvd/dvd.c: compilation fix.
   * ./plugins/gtk/gtk_callbacks.c: fixed ejection code.
   * ./plugins/text/ncurses.c: fixed compilation of the ncurses plugin.
   * ./vlc.spec: updated specfile.

2002-04-05 Friday 21:26  sam

   * ./Makefile, ./configure.in: misc BeOS build fixes.

2002-04-05 Friday 21:03  jlj

   * ./plugins/macosx/vout_macosx.c: memalign -> vlc_memalign

2002-04-05 Friday 20:44  sam

   * ./plugins/win32/win32.cpp: fixed `--intf intfwin' which wasn't working.
   * ./Makefile: we don't include the Gtk+ and SDL DLLs in the win32 package
     anymore, the package is now 700k instead of 4MB.
   * ./configure.in, ./Makefile, ./Makefile.opts.in: replaced LIB_FOO with
     foo_LDFLAGS and CFLAGS_BAR with bar_CFLAGS for faster builds, and moved a
     lot of stuff from Makefile.opts.in back to configure.in.
   * ./install-win32: updated script for NSIS 1.96.

    I hope this doesn't break too many other architectures...

2002-04-05 Friday 12:35  sam

   * ./configure.in: added --enable-intfwin to enable the win32 interface and
     --with-bcbuilder to tell make where to find Borland C++ Builder.

2002-04-05 Friday 03:27  sam

   * ./plugins/win32/intfwin.bpr: we now build intfwin.so at the right place.
   * ./plugins/win32/Makefile: intfwin.so can be built using commandline.
   * ./configure.in, ./include/threads.h, ./include/common.h: a custom defs.h
     file isn't needed for the intfwin plugin anymore.
   * ./INSTALL.win32: updated compilation instructions for the intfwin plugin.

2002-04-05 Friday 01:05  gbazin

 * introduced a memalign wrapper that will align the memory manually if
   memalign doesn't exist.

   void *vlc_memalign( size_t align, size_t size, void **pp_orig )
   where the return value is the aligned pointer and *pp_orig is the pointer
   that has to be freed afterwards.

   the arithmetic I'm doing on the pointer to align it is not portable to
   64bits architectures. If someone knows how to something portable, please
   tell me ( and no I don't want to do if(sizeof(void *) == blabla) ).

   Other little problem, I was planning to use posix_memalign by default in
   the wrapper implementation but it doesn't work (someone can tell me what
   I'm doing wrong ?)

 * re-enabled the sse plugins on win32 as we don't have anymore alignment
   issues.

 * fixed typo in vout_directx.c

2002-04-04 Thursday 22:51  massiot

 * FINALLY fixed HTTP input bug (I'm SO HAPPY with this !)
 * Disabled memcpyaltivec since it's buggy

2002-04-04 Thursday 22:08  massiot

 * Fixed intf_eject for iPAQ (untested)
 * asm memcpyaltivec for Linux/PPC

2002-04-04 Thursday 16:22  ipkiss

   * ./AUTHORS: added myself :)
   * ./plugins/win32/mainframe.cpp: disabled the "hide interface" menu
     item, not yet implemented.
   * ./plugins/win32/about.dfm: replaced the outdated author list with a
     "VideoLAN Team" entry.

2002-04-04 Thursday 15:35  sam

   * ./plugins/gtk/gtk.glade, plugins/gtk/gnome.glade, ./plugins/kde/kde.cpp:
     replaced the outdated author list with a "VideoLAN Team" entry.
   * ./debian/rules, ./debian/control: deactivated the vlc-kde package because
     it does not work, and removed the vlc-a52 package because liba52 is
     statically linked into vlc.
   * ./debian/control: added more helpful package descriptions.
   * ALL: changed version to 0.3.0. Yeah, it's coming.
   * ./Makefile: fixed make dist.

2002-04-04 Thursday 05:08  sam

   * ./src/video_output/video_output.c: fixed a vout4 image starvation bug.
   * ./plugins/dvd/dvd.c: we look for libdvdcss.so.2 as well as -.so.1.
   * ./configure.in: BSD/OS fixes thanks to Steven M. Schultz.
   * ./Makefile: renamed the `snapshot' rule to `dist'.
   * ./Makefile: removed the `snapshot-nocss' rule which isn't needed anymore.

2002-04-04 Thursday 00:23  jlj

   * ./src/interface/intf_eject.c: Fixed a MacOS X bug.

2002-04-03 Wednesday 23:24  massiot

 * Fix for iPAQ familiar Linux (untested)
 * HTTP files now find the EOF (though HTTP input is still broken)

2002-04-03 Wednesday 22:36  massiot

 Fixed altivec memcpy module [OS X port]

2002-04-03 Wednesday 16:22  sam

   * ./Makefile.modules: modules now depend on Makefile.opts.
   * ./configure.in: added (hopefully) explicit messages on how to get
     libdvdcss and link vlc with it.
   * ./plugins/dvdread/input_dvdread.c: removed inclusion of dvd_udf.h.

2002-04-03 Wednesday 13:18  ipkiss

  * ./plugins/win32/*: Added management for secondary config dialogs

2002-04-03 Wednesday 06:45  sam

   * ./plugins/ogg/*: added preliminary files for an Ogg/Vorbis decoder a
     contributor is currently working on.

2002-04-03 Wednesday 06:23  sam

   * ALL: removed libdvdcss from the vlc tree.
   * ALL: removed libdvdread from the vlc tree.
   * ./acconfig.h: removed this file.
   * ./plugins/dvd/dummy_dvdcss.c: merged this file into dvd.c.
   * ./AUTHORS: moved a few gentlemen to the libdvdcss AUTHORS file.

2002-04-03 Wednesday 06:19  gbazin

 * fixed ./plugins/gtk/gtk_callbacks.c to use the "dvd_device" config option
   instead of the now inexistant DVD_DEVICE macro.

2002-04-03 Wednesday 02:43  sam

   * ./po/ja.po: added Japanese translation from Fumio Nakayama
     <endymion@ca2.so-net.ne.jp>.
   * ./plugins/gtk/gtk_callbacks.c: fixed disc ejection code.
   * ./ChangeLog: how about a nice cup of 870 lines of ChangeLog for the 0.3.0
     release?

2002-04-02 Tuesday 23:43  gbazin

 * New pthread implementation for WinNT/2K/XP. This implementation shouldn't
   be subject to race conditions as it is using SignalObjectAndWait() from the
   Win32 API.
   As this should be somehow slower than the old method (still used on Win9x),
   you can specify that you want to use the old method with the "fast_pthread"
   config option.

 * Added a new p_main_sys global variable. This variable is a pointer to an
   OS specific structure which is defined in *_specific.h. This structure can
   be filled by the already existing System_Init() function and is a nice
   way to avoid too many #ifdefs.

2002-04-02 Tuesday 23:27  gbazin

 * Got rid of the DVD_DEVICE macro. We now use the dvd_device config option.
   ( this creates a small memory leak as we don't free the string obtained
     from config_GetPszVariable, but I think we can live with it for now )

 * the SSE plugins are disable on the mingw32 build as they don't work.
   ( because memalign is not implemented on win32, and malloc only aligns
     on an 8 bytes boundary )

 * fixed small mistake in INSTALL.win32

2002-04-02 Tuesday 23:22  ipkiss

  * ./include/config.h: fixed config directory name for windows
  * ./plugins/win32: the network dialog now respects the preferences settings

2002-04-02 Tuesday 23:00  massiot

 Added memcpyaltivec.

2002-04-02 Tuesday 22:46  massiot

 Compilation fix. :-ppppp

2002-04-02 Tuesday 22:16  massiot

 * Altivec-enabled version of fastmemcpy
 * Use ImageBuffer instead of ScreenBuffer in OS X video output (should be
 faster)

2002-04-02 Tuesday 21:56  ipkiss

 * ./src/interface/main.c: check that channels have been created before
   the call to network_ChannelJoin

2002-04-02 Tuesday 15:18  ipkiss

  * ./plugins/win32:
         - fixed a few bugs in the preferences
         - better auto-resizing of the main window
         - the disc dialog now respects the preferences settings

2002-04-02 Tuesday 11:31  ipkiss

  * ./src/misc/configuration.c: small compilation fix

2002-04-02 Tuesday 10:44  tcastley

 Added a test for the nooverlay option.

2002-04-02 Tuesday 10:43  tcastley

 Changed directory of the config file for BeOS to be consistant with
 OS standard.

2002-04-02 Tuesday 10:17  sam

   * ./configure.in: BeOS, liba52 and chroma plugin compilation fixes.
   * ./plugins/dvd/dvd_access.c: removed a warning.
   * ./src/misc/configuration.c: Solaris fixes by Meuuh.
   * ./FAQ: removed outdated stuff.

2002-04-02 Tuesday 06:31  gbazin

 * Fixed yet another bug related to the event thread creation
 * Removed a few debug messages

2002-04-01 Monday 21:54  gbazin

 * Fixes for the Win32_msvc build

2002-04-01 Monday 21:39  gbazin

 * Microsof Visual Studio C++ 6 project files.
   This is usefull mainly for debugging as the hardware accelerated plugins
     can't be compiled with msvc.

 I won't be maintaining this msvc project as I don't have MSVC myself, but
 maybe this will encourage people to try to develop for vlc (or maybe just
 discourage them ;-)

2002-04-01 Monday 16:08  gbazin

 * Win32 compilation fixes when downmixsse and downmix3dn are declared as
     plugins.
 * Fixed the waiting on the event thread creation in the directx plugin.

2002-04-01 Monday 10:47  gbazin

 * updated the "package-win32" rule
 * all txt files are now converted to dos format (CRLF)

2002-04-01 Monday 10:13  gbazin

 * VLC-Win32 Cross-Compile Howto, courtesy of Bill Eldridge.

2002-04-01 Monday 09:59  gbazin

 * updated INSTALL.win32

2002-04-01 Monday 07:37  tcastley

 Fixed the color_space problem.  Overlays now work.
 Still problem with nVidia cards.

2002-04-01 Monday 05:49  tcastley

 Improved overlay detection, default colour space selection.
 Has bad output color need some work.

2002-03-31 Sunday 22:59  gbazin

 * allow the user to resize the configuration windows
 * moved config_GetIntVariable out of the loop

2002-03-31 Sunday 22:35  gbazin

 * You can now set a maximum height for the configuration windows in the gtk
     and gnome plugins. This patch _doesn't change_ the look of the interface
     unless this interface tries to use more space than allowed, in which case
     scrollbars are added to make the navigation easy.
     Note that this setting only affects the default size the interface will
     use, the user is then free to change the size of the window as he wants.

 * Tooltips are now triggered only in specific places. This is a lot less
    intrusive and annoying for the users.

2002-03-31 Sunday 17:59  ipkiss

  * ./plugins/win32: fixed the bug on exiting the vout pressing 'q'

2002-03-31 Sunday 08:13  tcastley

 Implemented an "always-on-top" feature for the interface window.
 RGB16 Overlay supported again.
 Resizing is now implemented consistantly.

2002-03-31 Sunday 05:10  ipkiss

  * plugins/win32: subtitles should work, now

2002-03-29 Friday 00:14  massiot

 Disabled the server argument in udpstream: because it confuses users and is
 not of any practical use.

2002-03-28 Thursday 21:21  massiot

 Fix for sparc.

2002-03-28 Thursday 10:17  gbazin

 * don't try to stat() the dvd drive letter on win32
 * disabled YUV overlay double buffering for now, as it seems to actually be
     slower.
 * temporary fix in vlc_cond_signal() for win32 (I really should use
     SignalObjectAndWait() on WinNT so we can avoid race conditions in the
     pthread code). This fixes a problem noticed on WinXP where vlc would
     freeze regularly and eat-up all the CPU (fun no?)

2002-03-28 Thursday 03:53  jobi

 * When unselecting an ES, we must ged rid of p_es->p_pes so that it is
   regererated when we select this ES again. It made vlc segfault when
   switching from some stream to another, or when switching program
   in satellite input.

2002-03-27 Wednesday 22:15  massiot

 * UDP access plug-in can now receive MPTS (Multiple Program TS) and switch
 programs
 * Audio and video output go to time-constrained scheduling [OS X port]

2002-03-27 Wednesday 21:01  lool

 Some dirty ifdefs for a nicer gnome interface (gnome buttons, gnome
 dialogs).

2002-03-27 Wednesday 19:54  jpsaman

 Translation of user interface messages to Netherlands.

2002-03-27 Wednesday 19:53  jpsaman

 Added Netherlands translation (nl) to configure.in

2002-03-27 Wednesday 18:43  lool

 plugins/gtk/gnome.c, plugins/gtk/gtk.c:
     new options "gtk_hide_toltips" or "gnome_hide_tooltips"

  Tooltips are enabled by default. This option is only considered on
 module initialization.

2002-03-26 Tuesday 23:39  massiot

 * GNU make detection
 * Deleted non-working fullscreen menu item [OS X]
 * udp and http no longer modify p_input->psz_name

2002-03-26 Tuesday 23:08  gbazin

 * various little portability fixes

2002-03-26 Tuesday 22:30  gbazin

 * modified the gtk interface to save an empty <string> option as a NULL pointer
 * modified config_LoadConfigFile to consider an empty <string> option as a
    NULL pointer.

2002-03-26 Tuesday 22:02  gbazin

 * changed the behaviour of the config file:
   - now all the config options are saved. <string> config options which have
   no default value are also saved in the config file but as an empty string.
   - config_LoadConfigFile will ignore empty config options, which also means
   we cannot pass an empty string as a <string> config option. (this shouldn't
   matter anyway)

2002-03-26 Tuesday 17:33  lool

 plugins/gtk/gtk_preferences.c:
   . save button (inadvertently suppressed)

2002-03-26 Tuesday 16:06  ipkiss

  * plugins/win32:
         - added toolbar icons (thanks xav)
         - we can no longer edit plugin names in the preferences :)
         - the tool button for playlist is now a toggle button

2002-03-26 Tuesday 10:29  tcastley

 Disabled controls if the playlist was empty.

2002-03-25 Monday 23:36  ipkiss

  * Added a win32 interface plugin, developed with Borland C++ Builder.
    To build the plugin, follow the instructions in INSTALL-win32.txt

  * Known bugs:
         - subtitles don't work
         - a crash occurs when the user exits by pressing 'q' in the vout
         - when moving the slider, position in the stream updates even if
           the slider isn't released yet

  * TODO list:
         - clean code in menu.cpp
         - adapt lool's enhancements of the Gtk+ preferences box
         - write drag-and-drop stuff
         - and of course, fix known bugs :)

  * For those of you who can't wait till the next release to test the win32
    interface, binary files are available here:
    http://www.via.ecp.fr/~ipkiss/intfwin/vlc.zip
    Enjoy!

2002-03-25 Monday 22:38  lool

 plugins/gtk/gtk_preferences.c:
   . fixed an ugly structure
   . the tabs are not verticaly expanded as they were
   . small enhancements

2002-03-25 Monday 20:37  lool

 The "we love gibalou" commit :
   * plugins/gtk/gnome.c, plugins/gtk/gtk.c, plugins/gtk/gtk_common.h :
       . new Tooltips structure
   * plugins/gtk/gtk_preferences.c:
       . modifications of some widgets, the structure, cosmetic changes
   * src/interface/main.c:
       . typos
       . a couple new descriptions

2002-03-25 Monday 19:16  gbazin

 * moved the "display" option from main to the relevant plugins. ( We now have
    the x11_display, xvideo_display, xmga_display and ggi_display options ).

2002-03-25 Monday 04:18  sam

   * Fixed a little omission in INSTALL-win32.txt.

2002-03-25 Monday 02:06  jobi

 * Fixed a bug that made vlc segfault when choosing a program, change to
   another and come back to the first one.
 * Added gtk and gnome interfaces for satellite input. We should find a
   way to hide the button if satellite support is not compiled.

2002-03-22 Friday 13:16  tcastley

 Implemented correct scaling and used new window size variables.
 Beta always on top for the interface window.  New cursor handling.

2002-03-22 Friday 00:55  xav

  - Updated INSTALL-win32.txt

2002-03-22 Friday 00:47  jlj

   * Fixed a problem in the MacOS X aout which caused the previously
     played audio frames to be played when there were no new frames
     available.
   * MacOS X vout now uses the height/width calculated in video_output.c

2002-03-22 Friday 00:24  xav

  * Win32 fix.

2002-03-21 Thursday 23:49  massiot

 Miscellaneous fixes for the OS X port.

2002-03-21 Thursday 22:10  gbazin

 * the calculation for the initial video window dimensions is now done in
     video_output.c and made available into p_vout->i_window_height/width.
     This allows to get rid of duplicated code and unify the behaviour of
     the video output plugins. (not all the plugins have been modified
     because I didn't want to break anything).

     As a side effect, the --width and --height options are now working, you
     can even use only --width or only --height the other dimension will adapt
     automatically to the video characteristics.
     Note that you need to remove the width/height options from the config file
     or set them to -1 if you want to use the actual video size.

2002-03-21 Thursday 07:11  gbazin

 * moved GetConfigurationFromCmdLine() into configuration.c and renamed it
    into config_LoadCmdLine()
 * config_GetHomeDir doesn't use getpwuid_r anymore as this was creating
    some problems on solaris. This function now uses getpwuid and is called
    only once to store the home directory into the p_main structure.

2002-03-21 Thursday 02:28  jobi

 Forgot to add the input files.

2002-03-21 Thursday 02:27  jobi

 [no log message]

2002-03-20 Wednesday 23:00  gbazin

 * fixed stupid bug in stupid ConvertPrintfFormatString() function
 * fixed the "waveout not closing" bug. We need to reset the waveout device
     before closing it.

2002-03-20 Wednesday 17:44  sam

   * ./src/input/mpeg_system.c: fixed a bus error on UltraSparc.

2002-03-20 Wednesday 14:08  sam

   * Win32 and Solaris compilation fix.

2002-03-20 Wednesday 10:33  tcastley

 Improved scaling, correct aspect ratio even in full screen mode.
 Duplicate code reduces and framework for Overlay and OpenGL modes in place.

2002-03-20 Wednesday 03:43  sam

   * ./src/misc/modules_plugin.h: kludge to allow the ALSA module to be
     compiled as a plugin. Please test.
   * ./include/modules.h: fixed a C++ warning.

2002-03-20 Wednesday 03:12  ipkiss

  * Added 3 bugs of the win32 port to the BUGS file

2002-03-20 Wednesday 01:32  jobi

 * Raw device fix, courtesy of Steven Schultz

2002-03-19 Tuesday 23:47  massiot

 Fixed a typo. Grmbl.

2002-03-19 Tuesday 23:44  massiot

 Better IPv6 detection. IPv6 is disabled under MacOS X (no inet_pton
 call).

2002-03-19 Tuesday 23:02  jobi

 * fixed some bugs in program management : selected ESs must be attached
 to the selected program.

2002-03-19 Tuesday 14:00  sam

   * ./plugins/aa: aalib output plugin courtesy of Sigmund Augdal.
   * ./configure.in: fixed a few bashisms.
   * ./src/misc/configuration.c: fixed build under Solaris.
   * ./TODO: updated todo list.

2002-03-19 Tuesday 12:48  gbazin

 * fixed two memory leaks
 * fixed typo in waveout.c

2002-03-19 Tuesday 05:49  sam

   * ./configure.in: BeOS compilation fixes.
   * ./debian/rules: activated (broken) KDE interface.
   * ./plugins/access/http.c: fixed a segfault.
   * ./plugins/alsa/aout_alsa.c: fixed a segfault.

2002-03-19 Tuesday 04:22  ipkiss

   * ./include/common.h: fixed the compilation fix for Borland C++ :)

2002-03-19 Tuesday 03:42  sam

   * ./include/common.h: compilation fix for Borland C++.

2002-03-19 Tuesday 03:33  jlj

   * MacOS X aout now uses AudioConverter for int->float
   * Various MacOS X intf improvements and bug fixes

2002-03-19 Tuesday 00:30  sam

   * ./plugins/chroma/i420_rgb8.c: fixed a warning.
   * ./plugins/filter/deinterlace.c: fixed chroma deinterlacing.
   * ./plugins/kde/kde.cpp: the KDE interface compiles again.
   * ./plugins/mpeg_system/mpeg_es.c: fixed a segfault I introduced today.
   * ./plugins/network/ipv4.c: cosmetic fix.
   * ./src/interface/main.c: fixed a typo in the --help output.
   * ./src/misc/netutils.c: fixed a segfault in the vlcs communication; still
     unstable but solving other bugs won't do any good without rewriting the
     whole playlist code. Which I'm doing right now.

2002-03-19 Tuesday 00:12  massiot

 MacOS X compile fixes.

2002-03-18 Monday 21:04  xav

   * skip "//" if we find "://" in a resource we have to play : this allows us to use the syntax udpstream://host.

2002-03-18 Monday 19:14  sam

   * ./extras/MacOSX_dvdioctl: removed outdated files.
   * ./plugins/fx/scope.c: fixed an infinite loop error.
   * ./plugins: fixed segfaults in various demux plugins.
   * ./plugins/sdl/vout_sdl.c: SDL_VIDEODRIVER can be specified from the
     command line; try "--vout sdl:aalib"

2002-03-18 Monday 17:09  sam

   * ./configure.in: fixed linking of the ipv4 plugin.

2002-03-18 Monday 16:38  xav

  * DirectX plugin is now correctly detected and configured.

2002-03-17 Sunday 21:59  sam

   * ./BUGS: updated bug list.
   * ./configure.in: ./configure --help should be a lot clearer now.

2002-03-17 Sunday 17:00  sam

   * ./plugins/chroma/i420_rgb8.c: plain C 8 bpp transformation.
   * ./plugins/chroma/i420_rgb16.c: plain C 24/32 bpp transformations.
   * ./plugins/ggi/ggi.c: support for 8 bpp displays.
   * ./plugins/sdl/vout_sdl.c: support for 8 bpp displays.
   * ./plugins/x11/xcommon.c: support for 8 bpp displays.
   * ./src/video_output/video_output.c: fixed a segfault.

2002-03-17 Sunday 13:53  gbazin

 * added an alternate fullscreen method. With this method, _nothing_ is allowed
 to be displayed on top of the video (especially not taskbars, etc...).
 Of course this can also be annoying sometimes, this is why it's an option.

 PS: does anybody know how not to propagate the Ctrl-Alt-Tab key event to the
 window manager. I tryed XChangeWindowAttributes with do_not_propagate_mask but
 it doesn't seem to work.

2002-03-17 Sunday 11:12  gbazin

 * small fix for the config file. The parser assumes that the config file is
 divided into sections (a section is the config data for a plugin and begins
 with something like [foo]), so the comment for the beginning of the section
 must be after the section marker and not before.

 If you want to illustrate the problem (without this fix):
 - save vlc's config
 - exit from vlc and remove for example the dsp plugin (rm plugins/dsp.so)
 - resave vlc's config
 and now look at the end of the config file, it's all screwed up.

2002-03-17 Sunday 05:48  tcastley

 Tidied code and prevented curruption on window not containing the video.
 Video window now returns to correct size and position after toggling
 full screen.

2002-03-16 Saturday 23:03  sam

   * ./configure.in: more modules are plugins.
   * ./src/misc/configuration.c: changed ~/.VideoLan/vlc to ~/.videolan/vlcrc,
     and a few cosmetic changes (sorry Gildas for the butchery).
   * ./plugins/chroma/i420_rgb16.c: C version of the I420 to RV15/16 chroma.

2002-03-16 Saturday 01:40  gbazin

 * This the last piece of the new configuration module. You can now save your
 configuration options (only from the gtk/gnome interface for now). The config
 file will be saved as ~/.VideoLan/vlc

 It's not quite yet finished (well there are a few small details to sort out),
 but I'm going away for the week-end and I wanted to commit this before so you
 can all have a play with it :)

2002-03-15 Friday 18:20  sam

   * ./plugins/spudec/spu_decoder.c: we now analyze the subtitle image
     data to find the border color and the inner colors when there was
     no way to find the palette data (network stream).

2002-03-15 Friday 17:17  sam

   * ./plugins/mpeg_system: fixed a parsing bug I introduced yesterday.

2002-03-15 Friday 04:41  sam

   * ./Makefile: fixed OS X vlc.app compilation dependencies.
   * ./configure.in: fixed the endianness check under Solaris.

   * ./src/input/input.c: strings are now initialized to "" instead of NULL.

   * ./plugins/spudec/spu_decoder.c: we now properly support the subtitle
     palette information we get from the DVD. Subtitles rox !
   * ./src/video_output/vout_subpictures.c: removed all DVD-specific routines
     and put them into spu_decoder.c.

2002-03-15 Friday 01:47  stef

 *Move iec958/spdif encapsulation from ac3_spdif to aout_spdif.
 It will eventually allows to use ac3_adec or a52 for spdif output.

 *Remove an ugly loop in aout_spdif.

2002-03-15 Friday 00:57  stef

 -Fixed chapter selection at startup.

2002-03-14 Thursday 01:35  stef

 *p_es->p_demux_data is available in p_config->p_demux_data so that the input
 can pass information directly to the decoder.

 *First application: aspect ratio for DVD is read from the ifo (should fix
 the buf with aspect ratio in anamorphic DVDs).

 *The DVD plugin also copy the spu yuv palette in p_demux_data so that the
 spudec can display subtitle with the right color (sam !).

 *Removed duplicate code and useless lock in gtk.

2002-03-13 Wednesday 12:46  jobi

 * Fixed EOF and Stop segfault in VCD input : input_BuffersEnd was being
   called two times

2002-03-13 Wednesday 08:41  tcastley

 Updated Tony Castley's e-mail.

2002-03-13 Wednesday 08:39  tcastley

 New resizing and scaling code.  More in line with BeOS standards.

2002-03-12 Tuesday 20:39  gbazin

 * a52 plugin updated to use liba52-0.7.3 ( which is now available on debian :)

2002-03-12 Tuesday 18:37  stef

 *New configuration option to choose audio output format at runtime.
 It allows to select spdif pass-through decoder with --ac3_adec and to
 remove the ugly b_ac3 in main.h

 As a consequence --spdif doesn't work anymore: you should use --ac3_adec pass

 *Fixed a typo in main.c

 *Return the option name in error message for unknown option intead of the
 argument.

2002-03-11 Monday 20:14  gbazin

 * gtk config interface modified so you can only have one instance of a plugin
     config dialog box displayed at one time.

2002-03-11 Monday 18:10  gbazin

 * oops, forgot to check the gnome interface before my last commit.

2002-03-11 Monday 07:23  gbazin

 * New GTK configuration interface. This interface is generated dynamically
   at run-time from the configuration data contained in each plugin.
 * config_PutPszVariable and config_GetPszVariable are now thread safe.
 * Few modifications/optimizations to the config module.
 * Got rid of all the _VAR macros in config.h

 This is the first version of the GTK configuration interface. There are still
 a few raw corners and a fews things left to do, but it basically does what
 I wanted.
 Constructive comments like it sucks or it smells rotten fish are of course
 very welcome. And if there are GTK gurus out there, please don't hesitate to
 add your touch.

 I also started to add usefull comments to the configuration options but I'm not
 really good at this kind of thing so if people want to help, they can finish
 the job. For this look at all the *_LONGTEXT macros at the top of main.c

 (PS: Translations will also be appreciated but not right now as the interface
 will likely change again in the few coming days)

2002-03-10 Sunday 23:36  massiot

 Missing include (MacOS X port).

2002-03-09 Saturday 16:48  stef

 *Fixed EOF segfault at end of DVD

 *Buffer manager is renintialised at area change.

2002-03-09 Saturday 13:42  sam

   * ./plugins/dvd/dvd_access.c ./plugins/vcd/input_vcd.c: we now exit more
     cleanly on initialization error.

2002-03-08 Friday 22:58  stef

 Rewrite most functions in DVD plugin. Some old bugs might have been
 solved in the operation. The plugin some be more readable now, and
 should produce fewaer segfaults (I hope so :p)

2002-03-08 Friday 18:05  jobi

 * added some tests in open

2002-03-08 Friday 00:26  bozo

 Audio output ALSA: spdif support.

2002-03-07 Thursday 14:01  jobi

 * When reaching the end of a track, moves to the following one.

2002-03-06 Wednesday 23:54  sam

   * ./src/interface/main.c: disabled the GNOME segfault dialog in debug
     mode. We want nice, clean segfaults, with huge core files and a lot
     of rattle noise.

2002-03-06 Wednesday 16:39  stef

 I hope you liked this bug: DVD demux was always used.

2002-03-06 Wednesday 12:26  stef

 *Fixed demux plugin selection.

 *Take the lock on stream in VCDInit. PLease test, as I don't have any VCD
 to do it.

2002-03-06 Wednesday 03:27  sam

   * ./plugins/ac3_adec/ac3_parse.c: ac3dec is now less verbose.
   * ./src/interface/interface.c: fixed a deadlock when seeking the
     stream using the keyboard arrows.

2002-03-06 Wednesday 01:20  stef

 *Removed an occurance of former angle item in gtk.

 *Fixed a bug in ES management introduced lately in DVD/DvdRead.

 *Beginning of reorganisation in DVD plugin source files, in order to try to
 make it easier to understand. There is some work left though :p.

 *Decreased the score for VCD plugin, as the VCD demuxer was used even
 for DVD :p. It should make autodetection work.
 Some comment:
 -I think that VCDInit should make a test on the access plugin and be launched
 only if the access plugin is VCD,
 -VCDOpen shouldn't set p_input->b_error: if it fails we just try another
 module,
 -PSRead doesn't need to be duplicated anymore: input_ReadPS is now available
 for plugins (cf Christophe's commit).

 Please comment around that: I'd like to know if the behaviour I've described
 is the one everyone expects.

 Enjoy my new bugs :p

2002-03-05 Tuesday 23:29  jobi

 * Modified vcd input for the new input III.
 * Still have problems with end of tracks.
 * Modified the command line, as stef did for the DVD :

  [vcd:][device][@[title][,chapter]

  Note that chapter support is not yet implemented.

2002-03-05 Tuesday 18:17  stef

 Dvd demux was no longer selected under win32

2002-03-05 Tuesday 17:46  stef

 * Dvd angle is now handled through a program structure, so that the interface
 needs nothing specific to change angle.

 * Fixed a bug in clock management where ES without a program couldn't get
 timestamped.

 *Fixed program management in gnome/gtk. Program now also appears in popup.

 *In interface, only display ES associated with the selected program, or with
 no program at all.

2002-03-05 Tuesday 06:48  gbazin

 * fixed typo in the win32 change to the input parser.

2002-03-05 Tuesday 00:50  stef

 *More complete command line parsing for DVD, hopefully working this time.

2002-03-04 Monday 23:56  massiot

 * IPv6 network module, courtesy of Alexis Guillard <alexis.guillard@bt.com>,
 for BT ;
 * --6 and --4 options to force IPv6 or IPv4 (FIXME: it should be -6 and
 -4 but I don't know how to do it with the new configuration module) ;
 * Channel manager now uses a socket from the network plug-in and is more
 portable (and probably broken, too :) ;
 * input_ReadPS and input_ReadTS are now in mpeg_system.c to be more
 easily reused by plug-ins other than mpeg_ps and mpeg_ts.

 That's all for tonight.

2002-03-04 Monday 23:34  stef

 -fixed a typo.

2002-03-04 Monday 22:20  gbazin

 * this time I actually commited the win32 modif to the input parser ;-)

2002-03-04 Monday 22:18  gbazin

 * We now make sure the aout plugin buffers always contain between
 AOUT_BUFFER_DURATION/2 and AOUT_BUFFER_DURATION*3/2 worth of audio.
 This should solve the audio buffer underruns.

 * fix for the bug in input when filename contains a '@' character.

 * simplified the win32 specific changes to the input parser. ( I think
 we can safely assume that no access plugin name will have a length of
 one character)

2002-03-04 Monday 03:44  stef

 -DVD access plugin is only called if specified under windows (no automatic detection)

2002-03-04 Monday 02:50  stef

 [no log message]

2002-03-04 Monday 02:26  stef

 -replaced setenv with putenv

 -fixed a bug in gtk.

2002-03-04 Monday 01:53  stef

 [no log message]

2002-03-03 Sunday 20:42  gbazin

 * added network to the list of the plugins directories in Makefile
 * small bugfixes

2002-03-03 Sunday 17:34  xav

  * Fixed DVD input under Win32.
  * Fixed input parser under win32, chich couldn't understand that
 c:\windows\bureau is a valid file and doesn't need to be accessed with
 the plugin 'C' :-)
  * BTW, I added myself in the AUTHORS file :)

2002-03-03 Sunday 04:37  sam

   * Got rid of int_types.h and did a few changes Ipkiss will need. Hope I
     did not break other platforms.

2002-03-02 Saturday 09:34  gbazin

 * fixed compilation problem related to ssize_t

2002-03-02 Saturday 03:53  xav

  * Various Win32 compilation fixes.
  * DVD compiles, but doesn't work yet.
  * Fixed some typos in my previous Win32 multicast commit

2002-03-02 Saturday 03:51  sam

    * ./plugins/dummy/input_dummy.c: fixed `vlc vlc:quit'.
    * ./src/input/input.c: initialized uninitialized variables.

2002-03-02 Saturday 03:29  stef

 *Forgot a header.

2002-03-02 Saturday 03:15  stef

 *Initiliaze p_access_module & p_demux_modules to NULL when input thread
 in created.

2002-03-01 Friday 16:07  sam

   * ./po/no.po: Norwegian translation by Sigmund Augdal. Berdå ka pø tüt.
   * ./src/misc/modules.c: shortcuts for --intf work again, gvlc launches the
     Gtk interface, qvlc launches the Qt interface, etc.
   * ./plugins/fx/scope.c: we now have sound together with --aout scope.

2002-03-01 Friday 14:17  stef

 *Removed numerous deadlocks.

2002-03-01 Friday 01:59  xav

 Multicast under Win32 now works with the new input.

2002-03-01 Friday 01:12  stef

 *dvd and dvdread support for input III.

 Dvdread is known to segfault at title change. I'm working on this.

2002-03-01 Friday 00:33  massiot

 Input III (Episode 1).
 - Major rewrite of the buffer core functions
 - Modularity of access plugins (file, udp, http)
 - Modularity of network stack (ipv4, soon ipv6)
 - Autodetection of the type of stream

 And a new killing feature : HTTP streams are now seekable.

 Please note that dvd, dvdread and vcd plug-ins are broken and thus disabled.

2002-02-27 Wednesday 22:57  sam

   * ./plugins/mpeg_vdec/vpar_headers.c: we no longer crash when the next
     stream doesn't have the same image size as the previous one.
   * ./src/audio_output/aout_pcm.c: another overrun fix; please test.

2002-02-27 Wednesday 19:05  sam

   * ./configure.in: fixed a plugins/dsp.so compilation issue under OpenBSD.

2002-02-27 Wednesday 18:19  sam

   * ./plugins/dsp/aout_dsp.c: OpenBSD compilation fix.
   * ./src/video_output/video_output.c: fixed a segfault on exit.

2002-02-27 Wednesday 04:49  sam

   * ./src/input/input.c: BeOS network support (no idea if it works when you
     don't have BONE, though).

2002-02-27 Wednesday 03:47  sam

   * ./include/common.h: BeOS compile fixes.
   * ./plugins/beos/vout_beos.cpp: fixed BeOS video output.

2002-02-26 Tuesday 22:08  gbazin

 * Fixed uninitialized variable in config_Duplicate()
 * Fixed problem introduced in latest gtk commit

2002-02-26 Tuesday 18:25  gbazin

 * forgot to add the declaration of server_port in main.c
 * char pointers obtained by config_GetPszVariable need to be freed

2002-02-26 Tuesday 17:22  xav

 Multicast now works under Win32, but this is a _bad_ kludge.

 It still segfaults 4 secondes after the first frame, but, at least, I
 can see two or three frames from MI2 :-)

2002-02-26 Tuesday 01:17  stef

 *Reversed my previous configuration change.

 I'd better used dvd_title or so but INPUT_TITLE_VAR is also used in
 gtk_open.c and I can't find a neat way to prevent this, so I leave this
 option in main.c.

2002-02-25 Monday 23:59  sam

   * ./include/threads.h: support for the State Threads Library, a userland
     threads library (http://state-threads.sourceforge.net/). Useless to most
     people, but can be handy to debug stuff. Activate with `--enable-st'.

2002-02-25 Monday 18:42  stef

 *Adaptation to new configuration scheme for dvd, dvdread and spdif

2002-02-25 Monday 11:25  sam

   * ./plugins/lirc/lirc.c: removed CVS garbage.

2002-02-25 Monday 04:30  sam

   * ./plugins/gtk/gtk_menu.c: fixed a compile issue on IA64.
   * ./plugins/fx/scope.c: new toy plugin, an audio scope module.

     Each time I fix a bug in vlc I feel urge to code something useless. This
     one is very, very rough for the moment, probably buggy, slow, will crash
     your blender and reboot your fridge. Screenshot can be found here:
       http://www.zoy.org/~sam/vlc/vlc-scope.jpeg
     Activate with `--aout scope' (yes, it currently disables the real
     audio output... I'll fix this as well).

2002-02-24 Sunday 22:12  sam

   * Replacement header for aout_common.h.

2002-02-24 Sunday 22:12  sam

   * Forgot one fix in my previous commit. As usual.

2002-02-24 Sunday 22:06  sam

   * Fixed a quite old bug in the audio output which made the sound stutter
     when wrapping around the audio output fifo.
   * Lots of simplifications in the audio output, got rid of b_stereo.

2002-02-24 Sunday 21:36  jobi

 Added a menu in the GTK and gnome interfaces to change the current program
 in multi-program streams (such as ones provided by a DVB-S card).

2002-02-24 Sunday 20:51  gbazin

 This is the first part of the new configuration architecture for vlc.
 Two other parts will follow soon:
 - config file implementation
 - gtk configuration interface.

 This part won't change much for end-users as these changes are mostly
 internal, you will however notice that the command line interface has
 changed. It will maybe be less user-friendly as I almost removed the
 short options but it shouldn't a big problem when the config file is
 implemented.

 What as changed is that it is really easy now to add configuration
 options to vlc. Plugins can also implement configuration options. All
 you have to do is to declare a MODULE_CONFIG section in your plugin.
 If you want to know more about this look at configuration.h and for some
 example: main.c, dsp.c or xvideo.c

 It would be nice if every developper could now start using configuration
 options in there plugins and also enhance old plugins.

 That's it, now let's hope I didn't break too many things ;-)

2002-02-23 Saturday 21:31  gbazin

 * fixed array over-run bug in intf_MsgUnsub

2002-02-22 Friday 20:46  gbazin

 * Don't try to grok altivec with mingw32.
 * --with-directx-path should now indicate the path where the actual
 headers are (before the headers had to be in an include subdir). By the
 way you can download these header files from the videolan web site.

2002-02-21 Thursday 23:56  sam

   * ./src/misc/modules_plugin.h: if symbol foo isn't found in the
     plugin, we always try to open _foo, whatever the architecture.

2002-02-21 Thursday 21:55  sam

   * ./plugins/lirc/lirc.c: non-blocking patch from Sigmund Augdal
     <sigmunau@stud.ntnu.no>; hope this time my enhancements don't break
     everything :-)

2002-02-21 Thursday 00:54  sam

   * ./configure.in: gtk*-config detection fix for FreeBSD.

2002-02-20 Wednesday 23:23  sam

   * ./configure.in: removed a bashism.
   * ./plugins/x11/xcommon.c: support for systems without shm.h.
   * QNX compilation fixes here and there; the qnx plugin still doesn't work.

2002-02-20 Wednesday 19:01  sam

   * ./Makefile: the win32 port now uses a more recent version of gtk+.

2002-02-20 Wednesday 05:56  sam

   * ./plugins/gtk/gtk.c: the log window is now black with colourful text.
   * ./plugins/gtk/gnome.c: ported the log window to the GNOME interface.
   * ./src/interface/intf_msg.c: messages are sent to the queue even if
     -vvvv* wasn't specified.

2002-02-20 Wednesday 05:50  jlj

   * MacOS X VCD support.

2002-02-20 Wednesday 01:47  sam

   * ./plugins/lirc/lirc.c: fixed my mistakes from yesterday.

2002-02-19 Tuesday 03:54  sam

   * ./plugins/lirc/lirc.: various fixes, thanks to Sigmund Augdal.
   * ./plugins/text/logger.c: rewrote an ugly loop.
   * ./plugins/gtk/gtk.c: added a Gtk+ window containing all the log
     messages; updated in real time. To open it, go to "view"->"messages".

2002-02-19 Tuesday 00:50  sam

    * Got rid of TRACE and intf_DbgMsg which were seldom used anyway.
    * All intf_*Msg functions now write to stderr.
    * Implemented a message queue interface plugins can subscribe to.
    * Wrote the logger interface plugin. Usage:
       vlc -I logger:filename.log
    * Lots of fixes in the SPU renderer.

2002-02-18 Monday 19:02  stef

 Fixed a typo in aspect ratio calculation

2002-02-18 Monday 01:34  jlj

   * MacOS X vout improvements
   * MacOS X intf now returns, allowing vlc to terminate properly
   * Added a new make target: package-macosx

2002-02-15 Friday 20:02  gbazin

 * Win32 compilation fixes (mingw includes dirent)
 * configure now checks for ddraw.h and not directx.h
 * vout_directx doesn't include directx.h anymore (this file isn't part of
     the directx sdk)
 * moved all the stuff from aout_waveout.c directly into waveout.c (I don't
     know what I was thinking about when I created these two files ;-)
 * until we fix the audio buffer underrun problem, waveout will be the
     default audio output on win32 (instead of directx).

2002-02-15 Friday 13:32  sam

   * ALL: got rid of *_Probe functions because most of them were duplicates
     of the real _Init or _Create functions. That's 1000 lines of code gained.
   * ./src/misc/modules.c: we try not to keep the global lock in module_Need,
     which should speed up output spawning.
   * ./plugins/dummy/input_dummy.c: fixed vlc:quit command.
   * ./plugins/gtk/gtk_playlist.c: compilation fix.
   * ./plugins/macosx/*: preliminary fixes for the vout4 port.

    Notes on the *_Probe eradication:
   o I probably broke the DirectX video output, because of the "must init and
     run in the same thread" issue. I'll fix this ASAP.
   o Subtitles are broken (or at least, pretty ugly) in RGB mode.
   o The input plugins still have *_Probe functions. This will disappear when
     meuuh is finished with the access plugins.
   o The decoder plugins still have *_Probe functions. This is probably not
     going to change, it looks OK to me.

2002-02-14 Thursday 23:29  sam

   * Grmbl. Forgot to commit those Win32 fixes last time, and they were
     stuck on VTHR. Sorry xav, this probably explains why I couldn't
     find the commit log :-)

2002-02-13 Wednesday 22:10  sam

   * ./plugins/beos/*: BeOS fixes from Rudolf Cornelissen.
   * ./src/interface/main.c: --desync now really accepts a value in ms.
   * ./plugins/vcd/input_vcd.c: fixed a crash when not opening a VCD.
   * ./src/video_output/vout_subpictures.c: fixed subtitles under BeOS and
     other architectures which don't support overlay.

2002-02-13 Wednesday 21:54  gbazin

 * compilation fix (include stdint.h)
 * fixed a SEGV

2002-02-08 Friday 15:57  sam

   * ./plugins/beos/vout_beos.cpp: ported the BeOS RGB video output to
     vout4. The overlay video output still needs to be written though.

2002-02-06 Wednesday 20:44  gbazin

 * Just renamed the liba52_adec plugin into a52 to comply with the naming
 convention used by the other plugins.

2002-02-06 Wednesday 02:37  sam

   * ./plugins/lirc/lirc.c: IR remote control plugin by Sigmund Augdal
     <sigmunau@stud.ntnu.no>, activate with --enable-lirc.
   * ./configure.in: put liba52_adec in a builtin for PIC/non-PIC reasons.

2002-02-05 Tuesday 21:46  gbazin

 * New AC3 decoder plugin using liba52 from Aaron Holtzman and
     Michel Lespinasse.
     This plugin isn't used by default, you have to specify:
     --ac3_adec liba52

2002-02-04 Monday 09:58  sam

   * ./src/misc/modules.c: changed module_Need to make it possible to
     have several modules with the same shortcut name.

2002-01-31 Thursday 23:18  massiot

 Fixed a bug in the network dialog.

2002-01-30 Wednesday 23:41  fgp

 *) We now call lockFocus on the QuickDrawView before attempting to get it's qdport.

2002-01-30 Wednesday 00:09  sam

   * Fixed stuff in the wall filter. Extended syntax:
      --filter wall         % open a wall (3x3 is the default value)
      --filter wall:2       % open a 2x2 wall
      --filter wall:3x2     % open a 3x2 wall
      --filter wall:2x1:0   % open a 2x1 wall, only display block 0
      --filter wall:2:0,3   % open a 2x2 wall, only display blocks 0 and 3
     For instance, if you have 2 computers listening to a network stream, on
     the left computer you use --filter wall:2x1:0 and on the right computer
     you use --filter wall:2x1:1

2002-01-29 Tuesday 20:11  gbazin

 * Added mstrtime() to module_symbols_t so we can compile the mpeg_vdec
     plugin with TRACE mode enabled.

2002-01-28 Monday 23:08  stef

 -Fixed ac3_spdif which has been broken recently,

 -Check frequency in ac3_adec and change fifo if needed,

 -Moved initialisation of p_aout from plugins to audio_output.c
 If audio output rate is psecified at launch time, we try to use it by default.

 Note that audio output currently suffers from frequent underruns.
 This has not been fixed here.

2002-01-28 Monday 21:31  stef

 .Fixed a segfault a dvdread exit (my fault).

2002-01-28 Monday 16:51  sam

   * ./plugins/chroma/i420_rgb16.c: MMX YUV to RGB transformation for 15bpp.

2002-01-27 Sunday 22:14  gbazin

 * Added double-buffering for the directx plugin in overlay mode.
 * Several directx bug-fixes:
     - implemented the right behaviour on exit.
     - fixed bug preventing the creation of several windows.
         (the wall filter is working now :-))
     - fixed unnecessary background redraws (it made the video flicker).
     - fixed bug where we were losing the video display because of lost
         surfaces in video memory.
     - when using hardware overlay, the output window will now specify:
         "(using hardware overlay)".

2002-01-26 Saturday 01:18  tcastley

 Fixed compliation error due to inclusion of threads.h

2002-01-25 Friday 17:18  sam

   * ./plugins/x11/xcommon.c: we don't use DPMS functions if they are
     not available.

2002-01-25 Friday 06:43  gbazin

 * Added a new very simple audio plugin for Win32. This plugin uses the
     waveOut API which is a lot easier to use for streaming stuff than
     directsound. (you don't have to take care of underflows anymore
     because it doesn't use circular buffers).
     If you are having a lot of underflows, this plugin is currently
     better adapted than the directx plugin.

 * Moved some initialization stuff in audio_out.c so we can now the
     caracteristics of the audio stream before calling aout_Open().

2002-01-24 Thursday 21:54  fgp

 *) Changed configure.in to check for all header files the macosx plugin needs
 *) There is now an option --disable-macosx, instead of --enable-macosx.
    --disable-macosx is default for all plattforms except MACOSX
 *) The mouse cursor is hidden when playing in fullscreen mode
 *) The screensaver is deactivated when playing in fullscreen mode
    (Thanks to Julian Mayer <julianmayer>@mac.com)
 *) Stop, Prev and Next buttons work now.

2002-01-24 Thursday 18:50  stef

 Configure and Makefile tweaking for dvdread module.
 It is now activated with option --with-dvdread, that takes the same options
 as --with-dvdcss.
 If you link with libdvdread statically dvdread is compiled builtin ; if you
 link dynamically, it is compiled as a plugin.

2002-01-24 Thursday 13:32  sam

   * ./src/misc/modules_plugin.h: fixed a missing function initialization
     which made decoder plugins segfault in GetChunk calls.
   * ./configure.in: proper soundcard.h check from Yves Duret.

2002-01-23 Wednesday 23:14  massiot

 Fixed a bug introduced yesterday.

2002-01-23 Wednesday 20:19  stef

 I checked in bad header files yesterday.

2002-01-23 Wednesday 12:02  asmax

 * enabled --stereo option for streams that pretend to be mono while they
  are not!

2002-01-23 Wednesday 03:56  stef

 -removed some useless printf

 -replaced dvdcss_title(,) with dvdcss_seek( ,,DVDCSS_SEEK_KEY )

2002-01-23 Wednesday 03:15  stef

 *Merged hh patch in libdvdcss from main tree.

 *Updated local libdvdread, so that it does not depend on libdvdcss
 (ala dummy_dvdcss) and modified configure to reflect changes.

2002-01-23 Wednesday 01:59  sam

   * Darwin compilation fix.

2002-01-22 Tuesday 23:14  massiot

 * Fixed an alignment issue in the ac3 decoder.

2002-01-21 Monday 23:57  massiot

 * Decoders do not necessarily use bit stream (see mad plug-in)
 * mad PTS should finally be accurate
 * Some configure changes.

2002-01-21 Monday 22:34  jpsaman

 Oops, lucky to catch this one (deleted function name s24_to_s16_pcm accidently)

2002-01-21 Monday 22:28  jpsaman

 Changes made to mad plugin:
 + libmad_input now takes one frame at a time (see mad_adec.h for defines)
 + audio_linear_dither() gives better sound quality then s24_to_s16_pcm(),
   but also makes audio artefacts louder so disabled it for now (see file
   mad_libmad.c)
 + cleaned up libmad_output (see file mad_libmad.c)
 + cleaned up InitThread (see file mad_adec.c)
 + Made buffer size match libmad's expectations (see file mad_adec.h)
 + updated documentation

2002-01-21 Monday 07:00  gbazin

 * Fixed crashes on exit in the directx plugin
 * vout_PlacePicture is now accepting picture width=height=0

 * Win32 (NT/2000/XP) fix for libdvdcss: first attempt to open the DVD
   device in read/write mode so we can use ioctls. If this fails
   (insufficent privileges) we at least open in read-only mode so the
   libdvdcss title decryption method can be used.

2002-01-21 Monday 05:14  sam

   * ./configure.in: added extra checks for strange compilers such as
     Borland C++ which do not support all gcc options. Note that vlc does
     not compile with bcc32 yet, but is getting closer and closer to.

2002-01-21 Monday 00:52  sam

   * ./plugins/win32: skeleton for the win32 interface Ipkiss is developing.
   * ./config.guess ./config.sub: latest GNU versions.
   * ./configure.in: when possible, xvideo is compiled as a plugin.
   * ./vlc.spec: fixed a few minor inaccuracies.
   * ./debian/control: vlc-gui is no longer depended on, but rather recommended.
   * ./src/interface/main.c: --spumargin flag; use this to force displaying
     subtitles at the bottom of the screen instead of putting them in the
     middle, for instance: `--spumargin 5'.

2002-01-19 Saturday 19:54  gbazin

 * Converted the plugin initialization code of the macosx, beos and qnx
     code. (please note that they should still not compile as they need
     to be adapted to the new Vout4 architecture)

2002-01-17 Thursday 23:02  gbazin

 * major rewrite of the directx video plugin to adapt it to the new vout4
     architecture. This plugin has also been through a major clean-up
     and it is now much more robust and optimized.

 * Fixed a few problems with the win32 build.

 * Replaced the "overlay" command line option with "nooverlay". The
     former was confusing and useless because overlays were used by
     default anyway.

2002-01-17 Thursday 16:17  sam

   * ./vlc.spec: imported MandrakeSoft's new spec file.
   * ./debian/control: fixed build-dependencies for vlc-mad.

2002-01-16 Wednesday 04:47  sam

   * ./debian/rules: fixed the vlc-arts and vlc-mad package builds.

2002-01-15 Tuesday 19:01  stef

 The gnome/gtk interface should no longer user p_input->stream before it
 has been initialized.

2002-01-15 Tuesday 17:55  stef

 *stream lock is initialized in input_CreateThread instead of initThread,
 to have it initialized when we call it in the interface.

2002-01-15 Tuesday 11:51  asmax

 - added support for S8 and U16 aout (not tested)
 - The sound is very dirty in U8 mode. I don't know if it comes from the
 8 bit mode itself or from the S16->U8 conversion.

2002-01-15 Tuesday 05:22  stef

 -Patch of libdvdread to do readv on regular files (dvd copied on hard drive).
 Not completed, and little tested yet ; when it is completed, this patch should
 be submitted to libdvdread developers.

 -Patch of libdvdcss to decrypt vobs when they are not on a block device.

2002-01-15 Tuesday 01:01  sam

   * ./debian/control: fixed Debian build-depends.
   * ./include/config.h: changed RELEASE to HAVE_RELEASE because RELEASE
     is already defined in <scsi/scsi.h> under Linux.

2002-01-14 Monday 23:46  massiot

 * More precise way to retrieve a PTS from the bit stream.
 * Fixed issues in the PTS handling of the mad plug-in (incomplete).

2002-01-14 Monday 22:26  massiot

 Attempt to fix the INPUT_MAX_ALLOCATION error.

2002-01-14 Monday 22:06  stef

 *With DVDCSS_METHOD=disc or key, the keys are no longer buffered on start.
 The title key is still read at each block but it is checked for change
 before decryption.

2002-01-14 Monday 21:00  jpsaman

 Configure, build and install instructions for libmad library and mad plugin.

2002-01-14 Monday 20:57  jpsaman

 Updated BUGS list

2002-01-14 Monday 20:53  jpsaman

 Smooth sound (not tested on iPaq)

2002-01-14 Monday 19:54  asmax

 - le coup de grâce: all the code in audio output is now factorized (except
 for ac3 spdif) in aout_common.c/.h
 - aout thread functions are declared with a macro

 TODO:
 - test unsigned 8 bit output, and implement S8 and U16 outputs
 - multi-channel support
 - check if resampling takes the PTS into account (and fix it)

2002-01-14 Monday 12:15  asmax

 HUGE cleanings in audio output:
 - removed AOUT_INTF_*_FIFO, which where not used
 - factorized S16StereoPlay, U8MonoPlay, and so on.., in a single
   function aout_FillBuffer (in aout_common.c)
   (unsigned 8bit may be broken, but I have no stream to test with :(

 - last step to be done: factorize aout_s8, aout_s16, ... thanks to a macro

2002-01-13 Sunday 18:13  gbazin

 * A few fixes for the Win32 build.

2002-01-13 Sunday 15:07  gbazin

 * Fixed all the problems related to ToggleFullScreen().

2002-01-12 Saturday 21:58  jlj

   * ./src/misc/modules.c: Fixed a compile issue under platforms without
     HAVE_DYNAMIC_PLUGINS.

2002-01-12 Saturday 02:02  jlj

   * ./src/interface/intf_eject.c: MacOS X port.

2002-01-12 Saturday 01:25  sam

   * ./plugins/chroma/i420_rgb16.c: 24/32 bpp software YUV.
   * ./plugins/ggi/ggi.c: activated double buffering.
   * ./src/video_output/vout_pictures.c: we create more Xv pictures to
     get smoother rendering.

2002-01-11 Friday 22:05  jpsaman

 Removed aout_CreateFifo from mad_adec.c InitThread() and added it to mad_libmad.c in mad_libmad.c

2002-01-11 Friday 03:07  sam

   * BSD compilation fix suggested by Steven M. Schultz.

2002-01-10 Thursday 23:41  asmax

 - beginning of code factorization in aout_s16 (more cleaning will come)
 - As for libmad, I have tried to create the aout fifo in libmad_output,
   to open it with the right sample rate, but strangely it didn't work.

2002-01-10 Thursday 04:11  sam

   * ./src/input/input.c: fixed a few segfaults caused by the dummy plugin.
   * ./plugins/mpeg_adec/mpeg_adec.c: fixed a segfault due to misuse of
     DecoderError.
   * ./plugins/x11/xcommon.c: replaced XFlush with XSync. This must be the
     fourth time someone has to commit this, so I added a reminder :-)

2002-01-09 Wednesday 23:32  stef

 Hopefully fixed a bug in TS input, that caused a segfault when there was
 no network stream.

 Please, have a look at the fix to check it doesn't break anything else.

2002-01-09 Wednesday 10:22  sam

   * ./src/interface/intf_eject.c: BSD/OS port by Steven M. Schultz.

2002-01-09 Wednesday 02:01  sam

   * ./include/modules_inner.h: replaced _X with __VLC_SYMBOL because _X was
     already a system macro under MacOS X.
   * ./plugins/dummy/dummy.c: fixed vlc:loop, vlc:quit, etc. entries.
   * ./plugins/glide/glide.c: activated double buffering.
   * ./plugins/mga/xmga.c: started writing an xmga plugin; doesn't work yet.
